/********************************************************************
* Copyright (C) 2003-2008 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*********************************************************************
* file: cslr_cxstm_tetris.h
*
* Brief: This file contains the Register Description for cxstm_tetris
*
*********************************************************************/
/* CSL Modification:
 *  The file has been modified from the AUTOGEN file for the following
 *  reasons:-
 *      a) Modified the header file includes to be RTSC compliant
 *      b) Fix for compilation errors Replaced XXXNSID_2' to NSID_2_
 */
#ifndef _CSLR_CXSTM_TETRIS_R0P1_0_H_
#define _CSLR_CXSTM_TETRIS_R0P1_0_H_


#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure for cxstm_registers
\**************************************************************************/
typedef struct  {
    volatile Uint32 STMDMASTARTR;
    volatile Uint32 STMDMASTOPR;
    volatile Uint32 STMDMASTATR;
    volatile Uint32 STMDMACTLR;
    volatile Uint8 RSVD0[232];
    volatile Uint32 STMDMAIDR;
    volatile Uint32 STMHEER;
    volatile Uint8 RSVD1[28];
    volatile Uint32 STMHETER;
    volatile Uint8 RSVD2[64];
    volatile Uint32 STMHEMCR;
    volatile Uint8 RSVD3[140];
    volatile Uint32 STMHEMASTR;
    volatile Uint32 STMHEFEAT1R;
    volatile Uint32 STMHEIDR;
    volatile Uint32 STMSPER;
    volatile Uint8 RSVD4[28];
    volatile Uint32 STMSPTER;
    volatile Uint8 RSVD5[60];
    volatile Uint32 STMSPSCR;
    volatile Uint32 STMSPMSCR;
    volatile Uint32 STMSPOVERRIDER;
    volatile Uint32 STMSPMOVERRIDER;
    volatile Uint32 STMSPTRIGCSR;
    volatile Uint8 RSVD6[12];
    volatile Uint32 STMTCSR;
    volatile Uint32 STMTSSTIMR;
    volatile Uint8 RSVD7[4];
    volatile Uint32 STMTSFREQR;
    volatile Uint32 STMSYNCR;
    volatile Uint32 STMAUXCR;
    volatile Uint8 RSVD8[8];
    volatile Uint32 STMSPFEAT1R;
    volatile Uint32 STMSPFEAT2R;
    volatile Uint32 STMSPFEAT3R;
    volatile Uint8 RSVD9[60];
    volatile Uint32 STMITTRIGGER;
    volatile Uint32 STMITATBDATA0;
    volatile Uint32 STMITATBCTR2;
    volatile Uint32 STMITATBID;
    volatile Uint32 STMITATBCTR0;
    volatile Uint8 RSVD10[4];
    volatile Uint32 STMITCTRL;
    volatile Uint8 RSVD11[156];
    volatile Uint32 STMCLAIMSET;
    volatile Uint32 STMCLAIMCLR;
    volatile Uint8 RSVD12[8];
    volatile Uint32 STMLAR;
    volatile Uint32 STMLSR;
    volatile Uint32 STMAUTHSTATUS;
    volatile Uint8 RSVD13[12];
    volatile Uint32 STMDEVID;
    volatile Uint32 STMDEVTYPE;
    volatile Uint32 STMPIDR4;
    volatile Uint32 STMPIDR5;
    volatile Uint32 STMPIDR6;
    volatile Uint32 STMPIDR7;
    volatile Uint32 STMPIDR0;
    volatile Uint32 STMPIDR1;
    volatile Uint32 STMPIDR2;
    volatile Uint32 STMPIDR3;
    volatile Uint32 STMCIDR0;
    volatile Uint32 STMCIDR1;
    volatile Uint32 STMCIDR2;
    volatile Uint32 STMCIDR3;
} CSL_Cxstm_tetrisCxstm_registersRegs;

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    CSL_Cxstm_tetrisCxstm_registersRegs CXSTM_REGISTERS;
} CSL_Cxstm_tetrisRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* STMDMASTARTR */

#define CSL_CXSTM_TETRIS_STMDMASTARTR_START_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMDMASTARTR_START_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMASTARTR_START_RESETVAL (0x00000000u)
/*----START Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMASTARTR_START_START (0x00000001u)

#define CSL_CXSTM_TETRIS_STMDMASTARTR_RESETVAL (0x00000000u)

/* STMDMASTOPR */

#define CSL_CXSTM_TETRIS_STMDMASTOPR_STOP_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMDMASTOPR_STOP_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMASTOPR_STOP_RESETVAL (0x00000000u)
/*----STOP Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMASTOPR_STOP_STOP (0x00000001u)

#define CSL_CXSTM_TETRIS_STMDMASTOPR_RESETVAL (0x00000000u)

/* STMDMASTATR */

#define CSL_CXSTM_TETRIS_STMDMASTATR_STATUS_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMDMASTATR_STATUS_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMASTATR_STATUS_RESETVAL (0x00000000u)
/*----STATUS Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMASTATR_STATUS_IDLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMASTATR_STATUS_ACTIVE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMDMASTATR_RESETVAL (0x00000000u)

/* STMDMACTLR */

#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_MASK (0x0000000Cu)
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_RESETVAL (0x00000000u)
/*----SENS Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_EMPTY (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_25% (0x00000001u)
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_50% (0x00000002u)
#define CSL_CXSTM_TETRIS_STMDMACTLR_SENS_75% (0x00000003u)

#define CSL_CXSTM_TETRIS_STMDMACTLR_RESETVAL (0x00000000u)

/* STMDMAIDR */

#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASS_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASS_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASS_RESETVAL (0x00000000u)
/*----CLASS Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASS_CONTROL (0x00000002u)

#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASSREV_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASSREV_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASSREV_RESETVAL (0x00000000u)
/*----CLASSREV Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMAIDR_CLASSREV_REVISIONCONTROL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMDMAIDR_VENDSPEC_MASK (0x00000F00u)
#define CSL_CXSTM_TETRIS_STMDMAIDR_VENDSPEC_SHIFT (0x00000008u)
#define CSL_CXSTM_TETRIS_STMDMAIDR_VENDSPEC_RESETVAL (0x00000000u)
/*----VENDSPEC Tokens----*/
#define CSL_CXSTM_TETRIS_STMDMAIDR_VENDSPEC_VENDSPEC (0x00000000u)

#define CSL_CXSTM_TETRIS_STMDMAIDR_RESETVAL (0x00000000u)

/* STMHEER */

#define CSL_CXSTM_TETRIS_STMHEER_HEE_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMHEER_HEE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEER_HEE_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMHEER_RESETVAL (0x00000000u)

/* STMHETER */

#define CSL_CXSTM_TETRIS_STMHETER_HETE_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMHETER_HETE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHETER_HETE_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMHETER_RESETVAL (0x00000000u)

/* STMHEMCR */

#define CSL_CXSTM_TETRIS_STMHEMCR_EN_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMHEMCR_EN_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_EN_RESETVAL (0x00000000u)
/*----EN Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_EN_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_EN_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_COMPEN_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMHEMCR_COMPEN_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMHEMCR_COMPEN_RESETVAL (0x00000000u)
/*----COMPEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_COMPEN_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_COMPEN_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_ERRDETECT_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ERRDETECT_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ERRDETECT_RESETVAL (0x00000000u)
/*----ERRDETECT Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_ERRDETECT_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ERRDETECT_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCTL_MASK (0x00000010u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCTL_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCTL_RESETVAL (0x00000000u)
/*----TRIGCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCTL_MULTI-SHOT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCTL_SINGLE-SHOT (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGSTATUS_MASK (0x00000020u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGSTATUS_SHIFT (0x00000005u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGSTATUS_RESETVAL (0x00000000u)
/*----TRIGSTATUS Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGSTATUS_NOT-OCCURRED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGSTATUS_OCCURRED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCLEAR_MASK (0x00000040u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCLEAR_SHIFT (0x00000006u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCLEAR_RESETVAL (0x00000000u)
/*----TRIGCLEAR Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCLEAR_NOEFFECT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_TRIGCLEAR_CLEAR (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_ATBTRIGEN_MASK (0x00000080u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ATBTRIGEN_SHIFT (0x00000007u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ATBTRIGEN_RESETVAL (0x00000000u)
/*----ATBTRIGEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMCR_ATBTRIGEN_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMCR_ATBTRIGEN_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEMCR_RESETVAL (0x00000000u)

/* STMHEMASTR */

#define CSL_CXSTM_TETRIS_STMHEMASTR_MASTER_MASK (0x0000FFFFu)
#define CSL_CXSTM_TETRIS_STMHEMASTR_MASTER_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEMASTR_MASTER_RESETVAL (0x00000000u)
/*----MASTER Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEMASTR_MASTER_MASTER1 (0x00000080u)

#define CSL_CXSTM_TETRIS_STMHEMASTR_RESETVAL (0x00000000u)

/* STMHEFEAT1R */

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HETER_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HETER_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HETER_RESETVAL (0x00000000u)
/*----HETER Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HETER_IMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEERR_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEERR_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEERR_RESETVAL (0x00000000u)
/*----HEERR Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEERR_IMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEMASTR_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEMASTR_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEMASTR_RESETVAL (0x00000000u)
/*----HEMASTR Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HEMASTR_RO (0x00000000u)

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HECOMP_MASK (0x00000030u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HECOMP_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HECOMP_RESETVAL (0x00000000u)
/*----HECOMP Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_HECOMP_RO (0x00000003u)

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_NUMHE_MASK (0x00FF8000u)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_NUMHE_SHIFT (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_NUMHE_RESETVAL (0x00000000u)
/*----NUMHE Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEFEAT1R_NUMHE_EVENTS (0x00000020u)

#define CSL_CXSTM_TETRIS_STMHEFEAT1R_RESETVAL (0x00000000u)

/* STMHEIDR */

#define CSL_CXSTM_TETRIS_STMHEIDR_CLASS_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASS_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASS_RESETVAL (0x00000000u)
/*----CLASS Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASS_CONTROL (0x00000001u)

#define CSL_CXSTM_TETRIS_STMHEIDR_CLASSREV_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASSREV_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASSREV_RESETVAL (0x00000000u)
/*----CLASSREV Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEIDR_CLASSREV_REVISIONCONTROL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMHEIDR_VENDSPEC_MASK (0x00000F00u)
#define CSL_CXSTM_TETRIS_STMHEIDR_VENDSPEC_SHIFT (0x00000008u)
#define CSL_CXSTM_TETRIS_STMHEIDR_VENDSPEC_RESETVAL (0x00000000u)
/*----VENDSPEC Tokens----*/
#define CSL_CXSTM_TETRIS_STMHEIDR_VENDSPEC_VENDSPEC (0x00000000u)

#define CSL_CXSTM_TETRIS_STMHEIDR_RESETVAL (0x00000000u)

/* STMSPER */

#define CSL_CXSTM_TETRIS_STMSPER_SPE_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMSPER_SPE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPER_SPE_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPER_RESETVAL (0x00000000u)

/* STMSPTER */

#define CSL_CXSTM_TETRIS_STMSPTER_SPTE_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMSPTER_SPTE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTER_SPTE_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPTER_RESETVAL (0x00000000u)

/* STMSPSCR */

#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_MASK (0x00000003u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_RESETVAL (0x00000000u)
/*----PORTCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_NOTUSED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_STMSPTER-ONLY (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_RESERVED (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTCTL_STMSPERAND STMSPTER (0x00000003u)

#define CSL_CXSTM_TETRIS_STMSPSCR_PORTSEL_MASK (0xFFF00000u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTSEL_SHIFT (0x00000014u)
#define CSL_CXSTM_TETRIS_STMSPSCR_PORTSEL_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPSCR_RESETVAL (0x00000000u)

/* STMSPMSCR */

#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTCTL_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTCTL_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTCTL_RESETVAL (0x00000000u)
/*----MASTCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTCTL_NOTUSED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTCTL_STMSPSCR (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTSEL_MASK (0x007F8000u)
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTSEL_SHIFT (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMSPMSCR_MASTSEL_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPMSCR_RESETVAL (0x00000000u)

/* STMSPOVERRIDER */

#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_MASK (0x00000003u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_RESETVAL (0x00000000u)
/*----OVERCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_DISABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_GUARANTEED (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_INVARIANTTIMING (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERCTL_RESERVED (0x00000003u)

#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERTS_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERTS_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERTS_RESETVAL (0x00000000u)
/*----OVERTS Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERTS_DISABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_OVERTS_ENABLED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_PORTSEL_MASK (0xFFFF8000u)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_PORTSEL_SHIFT (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_PORTSEL_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPOVERRIDER_RESETVAL (0x00000000u)

/* STMSPMOVERRIDER */

#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTCTL_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTCTL_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTCTL_RESETVAL (0x00000000u)
/*----MASTCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTCTL_DISABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTCTL_ENABLED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTSEL_MASK (0x007F8000u)
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTSEL_SHIFT (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_MASTSEL_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPMOVERRIDER_RESETVAL (0x00000000u)

/* STMSPTRIGCSR */

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCTL_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCTL_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCTL_RESETVAL (0x00000000u)
/*----TRIGCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCTL_MULTI-SHOT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCTL_SINGLE-SHOT (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGSTATUS_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGSTATUS_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGSTATUS_RESETVAL (0x00000000u)
/*----TRIGSTATUS Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGSTATUS_NOT-OCCURRED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGSTATUS_OCCURRED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCLEAR_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCLEAR_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCLEAR_RESETVAL (0x00000000u)
/*----TRIGCLEAR Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCLEAR_NOEFFECT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_TRIGCLEAR_CLEAR (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_TE_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_TE_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_TE_RESETVAL (0x00000000u)
/*----ATBTRIGEN_TE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_TE_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_TE_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_DIR_MASK (0x00000010u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_DIR_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_DIR_RESETVAL (0x00000000u)
/*----ATBTRIGEN_DIR Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_DIR_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_ATBTRIGEN_DIR_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPTRIGCSR_RESETVAL (0x00000000u)

/* STMTCSR */

#define CSL_CXSTM_TETRIS_STMTCSR_EN_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMTCSR_EN_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTCSR_EN_RESETVAL (0x00000000u)
/*----EN Tokens----*/
#define CSL_CXSTM_TETRIS_STMTCSR_EN_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTCSR_EN_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTCSR_TSEN_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMTCSR_TSEN_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMTCSR_TSEN_RESETVAL (0x00000000u)
/*----TSEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMTCSR_TSEN_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTCSR_TSEN_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTCSR_SYNCEN_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMTCSR_SYNCEN_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMTCSR_SYNCEN_RESETVAL (0x00000000u)
/*----SYNCEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMTCSR_SYNCEN_RAO (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTCSR_COMPEN_MASK (0x00000020u)
#define CSL_CXSTM_TETRIS_STMTCSR_COMPEN_SHIFT (0x00000005u)
#define CSL_CXSTM_TETRIS_STMTCSR_COMPEN_RESETVAL (0x00000000u)
/*----COMPEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMTCSR_COMPEN_DISABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTCSR_COMPEN_ENABLED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTCSR_TRACEID_MASK (0x007F0000u)
#define CSL_CXSTM_TETRIS_STMTCSR_TRACEID_SHIFT (0x00000010u)
#define CSL_CXSTM_TETRIS_STMTCSR_TRACEID_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMTCSR_BUSY_MASK (0x00800000u)
#define CSL_CXSTM_TETRIS_STMTCSR_BUSY_SHIFT (0x00000017u)
#define CSL_CXSTM_TETRIS_STMTCSR_BUSY_RESETVAL (0x00000000u)
/*----BUSY Tokens----*/
#define CSL_CXSTM_TETRIS_STMTCSR_BUSY_IDLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTCSR_BUSY_BUSY (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTCSR_RESETVAL (0x00000000u)

/* STMTSSTIMR */

#define CSL_CXSTM_TETRIS_STMTSSTIMR_FORCETS_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMTSSTIMR_FORCETS_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTSSTIMR_FORCETS_RESETVAL (0x00000000u)
/*----FORCETS Tokens----*/
#define CSL_CXSTM_TETRIS_STMTSSTIMR_FORCETS_FORCETS (0x00000001u)

#define CSL_CXSTM_TETRIS_STMTSSTIMR_RESETVAL (0x00000000u)

/* STMTSFREQR */

#define CSL_CXSTM_TETRIS_STMTSFREQR_FREQ_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMTSFREQR_FREQ_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMTSFREQR_FREQ_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMTSFREQR_RESETVAL (0x00000000u)

/* STMSYNCR */

#define CSL_CXSTM_TETRIS_STMSYNCR_COUNT_MASK (0x00000FFCu)
#define CSL_CXSTM_TETRIS_STMSYNCR_COUNT_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSYNCR_COUNT_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSYNCR_MODE_MASK (0x00001000u)
#define CSL_CXSTM_TETRIS_STMSYNCR_MODE_SHIFT (0x0000000Cu)
#define CSL_CXSTM_TETRIS_STMSYNCR_MODE_RESETVAL (0x00000000u)
/*----MODE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSYNCR_MODE_NBYTES (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSYNCR_MODE_2^NBYTES (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSYNCR_RESETVAL (0x00000000u)

/* STMAUXCR */

#define CSL_CXSTM_TETRIS_STMAUXCR_FIFOAF_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMAUXCR_FIFOAF_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_FIFOAF_RESETVAL (0x00000000u)
/*----FIFOAF Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUXCR_FIFOAF_DISABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_FIFOAF_ENABLED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMAUXCR_ASYNCPE_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUXCR_ASYNCPE_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMAUXCR_ASYNCPE_RESETVAL (0x00000000u)
/*----ASYNCPE Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUXCR_ASYNCPE_DISABLE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_ASYNCPE_ENABLE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMAUXCR_PRIORINVDIS_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMAUXCR_PRIORINVDIS_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUXCR_PRIORINVDIS_RESETVAL (0x00000000u)
/*----PRIORINVDIS Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUXCR_PRIORINVDIS_INVERSIONENABLED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_PRIORINVDIS_INVERSIONDISABLED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMAUXCR_CLKON_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMAUXCR_CLKON_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMAUXCR_CLKON_RESETVAL (0x00000000u)
/*----CLKON Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUXCR_CLKON_NOOVERRIDE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_CLKON_OVERRIDE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMAUXCR_AFREADYHIGH_MASK (0x00000010u)
#define CSL_CXSTM_TETRIS_STMAUXCR_AFREADYHIGH_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMAUXCR_AFREADYHIGH_RESETVAL (0x00000000u)
/*----AFREADYHIGH Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUXCR_AFREADYHIGH_NOOVERRIDE (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUXCR_AFREADYHIGH_OVERRIDE (0x00000001u)

#define CSL_CXSTM_TETRIS_STMAUXCR_RESETVAL (0x00000000u)

/* STMSPFEAT1R */

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_PROT_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_PROT_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_PROT_RESETVAL (0x00000000u)
/*----PROT Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_PROT_STPV2 (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TS_MASK (0x00000030u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TS_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TS_RESETVAL (0x00000000u)
/*----TS Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TS_ABSOLUT (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSFREQ_MASK (0x00000040u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSFREQ_SHIFT (0x00000006u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSFREQ_RESETVAL (0x00000000u)
/*----TSFREQ Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSFREQ_RW (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_FORCETS_MASK (0x00000080u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_FORCETS_SHIFT (0x00000007u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_FORCETS_RESETVAL (0x00000000u)
/*----FORCETS Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_FORCETS_IMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNC_MASK (0x00000300u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNC_SHIFT (0x00000008u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNC_RESETVAL (0x00000000u)
/*----SYNC Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNC_MODE (0x00000003u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRACEBUS_MASK (0x00003C00u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRACEBUS_SHIFT (0x0000000Au)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRACEBUS_RESETVAL (0x00000000u)
/*----TRACEBUS Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRACEBUS_ATBWITH TRIGGER (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRIGCTL_MASK (0x0000C000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRIGCTL_SHIFT (0x0000000Eu)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRIGCTL_RESETVAL (0x00000000u)
/*----TRIGCTL Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TRIGCTL_MULTI-SHOTAND SINGLE-SHOT (0x00000002u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSPRESCALE_MASK (0x00030000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSPRESCALE_SHIFT (0x00000010u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSPRESCALE_RESETVAL (0x00000000u)
/*----TSPRESCALE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_TSPRESCALE_NOTIMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_HWTEN_MASK (0x000C0000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_HWTEN_SHIFT (0x00000012u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_HWTEN_RESETVAL (0x00000000u)
/*----HWTEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_HWTEN_NOTIMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNCEN_MASK (0x00300000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNCEN_SHIFT (0x00000014u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNCEN_RESETVAL (0x00000000u)
/*----SYNCEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SYNCEN_RAO (0x00000002u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SWOEN_MASK (0x00C00000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SWOEN_SHIFT (0x00000016u)
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SWOEN_RESETVAL (0x00000000u)
/*----SWOEN Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT1R_SWOEN_NOTIMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT1R_RESETVAL (0x00000000u)

/* STMSPFEAT2R */

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTER_MASK (0x00000003u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTER_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTER_RESETVAL (0x00000000u)
/*----SPTER Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTER_IMPLEMENTED (0x00000002u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPER_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPER_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPER_RESETVAL (0x00000000u)
/*----SPER Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPER_IMPLEMENTED (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPCOMP_MASK (0x00000030u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPCOMP_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPCOMP_RESETVAL (0x00000000u)
/*----SPCOMP Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPCOMP_PROGRAMMABLE (0x00000003u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPOVERRIDE_MASK (0x00000040u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPOVERRIDE_SHIFT (0x00000006u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPOVERRIDE_RESETVAL (0x00000000u)
/*----SPOVERRIDE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPOVERRIDE_IMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_PRIVMASK_MASK (0x00000180u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_PRIVMASK_SHIFT (0x00000007u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_PRIVMASK_RESETVAL (0x00000000u)
/*----PRIVMASK Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_PRIVMASK_NOTIMPLEMENTED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTRTYPE_MASK (0x00000600u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTRTYPE_SHIFT (0x00000009u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTRTYPE_RESETVAL (0x00000000u)
/*----SPTRTYPE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTRTYPE_INVARIANTTIMING AND GUARANTEED (0x00000002u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_DSIZE_MASK (0x0000F000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_DSIZE_SHIFT (0x0000000Cu)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_DSIZE_RESETVAL (0x00000000u)
/*----DSIZE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_DSIZE_32-BIT (0x00000000u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTYPE_MASK (0x00030000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTYPE_SHIFT (0x00000010u)
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTYPE_RESETVAL (0x00000000u)
/*----SPTYPE Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT2R_SPTYPE_EXTENDEDONLY (0x00000001u)

#define CSL_CXSTM_TETRIS_STMSPFEAT2R_RESETVAL (0x00000000u)

/* STMSPFEAT3R */

#define CSL_CXSTM_TETRIS_STMSPFEAT3R_NUMMAST_MASK (0x0000007Fu)
#define CSL_CXSTM_TETRIS_STMSPFEAT3R_NUMMAST_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMSPFEAT3R_NUMMAST_RESETVAL (0x00000000u)
/*----NUMMAST Tokens----*/
#define CSL_CXSTM_TETRIS_STMSPFEAT3R_NUMMAST_NUMMAST (0x0000007fu)

#define CSL_CXSTM_TETRIS_STMSPFEAT3R_RESETVAL (0x00000000u)

/* STMITTRIGGER */

#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSPTE_W_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSPTE_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSPTE_W_RESETVAL (0x00000000u)
/*----TRIGOUTSPTE_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSPTE_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSPTE_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSW_W_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSW_W_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSW_W_RESETVAL (0x00000000u)
/*----TRIGOUTSW_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSW_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTSW_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTHETE_W_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTHETE_W_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTHETE_W_RESETVAL (0x00000000u)
/*----TRIGOUTHETE_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTHETE_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_TRIGOUTHETE_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITTRIGGER_ASYNCOUT_W_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_ASYNCOUT_W_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_ASYNCOUT_W_RESETVAL (0x00000000u)
/*----ASYNCOUT_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITTRIGGER_ASYNCOUT_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITTRIGGER_ASYNCOUT_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITTRIGGER_RESETVAL (0x00000000u)

/* STMITATBDATA0 */

#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM0_W_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM0_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM0_W_RESETVAL (0x00000000u)
/*----ATDATAM0_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM0_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM0_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM7_W_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM7_W_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM7_W_RESETVAL (0x00000000u)
/*----ATDATAM7_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM7_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM7_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM15_W_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM15_W_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM15_W_RESETVAL (0x00000000u)
/*----ATDATAM15_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM15_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM15_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM23_W_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM23_W_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM23_W_RESETVAL (0x00000000u)
/*----ATDATAM23_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM23_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM23_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM31_W_MASK (0x00000010u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM31_W_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM31_W_RESETVAL (0x00000000u)
/*----ATDATAM31_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM31_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBDATA0_ATDATAM31_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBDATA0_RESETVAL (0x00000000u)

/* STMITATBCTR2 */

#define CSL_CXSTM_TETRIS_STMITATBCTR2_ATREADYM_R_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_ATREADYM_R_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_ATREADYM_R_RESETVAL (0x00000000u)
/*----ATREADYM_R Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBCTR2_ATREADYM_R_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_ATREADYM_R_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBCTR2_AFVALIDM_R_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_AFVALIDM_R_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_AFVALIDM_R_RESETVAL (0x00000000u)
/*----AFVALIDM_R Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBCTR2_AFVALIDM_R_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR2_AFVALIDM_R_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBCTR2_RESETVAL (0x00000000u)

/* STMITATBID */

#define CSL_CXSTM_TETRIS_STMITATBID_ATIDM_W_MASK (0x0000007Fu)
#define CSL_CXSTM_TETRIS_STMITATBID_ATIDM_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITATBID_ATIDM_W_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBID_RESETVAL (0x00000000u)

/* STMITATBCTR0 */

#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATVALIDM_W_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATVALIDM_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATVALIDM_W_RESETVAL (0x00000000u)
/*----ATVALIDM_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATVALIDM_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATVALIDM_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBCTR0_AFREADYM_W_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_AFREADYM_W_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_AFREADYM_W_RESETVAL (0x00000000u)
/*----AFREADYM_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBCTR0_AFREADYM_W_HIGH (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_AFREADYM_W_LOW (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_MASK (0x00000300u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_SHIFT (0x00000008u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_RESETVAL (0x00000000u)
/*----ATBYTESM_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_11 (0x00000003u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_10 (0x00000002u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_01 (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITATBCTR0_ATBYTESM_W_00 (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITATBCTR0_RESETVAL (0x00000000u)

/* STMITCTRL */

#define CSL_CXSTM_TETRIS_STMITCTRL_INTEGRATION_MODE_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITCTRL_INTEGRATION_MODE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMITCTRL_INTEGRATION_MODE_RESETVAL (0x00000000u)
/*----Integration_mode Tokens----*/
#define CSL_CXSTM_TETRIS_STMITCTRL_INTEGRATION_MODE_INTEGRATIONMODE (0x00000001u)
#define CSL_CXSTM_TETRIS_STMITCTRL_INTEGRATION_MODE_FUNCTIONALMODE (0x00000000u)

#define CSL_CXSTM_TETRIS_STMITCTRL_RESETVAL (0x00000000u)

/* STMCLAIMSET */

#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_R_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_R_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_R_RESETVAL (0x00000000u)
/*----CLAIMSET_R Tokens----*/
#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_R_CLAIMTAG IMPLEMENTED BITS (0x0000000fu)

#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_W_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCLAIMSET_CLAIMSET_W_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMCLAIMSET_RESETVAL (0x00000000u)

/* STMCLAIMCLR */

#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_R_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_R_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_R_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_W_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCLAIMCLR_CLAIMCLR_W_RESETVAL (0x00000000u)

#define CSL_CXSTM_TETRIS_STMCLAIMCLR_RESETVAL (0x00000000u)

/* STMLAR */

#define CSL_CXSTM_TETRIS_STMLAR_ACCESS_W_MASK (0xFFFFFFFFu)
#define CSL_CXSTM_TETRIS_STMLAR_ACCESS_W_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMLAR_ACCESS_W_RESETVAL (0x00000000u)
/*----ACCESS_W Tokens----*/
#define CSL_CXSTM_TETRIS_STMLAR_ACCESS_W_UNLOCK (0xc5acce55u)

#define CSL_CXSTM_TETRIS_STMLAR_RESETVAL (0x00000000u)

/* STMLSR */

#define CSL_CXSTM_TETRIS_STMLSR_LOCKEXIST_MASK (0x00000001u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKEXIST_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKEXIST_RESETVAL (0x00000000u)
/*----LOCKEXIST Tokens----*/
#define CSL_CXSTM_TETRIS_STMLSR_LOCKEXIST_LOCKNOT PRESENT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKEXIST_LOCKPRESENT (0x00000001u)

#define CSL_CXSTM_TETRIS_STMLSR_LOCKGRANT_MASK (0x00000002u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKGRANT_SHIFT (0x00000001u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKGRANT_RESETVAL (0x00000000u)
/*----LOCKGRANT Tokens----*/
#define CSL_CXSTM_TETRIS_STMLSR_LOCKGRANT_ACCESSPERMITTED (0x00000000u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKGRANT_DEVICELOCKED (0x00000001u)

#define CSL_CXSTM_TETRIS_STMLSR_LOCKTYPE_MASK (0x00000004u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKTYPE_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMLSR_LOCKTYPE_RESETVAL (0x00000000u)
/*----LOCKTYPE Tokens----*/
#define CSL_CXSTM_TETRIS_STMLSR_LOCKTYPE_32-BIT (0x00000000u)

#define CSL_CXSTM_TETRIS_STMLSR_RESETVAL (0x00000000u)

/* STMAUTHSTATUS */

#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSID_MASK (0x00000003u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSID_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSID_RESETVAL (0x00000000u)
/*----NSID Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSID_2_B10 (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSID_2_B11 (0x00000003u)

#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSNID_MASK (0x0000000Cu)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSNID_SHIFT (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSNID_RESETVAL (0x00000000u)
/*----NSNID Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSNID_2_B10 (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_NSNID_2_B11 (0x00000003u)

#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SID_MASK (0x00000030u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SID_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SID_RESETVAL (0x00000000u)
/*----SID Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SID_2_B10 (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SID_2_B11 (0x00000003u)

#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SNID_MASK (0x000000C0u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SNID_SHIFT (0x00000006u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SNID_RESETVAL (0x00000000u)
/*----SNID Tokens----*/
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SNID_2_B10 (0x00000002u)
#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_SNID_2_B11 (0x00000003u)

#define CSL_CXSTM_TETRIS_STMAUTHSTATUS_RESETVAL (0x00000000u)

/* STMDEVID */

#define CSL_CXSTM_TETRIS_STMDEVID_NUMSP_MASK (0x0001FFFFu)
#define CSL_CXSTM_TETRIS_STMDEVID_NUMSP_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDEVID_NUMSP_RESETVAL (0x00000000u)
/*----NUMSP Tokens----*/
#define CSL_CXSTM_TETRIS_STMDEVID_NUMSP_NUMBEROF PORTS (0x00010000u)

#define CSL_CXSTM_TETRIS_STMDEVID_RESETVAL (0x00000000u)

/* STMDEVTYPE */

#define CSL_CXSTM_TETRIS_STMDEVTYPE_MAJOR_TYPE_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMDEVTYPE_MAJOR_TYPE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMDEVTYPE_MAJOR_TYPE_RESETVAL (0x00000000u)
/*----Major_Type Tokens----*/
#define CSL_CXSTM_TETRIS_STMDEVTYPE_MAJOR_TYPE_TRACESOURCE (0x00000003u)

#define CSL_CXSTM_TETRIS_STMDEVTYPE_SUB_TYPE_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMDEVTYPE_SUB_TYPE_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMDEVTYPE_SUB_TYPE_RESETVAL (0x00000000u)
/*----Sub_Type Tokens----*/
#define CSL_CXSTM_TETRIS_STMDEVTYPE_SUB_TYPE_CORESIGHTSTM (0x00000006u)

#define CSL_CXSTM_TETRIS_STMDEVTYPE_RESETVAL (0x00000000u)

/* STMPIDR4 */

#define CSL_CXSTM_TETRIS_STMPIDR4_JEP106_CONT_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMPIDR4_JEP106_CONT_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMPIDR4_JEP106_CONT_RESETVAL (0x00000000u)
/*----JEP106_cont Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR4_JEP106_CONT_ARMJEP106 CONTINUATION CODE (0x00000004u)

#define CSL_CXSTM_TETRIS_STMPIDR4_FOURKB_COUNT_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMPIDR4_FOURKB_COUNT_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMPIDR4_FOURKB_COUNT_RESETVAL (0x00000000u)
/*----FourKB_Count Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR4_FOURKB_COUNT_4KB (0x00000000u)

#define CSL_CXSTM_TETRIS_STMPIDR4_RESETVAL (0x00000000u)

/* STMPIDR5 */

#define CSL_CXSTM_TETRIS_STMPIDR5_RESETVAL (0x00000000u)

/* STMPIDR6 */

#define CSL_CXSTM_TETRIS_STMPIDR6_RESETVAL (0x00000000u)

/* STMPIDR7 */

#define CSL_CXSTM_TETRIS_STMPIDR7_RESETVAL (0x00000000u)

/* STMPIDR0 */

#define CSL_CXSTM_TETRIS_STMPIDR0_PART_NUMBER_BITS7TO0_MASK (0x000000FFu)
#define CSL_CXSTM_TETRIS_STMPIDR0_PART_NUMBER_BITS7TO0_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMPIDR0_PART_NUMBER_BITS7TO0_RESETVAL (0x00000000u)
/*----Part_Number_bits7to0 Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR0_PART_NUMBER_BITS7TO0_CORESIGHTSTM PART NUMBER[7:0] (0x00000062u)

#define CSL_CXSTM_TETRIS_STMPIDR0_RESETVAL (0x00000000u)

/* STMPIDR1 */

#define CSL_CXSTM_TETRIS_STMPIDR1_PART_NUMBER_BITS11TO8_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMPIDR1_PART_NUMBER_BITS11TO8_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMPIDR1_PART_NUMBER_BITS11TO8_RESETVAL (0x00000000u)
/*----Part_Number_bits11to8 Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR1_PART_NUMBER_BITS11TO8_CORESIGHTSTM PART NUMBER[11:8] (0x00000009u)

#define CSL_CXSTM_TETRIS_STMPIDR1_JEP106_BITS3TO0_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMPIDR1_JEP106_BITS3TO0_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMPIDR1_JEP106_BITS3TO0_RESETVAL (0x00000000u)
/*----JEP106_bits3to0 Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR1_JEP106_BITS3TO0_ARMJEP106 IDENTITY CODE[7:0] (0x0000000bu)

#define CSL_CXSTM_TETRIS_STMPIDR1_RESETVAL (0x00000000u)

/* STMPIDR2 */

#define CSL_CXSTM_TETRIS_STMPIDR2_JEP106_BITS6TO4_MASK (0x00000007u)
#define CSL_CXSTM_TETRIS_STMPIDR2_JEP106_BITS6TO4_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMPIDR2_JEP106_BITS6TO4_RESETVAL (0x00000000u)
/*----JEP106_bits6to4 Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR2_JEP106_BITS6TO4_ARMJEP106 IDENTITY CODE[6:4] (0x00000003u)

#define CSL_CXSTM_TETRIS_STMPIDR2_JEDEC_MASK (0x00000008u)
#define CSL_CXSTM_TETRIS_STMPIDR2_JEDEC_SHIFT (0x00000003u)
#define CSL_CXSTM_TETRIS_STMPIDR2_JEDEC_RESETVAL (0x00000000u)
/*----JEDEC Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR2_JEDEC_JEDECIDENTITY (0x00000001u)

#define CSL_CXSTM_TETRIS_STMPIDR2_REVISION_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMPIDR2_REVISION_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMPIDR2_REVISION_RESETVAL (0x00000000u)
/*----Revision Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR2_REVISION_R0P1 (0x00000001u)

#define CSL_CXSTM_TETRIS_STMPIDR2_RESETVAL (0x00000000u)

/* STMPIDR3 */

#define CSL_CXSTM_TETRIS_STMPIDR3_CUSTOMER_MODIFIED_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMPIDR3_CUSTOMER_MODIFIED_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMPIDR3_CUSTOMER_MODIFIED_RESETVAL (0x00000000u)
/*----Customer_Modified Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR3_CUSTOMER_MODIFIED_NOMODS (0x00000000u)

#define CSL_CXSTM_TETRIS_STMPIDR3_REVAND_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMPIDR3_REVAND_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMPIDR3_REVAND_RESETVAL (0x00000000u)
/*----RevAnd Tokens----*/
#define CSL_CXSTM_TETRIS_STMPIDR3_REVAND_NOMODS (0x00000000u)

#define CSL_CXSTM_TETRIS_STMPIDR3_RESETVAL (0x00000000u)

/* STMCIDR0 */

#define CSL_CXSTM_TETRIS_STMCIDR0_PREAMBLE_MASK (0x000000FFu)
#define CSL_CXSTM_TETRIS_STMCIDR0_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCIDR0_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CXSTM_TETRIS_STMCIDR0_PREAMBLE_0D (0x0000000du)

#define CSL_CXSTM_TETRIS_STMCIDR0_RESETVAL (0x00000000u)

/* STMCIDR1 */

#define CSL_CXSTM_TETRIS_STMCIDR1_PREAMBLE_MASK (0x0000000Fu)
#define CSL_CXSTM_TETRIS_STMCIDR1_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCIDR1_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CXSTM_TETRIS_STMCIDR1_PREAMBLE_0 (0x00000000u)

#define CSL_CXSTM_TETRIS_STMCIDR1_CLASS_MASK (0x000000F0u)
#define CSL_CXSTM_TETRIS_STMCIDR1_CLASS_SHIFT (0x00000004u)
#define CSL_CXSTM_TETRIS_STMCIDR1_CLASS_RESETVAL (0x00000000u)
/*----Class Tokens----*/
#define CSL_CXSTM_TETRIS_STMCIDR1_CLASS_CORESIGHTCOMPONENT (0x00000009u)

#define CSL_CXSTM_TETRIS_STMCIDR1_RESETVAL (0x00000000u)

/* STMCIDR2 */

#define CSL_CXSTM_TETRIS_STMCIDR2_PREAMBLE_MASK (0x000000FFu)
#define CSL_CXSTM_TETRIS_STMCIDR2_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCIDR2_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CXSTM_TETRIS_STMCIDR2_PREAMBLE_05 (0x00000005u)

#define CSL_CXSTM_TETRIS_STMCIDR2_RESETVAL (0x00000000u)

/* STMCIDR3 */

#define CSL_CXSTM_TETRIS_STMCIDR3_PREAMBLE_MASK (0x000000FFu)
#define CSL_CXSTM_TETRIS_STMCIDR3_PREAMBLE_SHIFT (0x00000000u)
#define CSL_CXSTM_TETRIS_STMCIDR3_PREAMBLE_RESETVAL (0x00000000u)
/*----Preamble Tokens----*/
#define CSL_CXSTM_TETRIS_STMCIDR3_PREAMBLE_B1 (0x000000b1u)

#define CSL_CXSTM_TETRIS_STMCIDR3_RESETVAL (0x00000000u)

#endif
