/******************************************************************************
 * FILE PURPOSE: PCIE Source module specification file.
 ******************************************************************************
 * FILE NAME: module.xs
 * 
 * DESCRIPTION: 
 *  This file contains the module specification for the PCIE source directory.
 *
 * Copyright (C) 2009, Texas Instruments, Inc.
 *****************************************************************************/

/* Load the library utility. */
var libUtility = xdc.loadCapsule ("../build/buildlib.xs");

/* List of all the PCIE LLD Files */
var pcielldFile = [
    "src/pcie.c",
    "src/pcieinit.c",
    "src/pcieapp.c",
    "src/pciecfg.c",
];

/**************************************************************************
 * FUNCTION NAME : modBuild
 **************************************************************************
 * DESCRIPTION   :
 *  The function is used to build all the components of the PCIE library
 **************************************************************************/
function modBuild() 
{
    /* Build the libraries for all the targets specified. */
    for (var targets=0; targets < Build.targets.length; targets++)
    {
        var libOptions = {
            incs: pcielldIncPath, 
        };
        
        libUtility.buildLibrary (libOptions, "ti.drv.pcie", Build.targets[targets], pcielldFile);
    }

    /* Add all the .c files to the release package. */
    var testFiles = libUtility.listAllFiles (".c", "src");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];

    /* Add all the .h files to the release package. */
    var testFiles = libUtility.listAllFiles (".h", "src");
    for (var k = 0 ; k < testFiles.length; k++)
        Pkg.otherFiles[Pkg.otherFiles.length++] = testFiles[k];
}

