/*  (C) Copyright 2009-2014 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_DROP_SCHED_LE_H_
#define QMSS_QOS_SCHED_DROP_SCHED_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_drop_sched_le[] =  {
     0x21000300,
     0x80200000,
     0x02000109,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248020c1,
     0x24010982,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x24fee1e0,
     0x24deade1,
     0x24beefe2,
     0x241814e3,
     0x80e3a980,
     0x2eff8382,
     0x241e00c2,
     0x24000047,
     0x240730c4,
     0x2eff878d,
     0x2400348e,
     0x240084ce,
     0x2400244f,
     0x2400746f,
     0x24000450,
     0x24000470,
     0x80c4e98d,
     0x00cec4c4,
     0x01014747,
     0x51144702,
     0x21002400,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x92e02984,
     0xc917e303,
     0x1d17e3e3,
     0x21005500,
     0x9084e989,
     0x90c4e98d,
     0x90852994,
     0x90c52991,
     0x9086699b,
     0x2303bb9e,
     0xc847e319,
     0x5100fc16,
     0x00288287,
     0x00488787,
     0x00088787,
     0x090487e0,
     0x90e06780,
     0xd1020903,
     0x70fce00f,
     0x21004500,
     0x70fce10d,
     0x108787e0,
     0x2302349e,
     0x82c2a98d,
     0x011cc2c2,
     0x92c6a98d,
     0x00e0f1f1,
     0x0300f0f0,
     0x0101f3f3,
     0x82c6a98d,
     0x051cc2c2,
     0x92c2a98d,
     0x21003f00,
     0x23022a9e,
     0x60140807,
     0x2302159e,
     0x61144702,
     0x23020e9e,
     0xc847e303,
     0x23021e9e,
     0x2302259e,
     0xcf1fffe0,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x82e02984,
     0x21005f00,
     0x91006984,
     0xc90704f4,
     0x240001e5,
     0x69800409,
     0x69012405,
     0x241830e0,
     0x90e06986,
     0x108686c4,
     0x21015200,
     0x69002422,
     0x108282c4,
     0x21015200,
     0x6981040e,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21015200,
     0x69012406,
     0x241830e0,
     0x90e06986,
     0x10c4c486,
     0x80e06986,
     0x21015200,
     0x69002414,
     0x10c4c482,
     0x21015200,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21015200,
     0x6990044b,
     0x1f17e3e3,
     0x69016403,
     0x6f0044ea,
     0x21008800,
     0x5f1444e8,
     0x6f0064e7,
     0x51012404,
     0x5100242d,
     0x240004e5,
     0x21015200,
     0x51006403,
     0x1f16e3e3,
     0x21015100,
     0x1e44e3e3,
     0x240730c6,
     0x24032087,
     0x240084c7,
     0x24003488,
     0x24000069,
     0x10444449,
     0x51004905,
     0x00c7c6c6,
     0x00888787,
     0x05014949,
     0x4f0049fd,
     0x90c6e98b,
     0x240000eb,
     0x2400000e,
     0x2400002e,
     0x10cccc86,
     0x10c6c6e0,
     0x240000ea,
     0x80e0298a,
     0x05048686,
     0x0104e0e0,
     0x6f0086fd,
     0x80c6e98b,
     0xd1016906,
     0x9087e98f,
     0xc9040f04,
     0x24000169,
     0x24000149,
     0x21009700,
     0x104444e0,
     0x23020e9e,
     0x50e04703,
     0x2302159e,
     0x2100af00,
     0x1063630f,
     0x23021e9e,
     0x2302159e,
     0x21015100,
     0x51006403,
     0x1d16e3e3,
     0x21015100,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x23020e9e,
     0x50e04703,
     0x2302159e,
     0x2100bc00,
     0x00822887,
     0x2400009d,
     0x50709d0a,
     0x090487e0,
     0x90e02780,
     0x5100e004,
     0x108787e0,
     0x2302349e,
     0x2100c200,
     0x01019d9d,
     0x01018787,
     0x2100c100,
     0x21015100,
     0x69910444,
     0x24004087,
     0x240000c6,
     0x69016404,
     0x241330c7,
     0x2400a086,
     0x2100fd00,
     0x69026406,
     0x2416d0c7,
     0x24014086,
     0x51002402,
     0x2303a29e,
     0x2100fd00,
     0x69036404,
     0x241180c7,
     0x2401b086,
     0x2100fd00,
     0x69046410,
     0x241810c7,
     0x24002086,
     0x5100241d,
     0x050c8686,
     0x00878680,
     0x00c786c0,
     0x240003e1,
     0x90802988,
     0x5100e802,
     0x80c02988,
     0x01048080,
     0x0104c0c0,
     0x0501e1e1,
     0x6f00e1fa,
     0x2100fd00,
     0x5f144481,
     0x6f006480,
     0x240320c7,
     0x240034e1,
     0x10c4c4e0,
     0x5100e006,
     0x4900e002,
     0x240000e1,
     0x00e1c7c7,
     0x0501e0e0,
     0x4f00e0fc,
     0x24003486,
     0x240024c6,
     0x5900c403,
     0x24000086,
     0x240000c6,
     0x51002405,
     0x6f01248c,
     0x69006405,
     0x1f17e3e3,
     0x21010400,
     0x10c7c787,
     0x240040c7,
     0x90872988,
     0x80c72988,
     0x01048787,
     0x0104c7c7,
     0x05048686,
     0x6886c605,
     0x51002403,
     0x01148787,
     0x21010e00,
     0x0114c7c7,
     0x4f0086f6,
     0x21015200,
     0x6992043f,
     0xc9072418,
     0x5f30c45c,
     0x2413d081,
     0x0904c4e0,
     0x00e081e0,
     0x90e0e98f,
     0x10efefe9,
     0x240000ea,
     0x10f1f1eb,
     0x240000ec,
     0x10f0f0ed,
     0x10f2f2ee,
     0xc9002402,
     0x240000ef,
     0xc9012402,
     0x240000f0,
     0xc9022402,
     0x240000f1,
     0xc9032402,
     0x240000f2,
     0x80e0e98f,
     0x240300e0,
     0x82e06989,
     0x21015100,
     0x111fc400,
     0x0b05c420,
     0x11072020,
     0x0b08c440,
     0x10242460,
     0x5f140040,
     0x23020e9e,
     0x50004703,
     0x2302159e,
     0x660047ff,
     0x5e29203b,
     0x23021e9e,
     0x5e144039,
     0x2302259e,
     0x50400803,
     0x23022a9e,
     0x664008ff,
     0x92c6a98d,
     0x10efeff4,
     0x10eeeef5,
     0x10f1f1f6,
     0x10f0f0f7,
     0x10f2f2f8,
     0x10f3f3f9,
     0x240300e1,
     0x82e16994,
     0xc9006003,
     0x240000ef,
     0x240000ee,
     0xc9016002,
     0x240000f2,
     0xc9026003,
     0x240000f1,
     0x240000f0,
     0xc9036002,
     0x240000f3,
     0x82c6a98d,
     0x21015100,
     0x240002e5,
     0x21015200,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x241810e0,
     0x90e0e984,
     0x241830e0,
     0x90e06988,
     0xc916e309,
     0x2302859e,
     0x2302b29e,
     0x2302c29e,
     0x2302e19e,
     0x241814e0,
     0x80e0a985,
     0x241830e0,
     0x80e06988,
     0x23020e9e,
     0xc847e32d,
     0x2400001d,
     0x500f6307,
     0x01010f0f,
     0x00ebeded,
     0xd11fed03,
     0x70eced02,
     0x10ececed,
     0x21016400,
     0x240000e0,
     0x5100ca08,
     0x0904c9e0,
     0xc9030902,
     0x0104e0e0,
     0x90e02780,
     0x04e0cae0,
     0x5100e01d,
     0xd11fe01c,
     0x80c22980,
     0x0104c2c2,
     0x2400ff3d,
     0x5100ed17,
     0xd11fed16,
     0x1d005d5d,
     0x23021e9e,
     0x2301949e,
     0x6900e003,
     0x1c673d3d,
     0x21018b00,
     0x000ae0e1,
     0x042ae1e1,
     0x090be1e1,
     0xd1010903,
     0x240001e1,
     0x0914e1e1,
     0x04e1eded,
     0x1f005d5d,
     0x5100ed0b,
     0xd11fed0a,
     0x23025a9e,
     0x5100e008,
     0x80c52991,
     0xd7005ded,
     0x21019200,
     0x0504c2c2,
     0x2302159e,
     0x671447d2,
     0x21002a00,
     0x80c52991,
     0x21018e00,
     0x109e9ede,
     0x80c2698d,
     0x0108c2c2,
     0x2303b89e,
     0x004828e1,
     0x0082e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e16d,
     0x51006d4a,
     0x0054340d,
     0x2302259e,
     0x50340806,
     0xc8086d03,
     0x2301fa9e,
     0x2101ea00,
     0x23022a9e,
     0x663408fc,
     0x5100543b,
     0x2400002d,
     0x240001e1,
     0x0854e1e1,
     0x0501e1e1,
     0x0834e1e1,
     0x106de1e1,
     0x5100e131,
     0x106d31e1,
     0x6900e115,
     0x2302259e,
     0x50340803,
     0x23022a9e,
     0x2101b300,
     0x1034344d,
     0x90c6298e,
     0x00fbeeee,
     0x0901fbe0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fb03,
     0xd11fee03,
     0x5100ee02,
     0x1e4d3131,
     0x80c6298e,
     0x01014d4d,
     0x23022a9e,
     0x660d4df3,
     0x2101b000,
     0x50110805,
     0x2302259e,
     0x50110803,
     0x23022a9e,
     0x2101c800,
     0x106d31e1,
     0xc811e112,
     0x2301fa9e,
     0x5100e00d,
     0x000ae0e1,
     0x042ae1e1,
     0x0908e1e1,
     0xd1000903,
     0x240001e1,
     0x0911e1e1,
     0x90c6298e,
     0x04e1eeee,
     0x80c6298e,
     0x5100ee03,
     0xd11fee02,
     0x2101dc00,
     0x1c113131,
     0x2301ee9e,
     0x2101ea00,
     0x2301ee9e,
     0x66542dd1,
     0x500d0803,
     0x23022a9e,
     0x2101e000,
     0x50140806,
     0xc8086d03,
     0x2301fa9e,
     0x2101ea00,
     0x23022a9e,
     0x661408fc,
     0x240000e0,
     0x0508c2c2,
     0x90c2698d,
     0x10dede9e,
     0x209e0000,
     0x80c2299e,
     0x0104c2c2,
     0x01011111,
     0x600d1103,
     0x2302259e,
     0x10343411,
     0x50110803,
     0x23022a9e,
     0x2101f400,
     0x0504c2c2,
     0x90c2299e,
     0x209e0000,
     0x82c2a98d,
     0x011cc2c2,
     0x92c6a98d,
     0x004828e0,
     0x0008e0e0,
     0x0082e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f2f2,
     0x00e0efef,
     0x0300eeee,
     0x82c6a98d,
     0x0904c9f2,
     0x0108f2f2,
     0x80f26680,
     0x051cc2c2,
     0x92c2a98d,
     0x209e0000,
     0x24000047,
     0x24000028,
     0x24032084,
     0x240730c4,
     0x9084e989,
     0x90c4e98d,
     0x209e0000,
     0x80c4e98d,
     0x008e8484,
     0x00cec4c4,
     0x00702828,
     0x01014747,
     0x51144703,
     0x9084e989,
     0x90c4e98d,
     0x209e0000,
     0x24000067,
     0x24000048,
     0x01108485,
     0x0110c4c5,
     0x90852994,
     0x90c52991,
     0x209e0000,
     0x24000008,
     0x01048586,
     0x0104c5c6,
     0x9086699b,
     0x209e0000,
     0x01088686,
     0x011cc6c6,
     0x01010808,
     0xc9040904,
     0x69040803,
     0x01148686,
     0x0114c6c6,
     0x58140802,
     0x9086699b,
     0x209e0000,
     0x84c22984,
     0x0124c2c2,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e516,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e00e,
     0x21025100,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec07,
     0xf3006c87,
     0x21024300,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x80c2299e,
     0x0104c2c2,
     0x2303bb9e,
     0x0504c2c2,
     0x90c2299e,
     0x10e6e6e0,
     0x0524c2c2,
     0x94c22984,
     0x209e0000,
     0x0504c2c2,
     0x90c22981,
     0x5100e10a,
     0xd1030903,
     0x0501e1e1,
     0x21026300,
     0x04e0e1e1,
     0x040ae1e1,
     0x002ae1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80c22981,
     0x0104c2c2,
     0x209e0000,
     0x209e0000,
     0x590c4816,
     0x090de5e9,
     0x14e5e9e9,
     0x0b13e9e9,
     0x11fe0505,
     0x090ce5e5,
     0x14e9e5e5,
     0x0902e6e9,
     0x14e6e9e9,
     0x0b19e9e9,
     0x11f80606,
     0x0904e6e6,
     0x14e9e6e6,
     0x0903e7e9,
     0x14e7e9e9,
     0x0b0be9e9,
     0x11f00707,
     0x0911e7e7,
     0x14e9e7e7,
     0x14e6e5e9,
     0x14e7e9e9,
     0x24002048,
     0x090489e0,
     0x0b08e9e9,
     0x05084848,
     0x209e0000,
     0x109e9ede,
     0x0b0588ce,
     0x0902cece,
     0x2419048f,
     0x240000cf,
     0x24184890,
     0x24000071,
     0x90ce258d,
     0x0104cece,
     0x6130cf03,
     0x24ffffec,
     0x10eceded,
     0x808f298d,
     0x01048f8f,
     0x2701ed51,
     0x5120510d,
     0x0051cf11,
     0x2416d0ec,
     0x0902118e,
     0x008eec8e,
     0x908e2992,
     0x51007205,
     0x00881180,
     0x001190c0,
     0x24000081,
     0x2302a69e,
     0x1c51eded,
     0x21029300,
     0x0120cfcf,
     0x01017171,
     0x6f0371e9,
     0x10dede9e,
     0x209e0000,
     0x090480f5,
     0x90f56793,
     0x71fff302,
     0x2400fff3,
     0x011ff4f4,
     0x0b05f4f4,
     0x5100d402,
     0x24fffff4,
     0x51008102,
     0x80810994,
     0x80c00913,
     0x209e0000,
     0x109e9ede,
     0x2400000d,
     0x241180cd,
     0x241898c0,
     0x2418bc81,
     0x90cda98e,
     0x51002f03,
     0x108e8e80,
     0x2302a69e,
     0x0101c0c0,
     0x01028181,
     0x01010d0d,
     0x010ccdcd,
     0x67240df8,
     0x10dede9e,
     0x209e0000,
     0x109e9ede,
     0x2419048f,
     0x24183ccf,
     0x24000010,
     0x108888d0,
     0x908f298d,
     0x90cf298c,
     0x1700ecec,
     0x10edecec,
     0x1700ecee,
     0x10edeeee,
     0x808f298e,
     0x01048f8f,
     0x0104cfcf,
     0x2701ec30,
     0x5120300b,
     0x0030d091,
     0x090491e0,
     0x90e0278d,
     0x5100ed05,
     0x109191e0,
     0x2302349e,
     0x0501eded,
     0x6f00edfd,
     0x1c30ecec,
     0x2102d000,
     0x0120d0d0,
     0x01011010,
     0x6f0310e9,
     0x10dede9e,
     0x209e0000,
     0x109e9ede,
     0x2400001b,
     0x2400003b,
     0x24190498,
     0x90982995,
     0x2701f57a,
     0x51207a7a,
     0x007a3b7b,
     0x2416d0f6,
     0x09027bf7,
     0x00f7f6f7,
     0x90f72994,
     0x00887bd8,
     0x241848f7,
     0x007bf7f7,
     0x90f7095b,
     0x51005b6e,
     0x24118096,
     0x090314d6,
     0x090214f7,
     0x00f7d6f7,
     0x00f796f7,
     0x90f7a98c,
     0x24133096,
     0x09040dd6,
     0x09020df7,
     0x00f7d6f7,
     0x00f796f7,
     0x92f7298f,
     0x2413d096,
     0x090434d9,
     0x00d996d9,
     0x2418bcf7,
     0x0014f7f7,
     0x0014f7f7,
     0x90f7099a,
     0x241898f7,
     0x0014f7f7,
     0x90f7095a,
     0x2303b89e,
     0x5100f006,
     0xc9000f04,
     0x09059af6,
     0x60f0f603,
     0x21031900,
     0x58f05a0b,
     0x51002f14,
     0x241910f7,
     0x0014f7f7,
     0x0014f7f7,
     0x90f70999,
     0x24fffff6,
     0x50f69904,
     0x5100990d,
     0x23026b9e,
     0x70e0990b,
     0x10d8d8e0,
     0x2302349e,
     0x0108d9f7,
     0x90f7699c,
     0x0101fdfd,
     0x00e0fcfc,
     0x80f7699c,
     0xd11ffd19,
     0xc91ffc35,
     0x21033900,
     0x0904d8f7,
     0x0108f7f7,
     0x90f76680,
     0x5100e104,
     0x09048cf7,
     0x0108f7f7,
     0x80f76680,
     0x90d9699c,
     0x00e0fcfc,
     0x0101fdfd,
     0x80d9699c,
     0x51ff5a02,
     0x01015a5a,
     0x011fe0e0,
     0x0b05e0e0,
     0x00e09ae0,
     0x24ffffe1,
     0x60e1e002,
     0x10e1e1e0,
     0x10e0e09a,
     0xd11ffd02,
     0xc91ffc1e,
     0x5100541d,
     0x24181c80,
     0x090254c0,
     0x00c080c0,
     0x10d9d980,
     0x84c26995,
     0x0128c2c2,
     0x90c02995,
     0x0904d5e1,
     0x010ce1e1,
     0x90e12681,
     0x5100e110,
     0x9080e99b,
     0x10fefefa,
     0x10fdfdf8,
     0x10fcfcf9,
     0x10fbfbf7,
     0x2eff879b,
     0x8080e99b,
     0x24001436,
     0x10343416,
     0x10e1e1e0,
     0x11f00000,
     0xe3002096,
     0x090495e0,
     0x010ce0e0,
     0x80e02681,
     0x0528c2c2,
     0x94c26995,
     0x05015b5b,
     0x6f005bb1,
     0x2418bcf7,
     0x0014f7f7,
     0x0014f7f7,
     0x80f7099a,
     0x241898f7,
     0x0014f7f7,
     0x80f7095a,
     0x1c7af5f5,
     0x2102e600,
     0x01203b3b,
     0x01011b1b,
     0x01049898,
     0x6f031b81,
     0x2400001a,
     0x24118097,
     0x2418bc98,
     0x241910d9,
     0x2303b89e,
     0x9097a98c,
     0x51002d30,
     0x90980994,
     0x090594f4,
     0x24133095,
     0x09040dd5,
     0x09020d99,
     0x0099d599,
     0x00999599,
     0x9299298f,
     0x51002f27,
     0x0a4feef5,
     0x04f5f4f5,
     0x00f5eeee,
     0x01089799,
     0x8099298e,
     0x48f1ee03,
     0x240000d8,
     0x21039a00,
     0x58f2ee1c,
     0x04f1eef5,
     0x0a4ff5f5,
     0x10f5f5e0,
     0x10f3f3e1,
     0x48f5f303,
     0x10f3f3e0,
     0x10f5f5e1,
     0x240000f5,
     0x2701e05a,
     0x51205a05,
     0x085ae1f6,
     0x00f6f5f5,
     0x1c5ae0e0,
     0x21038600,
     0x240000e0,
     0x240000d8,
     0x10ccccc1,
     0x2701c15a,
     0x51205a08,
     0x0d205a7a,
     0x085af5f6,
     0x00f6e0e0,
     0x0a7af5f6,
     0x02f6d8d8,
     0x1c5ac1c1,
     0x21038f00,
     0x21039a00,
     0x24ffffd8,
     0x80d909d8,
     0x0102d9d9,
     0x01011a1a,
     0x010c9797,
     0x01029898,
     0x67241aca,
     0x10dede9e,
     0x209e0000,
     0x80c2e98c,
     0x0110c2c2,
     0x2400000e,
     0x240040ce,
     0x24183c8f,
     0x240000ed,
     0x90ce298c,
     0x0104cece,
     0x111f0e2e,
     0x51006c02,
     0x1e2eeded,
     0x691f2e04,
     0x808f298d,
     0x01048f8f,
     0x240000ed,
     0x01010e0e,
     0x67500ef6,
     0x511f2e02,
     0x808f298d,
     0x0510c2c2,
     0x90c2e98c,
     0x209e0000,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x2402e0e0,
     0x90e06980,
     0x5100e00d,
     0x5100e10c,
     0x80c26982,
     0x0108c2c2,
     0x0904c0e3,
     0x0108e3e3,
     0x108080e0,
     0x80e36680,
     0x2eff8380,
     0x2402e082,
     0x80826980,
     0x0508c2c2,
     0x90c26982,
     0x209e0000,
     0x00000034,
     0x00000000,
     0x00000084,
     0x00000000,
     0x00000010,
     0x00000014,
     0x00000040,
     0x000001b0,
     0x000000a0,
     0x00000140,
     0x00000300,
     0x00000020,
     0x00000014 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_DROP_SCHED_LE_H_ */

