/*  (C) Copyright 2009-2014 Texas Instruments, Inc.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef QMSS_QOS_SCHED_LE_H_
#define QMSS_QOS_SCHED_LE_H_

#ifdef __cplusplus
extern "C" {
#endif



/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int qos_sched_le[] =  {
     0x21000300,
     0x80100000,
     0x02000109,
     0x240000e0,
     0x81002280,
     0x2406d6e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x242000e0,
     0x240000e1,
     0x0504e0e0,
     0x80e02981,
     0x6f00e0fe,
     0x24000081,
     0x248010c1,
     0x24010982,
     0x240200c2,
     0x241ff8e0,
     0x80e06981,
     0x2eff8382,
     0x241e00c2,
     0x24000047,
     0x240980c4,
     0x2eff878d,
     0x2401c88e,
     0x2404c0ce,
     0x2400584f,
     0x2400f06f,
     0x24000850,
     0x24002870,
     0x80c4e98d,
     0x00cec4c4,
     0x01014747,
     0x510c4709,
     0x6f0247fc,
     0x2400488e,
     0x240090ce,
     0x2400384f,
     0x2400806f,
     0x24000450,
     0x24000470,
     0x21001f00,
     0x1f17e3e3,
     0x241ff0e0,
     0x91082281,
     0x90802984,
     0x0101c4c1,
     0x80802981,
     0x241f80e0,
     0x92e02984,
     0xc917e303,
     0x1d17e3e3,
     0x21005a00,
     0x9084e989,
     0x90c4e98d,
     0x92856995,
     0x90c5e991,
     0x9086699b,
     0xc847e31d,
     0x5100fc16,
     0x00288287,
     0x00488787,
     0x00088787,
     0x090487e0,
     0x90e06780,
     0xd1020903,
     0x70fce00f,
     0x21004600,
     0x70fce10d,
     0x108787e0,
     0x2302479e,
     0x82c2a98d,
     0x011cc2c2,
     0x92c6a98d,
     0x00e0f1f1,
     0x0300f0f0,
     0x0101f3f3,
     0x82c6a98d,
     0x051cc2c2,
     0x92c2a98d,
     0x21004000,
     0x23023d9e,
     0x601a080b,
     0x23022f9e,
     0x58296703,
     0x2302389e,
     0x21005e00,
     0x23021f9e,
     0x610c4702,
     0x2302189e,
     0xc847e303,
     0x2302289e,
     0x2302389e,
     0xcf1fffdd,
     0x1f1fffff,
     0x01016363,
     0x241f80e0,
     0x82e02984,
     0x21006400,
     0x91006984,
     0xc90704b2,
     0x240001e5,
     0x69800404,
     0x69002419,
     0x108282c4,
     0x21011500,
     0x69810408,
     0x111fc4e0,
     0x5100e003,
     0x240003e5,
     0x21011500,
     0x69002411,
     0x10c4c482,
     0x21011500,
     0x69820408,
     0x240000e0,
     0x81002280,
     0x10c4c4e0,
     0x81042280,
     0x248003e0,
     0x81002280,
     0x21011500,
     0x6990044b,
     0x1f17e3e3,
     0x5f0c44f1,
     0x6f0064f0,
     0x51012404,
     0x51002433,
     0x240004e5,
     0x21011500,
     0x1e44e3e3,
     0x240980c6,
     0x24032087,
     0x240090c7,
     0x24004888,
     0x24000069,
     0x10444449,
     0x51004908,
     0x49024903,
     0x2404c0c7,
     0x2401c888,
     0x00c7c6c6,
     0x00888787,
     0x05014949,
     0x4f0049fa,
     0x90c6e98b,
     0x240000eb,
     0x2400000e,
     0x2400002e,
     0x10cccc86,
     0x10c6c6e0,
     0x240000ea,
     0x80e0298a,
     0x05048686,
     0x0104e0e0,
     0x6f0086fd,
     0x80c6e98b,
     0xd1016908,
     0x9087e98f,
     0xc9040f06,
     0x24000169,
     0x24000149,
     0x240090c7,
     0x24004888,
     0x21008e00,
     0x104444e0,
     0x2302189e,
     0x50e04703,
     0x23021f9e,
     0x2100a800,
     0x1063630f,
     0x2302289e,
     0x50296704,
     0x103a3a14,
     0x23022f9e,
     0x2100ad00,
     0x23021f9e,
     0x21011400,
     0x1cc4e3e3,
     0x10c4c4e0,
     0x2302189e,
     0x50e04703,
     0x23021f9e,
     0x2100b600,
     0x00822887,
     0x2400009d,
     0x50709d0a,
     0x090487e0,
     0x90e02780,
     0x5100e004,
     0x108787e0,
     0x2302479e,
     0x2100bc00,
     0x01019d9d,
     0x01018787,
     0x2100bb00,
     0x21011400,
     0x69910420,
     0x24004087,
     0x240000c6,
     0x5f0c44a5,
     0x6f0064a4,
     0x240320c7,
     0x240048e1,
     0x10c4c4e0,
     0x5100e006,
     0x4902e002,
     0x2401c8e1,
     0x00e1c7c7,
     0x0501e0e0,
     0x4f00e0fc,
     0x24004886,
     0x240038c6,
     0x5902c403,
     0x2401c886,
     0x240000c6,
     0x51002404,
     0x6f0124a7,
     0x1f17e3e3,
     0x2100df00,
     0x10c7c787,
     0x240040c7,
     0x90872988,
     0x80c72988,
     0x01048787,
     0x0104c7c7,
     0x05048686,
     0x4f0086fb,
     0x21011500,
     0x6992042c,
     0xc9072402,
     0x21008100,
     0x111fc400,
     0x0b05c420,
     0x11072020,
     0x0b08c440,
     0x10242460,
     0x5f0c0080,
     0x2302189e,
     0x50004703,
     0x23021f9e,
     0x660047ff,
     0x5e29207b,
     0x2302289e,
     0x50206703,
     0x23022f9e,
     0x662067ff,
     0x5e1a4076,
     0x2302389e,
     0x50400803,
     0x23023d9e,
     0x664008ff,
     0x92c6a98d,
     0x10efeff4,
     0x10eeeef5,
     0x10f1f1f6,
     0x10f0f0f7,
     0x10f2f2f8,
     0x10f3f3f9,
     0x240300e1,
     0x82e16994,
     0xc9006003,
     0x240000ef,
     0x240000ee,
     0xc9016002,
     0x240000f2,
     0xc9026003,
     0x240000f1,
     0x240000f0,
     0xc9036002,
     0x240000f3,
     0x82c6a98d,
     0x21011400,
     0x240002e5,
     0x21011500,
     0x240001e5,
     0x24000004,
     0x81006984,
     0x2302189e,
     0xc847e37f,
     0x2400001d,
     0x500f6315,
     0x01010f0f,
     0x00ebeded,
     0xd11fed03,
     0x70eced02,
     0x10ececed,
     0x2302289e,
     0x00f5f1f1,
     0xd11ff103,
     0x70f7f102,
     0x10f7f7f1,
     0x00f6f2f2,
     0x5100f206,
     0xd11ff205,
     0x1e671d1d,
     0xd11ff203,
     0x70f8f202,
     0x10f8f8f2,
     0x23022f9e,
     0x662967f4,
     0x21011a00,
     0x240000e0,
     0x5100ca08,
     0x0904c9e0,
     0xc9030902,
     0x0104e0e0,
     0x90e02780,
     0x04e0cae0,
     0x5100e061,
     0xd11fe060,
     0x80c22980,
     0x0104c2c2,
     0x2400ff3d,
     0x5100ed5b,
     0xd11fed5a,
     0x1d005d5d,
     0x2302289e,
     0x5100f114,
     0xd11ff113,
     0x23019c9e,
     0x6900e003,
     0x1c673d3d,
     0x21015300,
     0x000ae0e1,
     0x042ae1e1,
     0x090be1e1,
     0xd1010903,
     0x240001e1,
     0x0914e1e1,
     0x04e1eded,
     0x04e1f1f1,
     0x04e1f2f2,
     0x1f005d5d,
     0x5100ed4b,
     0xd11fed4a,
     0x2302689e,
     0x5100e048,
     0x23022f9e,
     0x662967eb,
     0xd7005de8,
     0x2302289e,
     0x5100ed3f,
     0xd11fed3e,
     0x103d1de0,
     0x5100e03c,
     0x103d1de0,
     0x1010e0e0,
     0x6900e010,
     0x23022f9e,
     0x2302289e,
     0x00f9f3f3,
     0x0901f9e0,
     0xd11ff303,
     0x70e0f302,
     0x10e0e0f3,
     0x5100f903,
     0xd11ff303,
     0x5100f302,
     0x1e671010,
     0x23022f9e,
     0x662967f6,
     0x2302289e,
     0x21015b00,
     0x50306703,
     0x23022f9e,
     0x21016d00,
     0xc830e020,
     0x23019c9e,
     0x6900e003,
     0x1c303d3d,
     0x21019000,
     0x80c22980,
     0x0104c2c2,
     0x000ae0e0,
     0x042ae0e0,
     0x090be0e1,
     0xd1010903,
     0x240001e1,
     0x0914e1e1,
     0x0908e0e0,
     0xd1000903,
     0x240001e0,
     0x0911e0e0,
     0x04e1eded,
     0x04e1f2f2,
     0x04e0f3f3,
     0x5100f203,
     0xd11ff202,
     0x21018800,
     0x1c301d1d,
     0x5100f303,
     0xd11ff302,
     0x21018c00,
     0x1c301010,
     0x0504c2c2,
     0x90c22980,
     0x2302689e,
     0x5100e00b,
     0x23022f9e,
     0x01013030,
     0x662930c5,
     0x24000030,
     0x2302289e,
     0x21015700,
     0x0504c2c2,
     0x23021f9e,
     0x670c4780,
     0x21002c00,
     0x80c5e991,
     0x21019600,
     0x109e9ede,
     0x80c2698d,
     0x0108c2c2,
     0xc91fff03,
     0x1f1fffff,
     0x01016363,
     0x004828e1,
     0x0082e1e1,
     0x111fe1e0,
     0x0b05e1e1,
     0x0902e1e1,
     0x90e12581,
     0x0ae0e16d,
     0x51006d4a,
     0x005a3a0d,
     0x2302389e,
     0x503a0806,
     0xc8086d03,
     0x2302049e,
     0x2101f400,
     0x23023d9e,
     0x663a08fc,
     0x51005a3b,
     0x2400002d,
     0x240001e1,
     0x085ae1e1,
     0x0501e1e1,
     0x083ae1e1,
     0x106de1e1,
     0x5100e131,
     0x106d34e1,
     0x6900e115,
     0x2302389e,
     0x503a0803,
     0x23023d9e,
     0x2101bd00,
     0x103a3a4d,
     0x90c6298e,
     0x00fbeeee,
     0x0901fbe0,
     0xd11fee03,
     0x70e0ee02,
     0x10e0e0ee,
     0x5100fb03,
     0xd11fee03,
     0x5100ee02,
     0x1e4d3434,
     0x80c6298e,
     0x01014d4d,
     0x23023d9e,
     0x660d4df3,
     0x2101ba00,
     0x50140805,
     0x2302389e,
     0x50140803,
     0x23023d9e,
     0x2101d200,
     0x106d34e1,
     0xc814e112,
     0x2302049e,
     0x5100e00d,
     0x000ae0e1,
     0x042ae1e1,
     0x0908e1e1,
     0xd1000903,
     0x240001e1,
     0x0911e1e1,
     0x90c6298e,
     0x04e1eeee,
     0x80c6298e,
     0x5100ee03,
     0xd11fee02,
     0x2101e600,
     0x1c143434,
     0x2301f89e,
     0x2101f400,
     0x2301f89e,
     0x665a2dd1,
     0x500d0803,
     0x23023d9e,
     0x2101ea00,
     0x501a0806,
     0xc8086d03,
     0x2302049e,
     0x2101f400,
     0x23023d9e,
     0x661a08fc,
     0x240000e0,
     0x0508c2c2,
     0x90c2698d,
     0x10dede9e,
     0x209e0000,
     0x80c2299e,
     0x0104c2c2,
     0x01011414,
     0x600d1403,
     0x2302389e,
     0x103a3a14,
     0x50140803,
     0x23023d9e,
     0x2101fe00,
     0x0504c2c2,
     0x90c2299e,
     0x209e0000,
     0x82c2a98d,
     0x011cc2c2,
     0x92c6a98d,
     0x004828e0,
     0x0008e0e0,
     0x0082e0e0,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06680,
     0x5100e108,
     0x0101f2f2,
     0x00e0efef,
     0x0300eeee,
     0x82c6a98d,
     0x0904c9f2,
     0x0108f2f2,
     0x80f26680,
     0x051cc2c2,
     0x92c2a98d,
     0x209e0000,
     0x24000047,
     0x24000028,
     0x24032084,
     0x240980c4,
     0x9084e989,
     0x90c4e98d,
     0x209e0000,
     0x80c4e98d,
     0x008e8484,
     0x00cec4c4,
     0x00702828,
     0x01014747,
     0x510c4703,
     0x9084e989,
     0x90c4e98d,
     0x209e0000,
     0x24000067,
     0x24000048,
     0x01108485,
     0x0110c4c5,
     0x92856995,
     0x90c5e991,
     0x209e0000,
     0x80c5e991,
     0x004f8585,
     0x006fc5c5,
     0x01016767,
     0x00504848,
     0x58296703,
     0x92856995,
     0x90c5e991,
     0x209e0000,
     0x24000008,
     0x01188586,
     0x0110c5c6,
     0x9086699b,
     0x209e0000,
     0x01088686,
     0x011cc6c6,
     0x01010808,
     0xc9040904,
     0x69040803,
     0x01288686,
     0x0120c6c6,
     0x581a0802,
     0x9086699b,
     0x209e0000,
     0x84c22984,
     0x0124c2c2,
     0x0904e0e0,
     0x0108e0e0,
     0x90e06684,
     0x11f00505,
     0x10e4e4e6,
     0x5100e516,
     0xf3006587,
     0x11c067e0,
     0x5100e003,
     0x5180e00e,
     0x21026400,
     0xd10fe902,
     0x240000ec,
     0x240000e4,
     0xc90ee902,
     0x1f1fe4e4,
     0x113f2929,
     0x090489e0,
     0x0108e0e0,
     0x80e06684,
     0x5100ec07,
     0xf3006c87,
     0x21025600,
     0x113f2929,
     0x090489e0,
     0x010ce0e0,
     0x80e02685,
     0x10e6e6e0,
     0x0524c2c2,
     0x94c22984,
     0x209e0000,
     0x0504c2c2,
     0x90c22981,
     0x5100e10a,
     0xd1030903,
     0x0501e1e1,
     0x21027100,
     0x04e0e1e1,
     0x040ae1e1,
     0x002ae1e1,
     0x240000e0,
     0x5100e103,
     0xd11fe102,
     0x240001e0,
     0x80c22981,
     0x0104c2c2,
     0x209e0000,
     0x00000048,
     0x000001c8,
     0x00000090,
     0x000004c0,
     0x00000010,
     0x00000078,
     0x00000040 };

#ifdef __cplusplus
}
#endif

#endif /* QMSS_QOS_SCHED_LE_H_ */

