/*
 *
 * Copyright (C) 2011-2013 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifndef __CSL_K2K_DEVICE_INTERRUPT_H__
#define __CSL_K2K_DEVICE_INTERRUPT_H__

#include <ti/csl/cslr.h>
#include <ti/csl/tistdtypes.h>

/*
 * Auto-generated CSL section
 */
#define ARM_GIC_EVENT_CNT 498
#define CSL_ARM_GIC_RSTMUX_INT8 (0x00000000)
#define CSL_ARM_GIC_RSTMUX_INT9 (0x00000001)
#define CSL_ARM_GIC_RSTMUX_INT10 (0x00000002)
#define CSL_ARM_GIC_RSTMUX_INT11 (0x00000003)
#define CSL_ARM_GIC_IPC_GR8 (0x00000004)
#define CSL_ARM_GIC_IPC_GR9 (0x00000005)
#define CSL_ARM_GIC_IPC_GR10 (0x00000006)
#define CSL_ARM_GIC_IPC_GR11 (0x00000007)
#define CSL_ARM_GIC_SEM_INT8 (0x00000008)
#define CSL_ARM_GIC_SEM_INT9 (0x00000009)
#define CSL_ARM_GIC_SEM_INT10 (0x0000000A)
#define CSL_ARM_GIC_SEM_INT11 (0x0000000B)
#define CSL_ARM_GIC_SEM_ERR8 (0x0000000C)
#define CSL_ARM_GIC_SEM_ERR9 (0x0000000D)
#define CSL_ARM_GIC_SEM_ERR10 (0x0000000E)
#define CSL_ARM_GIC_SEM_ERR11 (0x0000000F)
#define CSL_ARM_GIC_MSMC_MPF_ERROR8 (0x00000010)
#define CSL_ARM_GIC_MSMC_MPF_ERROR9 (0x00000011)
#define CSL_ARM_GIC_MSMC_MPF_ERROR10 (0x00000012)
#define CSL_ARM_GIC_MSMC_MPF_ERROR11 (0x00000013)
#define CSL_ARM_GIC_ARM_NPMUIRQ0 (0x00000014)
#define CSL_ARM_GIC_ARM_NPMUIRQ1 (0x00000015)
#define CSL_ARM_GIC_ARM_NPMUIRQ2 (0x00000016)
#define CSL_ARM_GIC_ARM_NPMUIRQ3 (0x00000017)
#define CSL_ARM_GIC_ARM_NINTERRIRQ (0x00000018)
#define CSL_ARM_GIC_ARM_NAXIERRIRQ (0x00000019)
#define CSL_ARM_GIC_PCIE_INT0 (0x0000001A)
#define CSL_ARM_GIC_PCIE_INT1 (0x0000001B)
#define CSL_ARM_GIC_PCIE_INT2 (0x0000001C)
#define CSL_ARM_GIC_PCIE_INT3 (0x0000001D)
#define CSL_ARM_GIC_PCIE_INT4 (0x0000001E)
#define CSL_ARM_GIC_PCIE_INT5 (0x0000001F)
#define CSL_ARM_GIC_PCIE_INT6 (0x00000020)
#define CSL_ARM_GIC_PCIE_INT7 (0x00000021)
#define CSL_ARM_GIC_PCIE_INT8 (0x00000022)
#define CSL_ARM_GIC_PCIE_INT9 (0x00000023)
#define CSL_ARM_GIC_PCIE_INT10 (0x00000024)
#define CSL_ARM_GIC_PCIE_INT11 (0x00000025)
#define CSL_ARM_GIC_PCIE_INT12 (0x00000026)
#define CSL_ARM_GIC_PCIE_INT13 (0x00000027)
#define CSL_ARM_GIC_QMSS_QUE_PEND_658 (0x00000028)
#define CSL_ARM_GIC_QMSS_QUE_PEND_659 (0x00000029)
#define CSL_ARM_GIC_QMSS_QUE_PEND_660 (0x0000002A)
#define CSL_ARM_GIC_QMSS_QUE_PEND_661 (0x0000002B)
#define CSL_ARM_GIC_QMSS_QUE_PEND_662 (0x0000002C)
#define CSL_ARM_GIC_QMSS_QUE_PEND_663 (0x0000002D)
#define CSL_ARM_GIC_QMSS_QUE_PEND_664 (0x0000002E)
#define CSL_ARM_GIC_QMSS_QUE_PEND_665 (0x0000002F)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8704 (0x00000030)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8705 (0x00000031)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8706 (0x00000032)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8707 (0x00000033)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8708 (0x00000034)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8709 (0x00000035)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8710 (0x00000036)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8711 (0x00000037)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8712 (0x00000038)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8713 (0x00000039)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8714 (0x0000003A)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8715 (0x0000003B)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8716 (0x0000003C)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8717 (0x0000003D)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8718 (0x0000003E)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8719 (0x0000003F)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8720 (0x00000040)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8721 (0x00000041)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8722 (0x00000042)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8723 (0x00000043)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8724 (0x00000044)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8725 (0x00000045)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8726 (0x00000046)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8727 (0x00000047)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8728 (0x00000048)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8729 (0x00000049)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8730 (0x0000004A)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8731 (0x0000004B)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8732 (0x0000004C)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8733 (0x0000004D)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8734 (0x0000004E)
#define CSL_ARM_GIC_QMSS_QUE_PEND_8735 (0x0000004F)
#define CSL_ARM_GIC_TIMER_0_INTL (0x00000050)
#define CSL_ARM_GIC_TIMER_0_INTH (0x00000051)
#define CSL_ARM_GIC_TIMER_1_INTL (0x00000052)
#define CSL_ARM_GIC_TIMER_1_INTH (0x00000053)
#define CSL_ARM_GIC_TIMER_2_INTL (0x00000054)
#define CSL_ARM_GIC_TIMER_2_INTH (0x00000055)
#define CSL_ARM_GIC_TIMER_3_INTL (0x00000056)
#define CSL_ARM_GIC_TIMER_3_INTH (0x00000057)
#define CSL_ARM_GIC_TIMER_4_INTL (0x00000058)
#define CSL_ARM_GIC_TIMER_4_INTH (0x00000059)
#define CSL_ARM_GIC_TIMER_5_INTL (0x0000005A)
#define CSL_ARM_GIC_TIMER_5_INTH (0x0000005B)
#define CSL_ARM_GIC_TIMER_6_INTL (0x0000005C)
#define CSL_ARM_GIC_TIMER_6_INTH (0x0000005D)
#define CSL_ARM_GIC_TIMER_7_INTL (0x0000005E)
#define CSL_ARM_GIC_TIMER_7_INTH (0x0000005F)
#define CSL_ARM_GIC_TIMER_8_INTL (0x00000060)
#define CSL_ARM_GIC_TIMER_8_INTH (0x00000061)
#define CSL_ARM_GIC_TIMER_9_INTL (0x00000062)
#define CSL_ARM_GIC_TIMER_9_INTH (0x00000063)
#define CSL_ARM_GIC_TIMER_10_INTL (0x00000064)
#define CSL_ARM_GIC_TIMER_10_INTH (0x00000065)
#define CSL_ARM_GIC_TIMER_11_INTL (0x00000066)
#define CSL_ARM_GIC_TIMER_11_INTH (0x00000067)
#define CSL_ARM_GIC_TIMER_12_INTL (0x00000068)
#define CSL_ARM_GIC_TIMER_12_INTH (0x00000069)
#define CSL_ARM_GIC_TIMER_13_INTL (0x0000006A)
#define CSL_ARM_GIC_TIMER_13_INTH (0x0000006B)
#define CSL_ARM_GIC_TIMER_14_INTL (0x0000006C)
#define CSL_ARM_GIC_TIMER_14_INTH (0x0000006D)
#define CSL_ARM_GIC_TIMER_15_INTL (0x0000006E)
#define CSL_ARM_GIC_TIMER_15_INTH (0x0000006F)
#define CSL_ARM_GIC_TIMER_16_INTL (0x00000070)
#define CSL_ARM_GIC_TIMER_16_INTH (0x00000071)
#define CSL_ARM_GIC_TIMER_17_INTL (0x00000072)
#define CSL_ARM_GIC_TIMER_17_INTH (0x00000073)
#define CSL_ARM_GIC_TIMER_18_INTL (0x00000074)
#define CSL_ARM_GIC_TIMER_18_INTH (0x00000075)
#define CSL_ARM_GIC_TIMER_19_INTL (0x00000076)
#define CSL_ARM_GIC_TIMER_19_INTH (0x00000077)
#define CSL_ARM_GIC_GPIO_INT0 (0x00000078)
#define CSL_ARM_GIC_GPIO_INT1 (0x00000079)
#define CSL_ARM_GIC_GPIO_INT2 (0x0000007A)
#define CSL_ARM_GIC_GPIO_INT3 (0x0000007B)
#define CSL_ARM_GIC_GPIO_INT4 (0x0000007C)
#define CSL_ARM_GIC_GPIO_INT5 (0x0000007D)
#define CSL_ARM_GIC_GPIO_INT6 (0x0000007E)
#define CSL_ARM_GIC_GPIO_INT7 (0x0000007F)
#define CSL_ARM_GIC_GPIO_INT8 (0x00000080)
#define CSL_ARM_GIC_GPIO_INT9 (0x00000081)
#define CSL_ARM_GIC_GPIO_INT10 (0x00000082)
#define CSL_ARM_GIC_GPIO_INT11 (0x00000083)
#define CSL_ARM_GIC_GPIO_INT12 (0x00000084)
#define CSL_ARM_GIC_GPIO_INT13 (0x00000085)
#define CSL_ARM_GIC_GPIO_INT14 (0x00000086)
#define CSL_ARM_GIC_GPIO_INT15 (0x00000087)
#define CSL_ARM_GIC_GPIO_INT16 (0x00000088)
#define CSL_ARM_GIC_GPIO_INT17 (0x00000089)
#define CSL_ARM_GIC_GPIO_INT18 (0x0000008A)
#define CSL_ARM_GIC_GPIO_INT19 (0x0000008B)
#define CSL_ARM_GIC_GPIO_INT20 (0x0000008C)
#define CSL_ARM_GIC_GPIO_INT21 (0x0000008D)
#define CSL_ARM_GIC_GPIO_INT22 (0x0000008E)
#define CSL_ARM_GIC_GPIO_INT23 (0x0000008F)
#define CSL_ARM_GIC_GPIO_INT24 (0x00000090)
#define CSL_ARM_GIC_GPIO_INT25 (0x00000091)
#define CSL_ARM_GIC_GPIO_INT26 (0x00000092)
#define CSL_ARM_GIC_GPIO_INT27 (0x00000093)
#define CSL_ARM_GIC_GPIO_INT28 (0x00000094)
#define CSL_ARM_GIC_GPIO_INT29 (0x00000095)
#define CSL_ARM_GIC_GPIO_INT30 (0x00000096)
#define CSL_ARM_GIC_GPIO_INT31 (0x00000097)
#define CSL_ARM_GIC_SRIO_INTDST0 (0x00000098)
#define CSL_ARM_GIC_SRIO_INTDST1 (0x00000099)
#define CSL_ARM_GIC_SRIO_INTDST2 (0x0000009A)
#define CSL_ARM_GIC_SRIO_INTDST3 (0x0000009B)
#define CSL_ARM_GIC_SRIO_INTDST4 (0x0000009C)
#define CSL_ARM_GIC_SRIO_INTDST5 (0x0000009D)
#define CSL_ARM_GIC_SRIO_INTDST6 (0x0000009E)
#define CSL_ARM_GIC_SRIO_INTDST7 (0x0000009F)
#define CSL_ARM_GIC_SRIO_INTDST8 (0x000000A0)
#define CSL_ARM_GIC_SRIO_INTDST9 (0x000000A1)
#define CSL_ARM_GIC_SRIO_INTDST10 (0x000000A2)
#define CSL_ARM_GIC_SRIO_INTDST11 (0x000000A3)
#define CSL_ARM_GIC_SRIO_INTDST12 (0x000000A4)
#define CSL_ARM_GIC_SRIO_INTDST13 (0x000000A5)
#define CSL_ARM_GIC_SRIO_INTDST14 (0x000000A6)
#define CSL_ARM_GIC_SRIO_INTDST15 (0x000000A7)
#define CSL_ARM_GIC_SRIO_INTDST16 (0x000000A8)
#define CSL_ARM_GIC_SRIO_INTDST17 (0x000000A9)
#define CSL_ARM_GIC_SRIO_INTDST18 (0x000000AA)
#define CSL_ARM_GIC_SRIO_INTDST19 (0x000000AB)
#define CSL_ARM_GIC_SRIO_INTDST20 (0x000000AC)
#define CSL_ARM_GIC_SRIO_INTDST21 (0x000000AD)
#define CSL_ARM_GIC_SRIO_INTDST22 (0x000000AE)
#define CSL_ARM_GIC_SRIO_INTDST23 (0x000000AF)
#define CSL_ARM_GIC_SRIO_INT_PKTDMA_0 (0x000000B0)
#define CSL_ARM_GIC_QMSS_INTD_1_PKTDMA_0 (0x000000B1)
#define CSL_ARM_GIC_QMSS_INTD_1_PKTDMA_1 (0x000000B2)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_0 (0x000000B3)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_1 (0x000000B4)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_2 (0x000000B5)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_3 (0x000000B6)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_4 (0x000000B7)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_5 (0x000000B8)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_6 (0x000000B9)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_7 (0x000000BA)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_8 (0x000000BB)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_9 (0x000000BC)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_10 (0x000000BD)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_11 (0x000000BE)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_12 (0x000000BF)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_13 (0x000000C0)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_14 (0x000000C1)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_15 (0x000000C2)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_16 (0x000000C3)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_17 (0x000000C4)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_18 (0x000000C5)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_19 (0x000000C6)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_20 (0x000000C7)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_21 (0x000000C8)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_22 (0x000000C9)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_23 (0x000000CA)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_24 (0x000000CB)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_25 (0x000000CC)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_26 (0x000000CD)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_27 (0x000000CE)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_28 (0x000000CF)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_29 (0x000000D0)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_30 (0x000000D1)
#define CSL_ARM_GIC_QMSS_INTD_1_HIGH_31 (0x000000D2)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_0 (0x000000D3)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_1 (0x000000D4)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_2 (0x000000D5)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_3 (0x000000D6)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_4 (0x000000D7)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_5 (0x000000D8)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_6 (0x000000D9)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_7 (0x000000DA)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_8 (0x000000DB)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_9 (0x000000DC)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_10 (0x000000DD)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_11 (0x000000DE)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_12 (0x000000DF)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_13 (0x000000E0)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_14 (0x000000E1)
#define CSL_ARM_GIC_QMSS_INTD_1_LOW_15 (0x000000E2)
#define CSL_ARM_GIC_QMSS_INTD_2_PKTDMA_0 (0x000000E3)
#define CSL_ARM_GIC_QMSS_INTD_2_PKTDMA_1 (0x000000E4)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_0 (0x000000E5)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_1 (0x000000E6)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_2 (0x000000E7)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_3 (0x000000E8)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_4 (0x000000E9)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_5 (0x000000EA)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_6 (0x000000EB)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_7 (0x000000EC)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_8 (0x000000ED)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_9 (0x000000EE)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_10 (0x000000EF)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_11 (0x000000F0)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_12 (0x000000F1)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_13 (0x000000F2)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_14 (0x000000F3)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_15 (0x000000F4)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_16 (0x000000F5)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_17 (0x000000F6)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_18 (0x000000F7)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_19 (0x000000F8)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_20 (0x000000F9)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_21 (0x000000FA)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_22 (0x000000FB)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_23 (0x000000FC)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_24 (0x000000FD)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_25 (0x000000FE)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_26 (0x000000FF)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_27 (0x00000100)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_28 (0x00000101)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_29 (0x00000102)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_30 (0x00000103)
#define CSL_ARM_GIC_QMSS_INTD_2_HIGH_31 (0x00000104)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_0 (0x00000105)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_1 (0x00000106)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_2 (0x00000107)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_3 (0x00000108)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_4 (0x00000109)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_5 (0x0000010A)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_6 (0x0000010B)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_7 (0x0000010C)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_8 (0x0000010D)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_9 (0x0000010E)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_10 (0x0000010F)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_11 (0x00000110)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_12 (0x00000111)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_13 (0x00000112)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_14 (0x00000113)
#define CSL_ARM_GIC_QMSS_INTD_2_LOW_15 (0x00000114)
#define CSL_ARM_GIC_UART_0_UARTINT (0x00000115)
#define CSL_ARM_GIC_UART_0_URXEVT (0x00000116)
#define CSL_ARM_GIC_UART_0_UTXEVT (0x00000117)
#define CSL_ARM_GIC_UART_1_UARTINT (0x00000118)
#define CSL_ARM_GIC_UART_1_URXEVT (0x00000119)
#define CSL_ARM_GIC_UART_1_UTXEVT (0x0000011A)
#define CSL_ARM_GIC_I2C_0_INT (0x0000011B)
#define CSL_ARM_GIC_I2C_0_REVT (0x0000011C)
#define CSL_ARM_GIC_I2C_0_XEVT (0x0000011D)
#define CSL_ARM_GIC_I2C_1_INT (0x0000011E)
#define CSL_ARM_GIC_I2C_1_REVT (0x0000011F)
#define CSL_ARM_GIC_I2C_1_XEVT (0x00000120)
#define CSL_ARM_GIC_I2C_2_INT (0x00000121)
#define CSL_ARM_GIC_I2C_2_REVT (0x00000122)
#define CSL_ARM_GIC_I2C_2_XEVT (0x00000123)
#define CSL_ARM_GIC_SPI_0_INT0 (0x00000124)
#define CSL_ARM_GIC_SPI_0_INT1 (0x00000125)
#define CSL_ARM_GIC_SPI_0_XEVT (0x00000126)
#define CSL_ARM_GIC_SPI_0_REVT (0x00000127)
#define CSL_ARM_GIC_SPI_1_INT0 (0x00000128)
#define CSL_ARM_GIC_SPI_1_INT1 (0x00000129)
#define CSL_ARM_GIC_SPI_1_XEVT (0x0000012A)
#define CSL_ARM_GIC_SPI_1_REVT (0x0000012B)
#define CSL_ARM_GIC_SPI_2_INT0 (0x0000012C)
#define CSL_ARM_GIC_SPI_2_INT1 (0x0000012D)
#define CSL_ARM_GIC_SPI_2_XEVT (0x0000012E)
#define CSL_ARM_GIC_SPI_2_REVT (0x0000012F)
#define CSL_ARM_GIC_DBGTBR_DMAINT (0x00000130)
#define CSL_ARM_GIC_DBGTBR_ACQCOMP (0x00000131)
#define CSL_ARM_GIC_ARM_TBR_DMA (0x00000132)
#define CSL_ARM_GIC_ARM_TBR_ACQ (0x00000133)
#define CSL_ARM_GIC_NETCP_MDIO_LINK_INT0 (0x00000134)
#define CSL_ARM_GIC_NETCP_MDIO_LINK_INT1 (0x00000135)
#define CSL_ARM_GIC_NETCP_MDIO_USER_INT0 (0x00000136)
#define CSL_ARM_GIC_NETCP_MDIO_USER_INT1 (0x00000137)
#define CSL_ARM_GIC_NETCP_MISC_INT (0x00000138)
#define CSL_ARM_GIC_NETCP_PKTDMA_INT0 (0x00000139)
#define CSL_ARM_GIC_EDMACC_0_GINT (0x0000013A)
#define CSL_ARM_GIC_EDMACC_0_TC_0_INT (0x0000013B)
#define CSL_ARM_GIC_EDMACC_0_TC_1_INT (0x0000013C)
#define CSL_ARM_GIC_EDMACC_0_TC_2_INT (0x0000013D)
#define CSL_ARM_GIC_EDMACC_0_TC_3_INT (0x0000013E)
#define CSL_ARM_GIC_EDMACC_0_TC_4_INT (0x0000013F)
#define CSL_ARM_GIC_EDMACC_0_TC_5_INT (0x00000140)
#define CSL_ARM_GIC_EDMACC_0_TC_6_INT (0x00000141)
#define CSL_ARM_GIC_EDMACC_0_TC_7_INT (0x00000142)
#define CSL_ARM_GIC_EDMACC_1_GINT (0x00000143)
#define CSL_ARM_GIC_EDMACC_1_TC_0_INT (0x00000144)
#define CSL_ARM_GIC_EDMACC_1_TC_1_INT (0x00000145)
#define CSL_ARM_GIC_EDMACC_1_TC_2_INT (0x00000146)
#define CSL_ARM_GIC_EDMACC_1_TC_3_INT (0x00000147)
#define CSL_ARM_GIC_EDMACC_1_TC_4_INT (0x00000148)
#define CSL_ARM_GIC_EDMACC_1_TC_5_INT (0x00000149)
#define CSL_ARM_GIC_EDMACC_1_TC_6_INT (0x0000014A)
#define CSL_ARM_GIC_EDMACC_1_TC_7_INT (0x0000014B)
#define CSL_ARM_GIC_EDMACC_2_GINT (0x0000014C)
#define CSL_ARM_GIC_EDMACC_2_TC_0_INT (0x0000014D)
#define CSL_ARM_GIC_EDMACC_2_TC_1_INT (0x0000014E)
#define CSL_ARM_GIC_EDMACC_2_TC_2_INT (0x0000014F)
#define CSL_ARM_GIC_EDMACC_2_TC_3_INT (0x00000150)
#define CSL_ARM_GIC_EDMACC_2_TC_4_INT (0x00000151)
#define CSL_ARM_GIC_EDMACC_2_TC_5_INT (0x00000152)
#define CSL_ARM_GIC_EDMACC_2_TC_6_INT (0x00000153)
#define CSL_ARM_GIC_EDMACC_2_TC_7_INT (0x00000154)
#define CSL_ARM_GIC_EDMACC_3_GINT (0x00000155)
#define CSL_ARM_GIC_EDMACC_3_TC_0_INT (0x00000156)
#define CSL_ARM_GIC_EDMACC_3_TC_1_INT (0x00000157)
#define CSL_ARM_GIC_EDMACC_3_TC_2_INT (0x00000158)
#define CSL_ARM_GIC_EDMACC_3_TC_3_INT (0x00000159)
#define CSL_ARM_GIC_EDMACC_3_TC_4_INT (0x0000015A)
#define CSL_ARM_GIC_EDMACC_3_TC_5_INT (0x0000015B)
#define CSL_ARM_GIC_EDMACC_3_TC_6_INT (0x0000015C)
#define CSL_ARM_GIC_EDMACC_3_TC_7_INT (0x0000015D)
#define CSL_ARM_GIC_EDMACC_4_GINT (0x0000015E)
#define CSL_ARM_GIC_EDMACC_4_TC_0_INT (0x0000015F)
#define CSL_ARM_GIC_EDMACC_4_TC_1_INT (0x00000160)
#define CSL_ARM_GIC_EDMACC_4_TC_2_INT (0x00000161)
#define CSL_ARM_GIC_EDMACC_4_TC_3_INT (0x00000162)
#define CSL_ARM_GIC_EDMACC_4_TC_4_INT (0x00000163)
#define CSL_ARM_GIC_EDMACC_4_TC_5_INT (0x00000164)
#define CSL_ARM_GIC_EDMACC_4_TC_6_INT (0x00000165)
#define CSL_ARM_GIC_EDMACC_4_TC_7_INT (0x00000166)
#define CSL_ARM_GIC_SR_0_PO_VCON_SMPSERR_INT (0x00000167)
#define CSL_ARM_GIC_SR_0_SMARTREFLEX_INTREQ0 (0x00000168)
#define CSL_ARM_GIC_SR_0_SMARTREFLEX_INTREQ1 (0x00000169)
#define CSL_ARM_GIC_SR_0_SMARTREFLEX_INTREQ2 (0x0000016A)
#define CSL_ARM_GIC_SR_0_SMARTREFLEX_INTREQ3 (0x0000016B)
#define CSL_ARM_GIC_SR_0_VPNOSMPSACK (0x0000016C)
#define CSL_ARM_GIC_SR_0_VPEQVALUE (0x0000016D)
#define CSL_ARM_GIC_SR_0_VPMAXVDD (0x0000016E)
#define CSL_ARM_GIC_SR_0_VPMINVDD (0x0000016F)
#define CSL_ARM_GIC_SR_0_VPINIDLE (0x00000170)
#define CSL_ARM_GIC_SR_0_VPOPPCHANGEDONE (0x00000171)
#define CSL_ARM_GIC_SR_0_VPSMPSACK (0x00000172)
#define CSL_ARM_GIC_SR_0_SR_TEMPSENSOR (0x00000173)
#define CSL_ARM_GIC_SR_0_SR_TIMERINT (0x00000174)
#define CSL_ARM_GIC_SR_1_PO_VCON_SMPSERR_INT (0x00000175)
#define CSL_ARM_GIC_SR_1_SMARTREFLEX_INTREQ0 (0x00000176)
#define CSL_ARM_GIC_SR_1_SMARTREFLEX_INTREQ1 (0x00000177)
#define CSL_ARM_GIC_SR_1_SMARTREFLEX_INTREQ2 (0x00000178)
#define CSL_ARM_GIC_SR_1_SMARTREFLEX_INTREQ3 (0x00000179)
#define CSL_ARM_GIC_SR_1_VPNOSMPSACK (0x0000017A)
#define CSL_ARM_GIC_SR_1_VPEQVALUE (0x0000017B)
#define CSL_ARM_GIC_SR_1_VPMAXVDD (0x0000017C)
#define CSL_ARM_GIC_SR_1_VPMINVDD (0x0000017D)
#define CSL_ARM_GIC_SR_1_VPINIDLE (0x0000017E)
#define CSL_ARM_GIC_SR_1_VPOPPCHANGEDONE (0x0000017F)
#define CSL_ARM_GIC_SR_1_VPSMPSACK (0x00000180)
#define CSL_ARM_GIC_SR_1_SR_TEMPSENSOR (0x00000181)
#define CSL_ARM_GIC_SR_1_SR_TIMERINT (0x00000182)
#define CSL_ARM_GIC_HYPERLINK_0_INT (0x00000183)
#define CSL_ARM_GIC_HYPERLINK_1_INT (0x00000184)
#define CSL_ARM_GIC_ARM_NCTIIRQ0 (0x00000185)
#define CSL_ARM_GIC_ARM_NCTIIRQ1 (0x00000186)
#define CSL_ARM_GIC_ARM_NCTIIRQ2 (0x00000187)
#define CSL_ARM_GIC_ARM_NCTIIRQ3 (0x00000188)
#define CSL_ARM_GIC_USB_INT00 (0x00000189)
#define CSL_ARM_GIC_USB_INT01 (0x0000018A)
#define CSL_ARM_GIC_USB_INT02 (0x0000018B)
#define CSL_ARM_GIC_USB_INT03 (0x0000018C)
#define CSL_ARM_GIC_USB_INT04 (0x0000018D)
#define CSL_ARM_GIC_USB_OABSINT (0x0000018E)
#define CSL_ARM_GIC_USB_MISCINT (0x0000018F)
#define CSL_ARM_GIC_RESERVED_400 (0x00000190)
#define CSL_ARM_GIC_RESERVED_401 (0x00000191)
#define CSL_ARM_GIC_XGE_LINK_INT0 (0x00000192)
#define CSL_ARM_GIC_XGE_USER_INT0 (0x00000193)
#define CSL_ARM_GIC_XGE_LINK_INT1 (0x00000194)
#define CSL_ARM_GIC_XGE_USER_INT1 (0x00000195)
#define CSL_ARM_GIC_XGE_MISC_INT (0x00000196)
#define CSL_ARM_GIC_XGE_INT_PKTDMA_0 (0x00000197)
#define CSL_ARM_GIC_AIF_ATEVT0 (0x00000198)
#define CSL_ARM_GIC_AIF_ATEVT1 (0x00000199)
#define CSL_ARM_GIC_AIF_ATEVT2 (0x0000019A)
#define CSL_ARM_GIC_AIF_ATEVT3 (0x0000019B)
#define CSL_ARM_GIC_AIF_ATEVT4 (0x0000019C)
#define CSL_ARM_GIC_AIF_ATEVT5 (0x0000019D)
#define CSL_ARM_GIC_AIF_ATEVT6 (0x0000019E)
#define CSL_ARM_GIC_AIF_ATEVT7 (0x0000019F)
#define CSL_ARM_GIC_AIF_ATEVT16 (0x000001A0)
#define CSL_ARM_GIC_AIF_ATEVT17 (0x000001A1)
#define CSL_ARM_GIC_AIF_ATEVT18 (0x000001A2)
#define CSL_ARM_GIC_AIF_ATEVT19 (0x000001A3)
#define CSL_ARM_GIC_AIF_ATEVT20 (0x000001A4)
#define CSL_ARM_GIC_AIF_ATEVT21 (0x000001A5)
#define CSL_ARM_GIC_AIF_ATEVT22 (0x000001A6)
#define CSL_ARM_GIC_AIF_ATEVT23 (0x000001A7)
#define CSL_ARM_GIC_USIM_PONIRQ (0x000001A8)
#define CSL_ARM_GIC_USIM_RREQ (0x000001A9)
#define CSL_ARM_GIC_USIM_WREQ (0x000001AA)
#define CSL_ARM_GIC_RAC_0_INT (0x000001AB)
#define CSL_ARM_GIC_RAC_1_INT (0x000001AC)
#define CSL_ARM_GIC_RAC_2_INT (0x000001AD)
#define CSL_ARM_GIC_RAC_3_INT (0x000001AE)
#define CSL_ARM_GIC_TAC_INT (0x000001AF)
#define CSL_ARM_GIC_RESERVED_432 (0x000001B0)
#define CSL_ARM_GIC_RESERVED_433 (0x000001B1)
#define CSL_ARM_GIC_RESERVED_434 (0x000001B2)
#define CSL_ARM_GIC_RESERVED_435 (0x000001B3)
#define CSL_ARM_GIC_RESERVED_436 (0x000001B4)
#define CSL_ARM_GIC_RESERVED_437 (0x000001B5)
#define CSL_ARM_GIC_RESERVED_438 (0x000001B6)
#define CSL_ARM_GIC_RESERVED_439 (0x000001B7)
#define CSL_ARM_GIC_RESERVED_440 (0x000001B8)
#define CSL_ARM_GIC_RESERVED_441 (0x000001B9)
#define CSL_ARM_GIC_RESERVED_442 (0x000001BA)
#define CSL_ARM_GIC_RESERVED_443 (0x000001BB)
#define CSL_ARM_GIC_RESERVED_444 (0x000001BC)
#define CSL_ARM_GIC_RESERVED_445 (0x000001BD)
#define CSL_ARM_GIC_RESERVED_446 (0x000001BE)
#define CSL_ARM_GIC_RESERVED_447 (0x000001BF)
#define CSL_ARM_GIC_CIC_2_OUT29 (0x000001C0)
#define CSL_ARM_GIC_CIC_2_OUT30 (0x000001C1)
#define CSL_ARM_GIC_CIC_2_OUT31 (0x000001C2)
#define CSL_ARM_GIC_CIC_2_OUT32 (0x000001C3)
#define CSL_ARM_GIC_CIC_2_OUT33 (0x000001C4)
#define CSL_ARM_GIC_CIC_2_OUT34 (0x000001C5)
#define CSL_ARM_GIC_CIC_2_OUT35 (0x000001C6)
#define CSL_ARM_GIC_CIC_2_OUT36 (0x000001C7)
#define CSL_ARM_GIC_CIC_2_OUT37 (0x000001C8)
#define CSL_ARM_GIC_CIC_2_OUT38 (0x000001C9)
#define CSL_ARM_GIC_CIC_2_OUT39 (0x000001CA)
#define CSL_ARM_GIC_CIC_2_OUT40 (0x000001CB)
#define CSL_ARM_GIC_CIC_2_OUT41 (0x000001CC)
#define CSL_ARM_GIC_CIC_2_OUT42 (0x000001CD)
#define CSL_ARM_GIC_CIC_2_OUT43 (0x000001CE)
#define CSL_ARM_GIC_CIC_2_OUT44 (0x000001CF)
#define CSL_ARM_GIC_CIC_2_OUT45 (0x000001D0)
#define CSL_ARM_GIC_CIC_2_OUT46 (0x000001D1)
#define CSL_ARM_GIC_CIC_2_OUT47 (0x000001D2)
#define CSL_ARM_GIC_CIC_2_OUT18 (0x000001D3)
#define CSL_ARM_GIC_CIC_2_OUT19 (0x000001D4)
#define CSL_ARM_GIC_CIC_2_OUT22 (0x000001D5)
#define CSL_ARM_GIC_CIC_2_OUT23 (0x000001D6)
#define CSL_ARM_GIC_CIC_2_OUT50 (0x000001D7)
#define CSL_ARM_GIC_CIC_2_OUT51 (0x000001D8)
#define CSL_ARM_GIC_CIC_2_OUT66 (0x000001D9)
#define CSL_ARM_GIC_CIC_2_OUT67 (0x000001DA)
#define CSL_ARM_GIC_CIC_2_OUT88 (0x000001DB)
#define CSL_ARM_GIC_CIC_2_OUT89 (0x000001DC)
#define CSL_ARM_GIC_CIC_2_OUT90 (0x000001DD)
#define CSL_ARM_GIC_CIC_2_OUT91 (0x000001DE)
#define CSL_ARM_GIC_CIC_2_OUT92 (0x000001DF)
#define CSL_ARM_GIC_ARM_NCNTHPIRQ0 (0x000001E0)
#define CSL_ARM_GIC_ARM_NCNTHPIRQ1 (0x000001E1)
#define CSL_ARM_GIC_ARM_NCNTHPIRQ2 (0x000001E2)
#define CSL_ARM_GIC_ARM_NCNTHPIRQ3 (0x000001E3)
#define CSL_ARM_GIC_ARM_NCNTVIRQ0 (0x000001E4)
#define CSL_ARM_GIC_ARM_NCNTVIRQ1 (0x000001E5)
#define CSL_ARM_GIC_ARM_NCNTVIRQ2 (0x000001E6)
#define CSL_ARM_GIC_ARM_NCNTVIRQ3 (0x000001E7)
#define CSL_ARM_GIC_ARM_NCNTPSIRQ0 (0x000001E8)
#define CSL_ARM_GIC_ARM_NCNTPSIRQ1 (0x000001E9)
#define CSL_ARM_GIC_ARM_NCNTPSIRQ2 (0x000001EA)
#define CSL_ARM_GIC_ARM_NCNTPSIRQ3 (0x000001EB)
#define CSL_ARM_GIC_ARM_NCNTPNSIRQ0 (0x000001EC)
#define CSL_ARM_GIC_ARM_NCNTPNSIRQ1 (0x000001ED)
#define CSL_ARM_GIC_ARM_NCNTPNSIRQ2 (0x000001EE)
#define CSL_ARM_GIC_ARM_NCNTPNSIRQ3 (0x000001EF)
#define CSL_ARM_GIC_ARM_GIC_WAKEUP_IRQ (0x000001F0)
#define CSL_ARM_GIC_ARM_GIC_WAKEUP_FIQ (0x000001F1)
#define CSL_ARM_GIC_ARM_GIC_GLOBAL_TIMEBASE (0x000001F2)

/*
 * Auto-generated CSL section
 */
#define CIC0_EVENT_CNT 473
#define CSL_CIC0_EDMACC_1_ERRINT (0x00000000)
#define CSL_CIC0_EDMACC_1_MPINT (0x00000001)
#define CSL_CIC0_EDMACC_1_TC_0_ERRINT (0x00000002)
#define CSL_CIC0_EDMACC_1_TC_1_ERRINT (0x00000003)
#define CSL_CIC0_EDMACC_1_TC_2_ERRINT (0x00000004)
#define CSL_CIC0_EDMACC_1_TC_3_ERRINT (0x00000005)
#define CSL_CIC0_EDMACC_1_GINT (0x00000006)
#define CSL_CIC0_RESERVED_7 (0x00000007)
#define CSL_CIC0_EDMACC_1_TC_0_INT (0x00000008)
#define CSL_CIC0_EDMACC_1_TC_1_INT (0x00000009)
#define CSL_CIC0_EDMACC_1_TC_2_INT (0x0000000A)
#define CSL_CIC0_EDMACC_1_TC_3_INT (0x0000000B)
#define CSL_CIC0_EDMACC_1_TC_4_INT (0x0000000C)
#define CSL_CIC0_EDMACC_1_TC_5_INT (0x0000000D)
#define CSL_CIC0_EDMACC_1_TC_6_INT (0x0000000E)
#define CSL_CIC0_EDMACC_1_TC_7_INT (0x0000000F)
#define CSL_CIC0_EDMACC_2_ERRINT (0x00000010)
#define CSL_CIC0_EDMACC_2_MPINT (0x00000011)
#define CSL_CIC0_EDMACC_2_TC_0_ERRINT (0x00000012)
#define CSL_CIC0_EDMACC_2_TC_1_ERRINT (0x00000013)
#define CSL_CIC0_EDMACC_2_TC_2_ERRINT (0x00000014)
#define CSL_CIC0_EDMACC_2_TC_3_ERRINT (0x00000015)
#define CSL_CIC0_EDMACC_2_GINT (0x00000016)
#define CSL_CIC0_RESERVED_23 (0x00000017)
#define CSL_CIC0_EDMACC_2_TC_0_INT (0x00000018)
#define CSL_CIC0_EDMACC_2_TC_1_INT (0x00000019)
#define CSL_CIC0_EDMACC_2_TC_2_INT (0x0000001A)
#define CSL_CIC0_EDMACC_2_TC_3_INT (0x0000001B)
#define CSL_CIC0_EDMACC_2_TC_4_INT (0x0000001C)
#define CSL_CIC0_EDMACC_2_TC_5_INT (0x0000001D)
#define CSL_CIC0_EDMACC_2_TC_6_INT (0x0000001E)
#define CSL_CIC0_EDMACC_2_TC_7_INT (0x0000001F)
#define CSL_CIC0_EDMACC_0_ERRINT (0x00000020)
#define CSL_CIC0_EDMACC_0_MPINT (0x00000021)
#define CSL_CIC0_EDMACC_0_TC_0_ERRINT (0x00000022)
#define CSL_CIC0_EDMACC_0_TC_1_ERRINT (0x00000023)
#define CSL_CIC0_EDMACC_0_GINT (0x00000024)
#define CSL_CIC0_RESERVED_37 (0x00000025)
#define CSL_CIC0_EDMACC_0_TC_0_INT (0x00000026)
#define CSL_CIC0_EDMACC_0_TC_1_INT (0x00000027)
#define CSL_CIC0_EDMACC_0_TC_2_INT (0x00000028)
#define CSL_CIC0_EDMACC_0_TC_3_INT (0x00000029)
#define CSL_CIC0_EDMACC_0_TC_4_INT (0x0000002A)
#define CSL_CIC0_EDMACC_0_TC_5_INT (0x0000002B)
#define CSL_CIC0_EDMACC_0_TC_6_INT (0x0000002C)
#define CSL_CIC0_EDMACC_0_TC_7_INT (0x0000002D)
#define CSL_CIC0_RESERVED_46 (0x0000002E)
#define CSL_CIC0_QMSS_QUE_PEND_652 (0x0000002F)
#define CSL_CIC0_PCIE_INT12 (0x00000030)
#define CSL_CIC0_PCIE_INT13 (0x00000031)
#define CSL_CIC0_PCIE_INT0 (0x00000032)
#define CSL_CIC0_PCIE_INT1 (0x00000033)
#define CSL_CIC0_PCIE_INT2 (0x00000034)
#define CSL_CIC0_PCIE_INT3 (0x00000035)
#define CSL_CIC0_SPI_0_INT0 (0x00000036)
#define CSL_CIC0_SPI_0_INT1 (0x00000037)
#define CSL_CIC0_SPI_0_XEVT (0x00000038)
#define CSL_CIC0_SPI_0_REVT (0x00000039)
#define CSL_CIC0_I2C_0_INT (0x0000003A)
#define CSL_CIC0_I2C_0_REVT (0x0000003B)
#define CSL_CIC0_I2C_0_XEVT (0x0000003C)
#define CSL_CIC0_SECMGRINT (0x0000003D)
#define CSL_CIC0_RESERVED_62 (0x0000003E)
#define CSL_CIC0_DBGTBR_DMAINT (0x0000003F)
#define CSL_CIC0_MPU_12_INT (0x00000040)
#define CSL_CIC0_DBGTBR_ACQCOMP (0x00000041)
#define CSL_CIC0_MPU_13_INT (0x00000042)
#define CSL_CIC0_MPU_14_INT (0x00000043)
#define CSL_CIC0_NETCP_MDIO_LINK_INT0 (0x00000044)
#define CSL_CIC0_NETCP_MDIO_LINK_INT1 (0x00000045)
#define CSL_CIC0_NETCP_MDIO_USER_INT0 (0x00000046)
#define CSL_CIC0_NETCP_MDIO_USER_INT1 (0x00000047)
#define CSL_CIC0_NETCP_MISC_INT (0x00000048)
#define CSL_CIC0_TRACER_CORE_0_INT (0x00000049)
#define CSL_CIC0_TRACER_CORE_1_INT (0x0000004A)
#define CSL_CIC0_TRACER_CORE_2_INT (0x0000004B)
#define CSL_CIC0_TRACER_CORE_3_INT (0x0000004C)
#define CSL_CIC0_TRACER_DDR_INT (0x0000004D)
#define CSL_CIC0_TRACER_MSMC_0_INT (0x0000004E)
#define CSL_CIC0_TRACER_MSMC_1_INT (0x0000004F)
#define CSL_CIC0_TRACER_MSMC_2_INT (0x00000050)
#define CSL_CIC0_TRACER_MSMC_3_INT (0x00000051)
#define CSL_CIC0_TRACER_CFG_INT (0x00000052)
#define CSL_CIC0_TRACER_QMSS_QM_CFG1_INT (0x00000053)
#define CSL_CIC0_TRACER_QMSS_DMA_INT (0x00000054)
#define CSL_CIC0_TRACER_SEM_INT (0x00000055)
#define CSL_CIC0_PSC_ALLINT (0x00000056)
#define CSL_CIC0_MSMC_SCRUB_CERROR (0x00000057)
#define CSL_CIC0_BOOTCFG_INT (0x00000058)
#define CSL_CIC0_SR_0_PO_VCON_SMPSERR_INT (0x00000059)
#define CSL_CIC0_MPU_0_INT (0x0000005A)
#define CSL_CIC0_QMSS_QUE_PEND_653 (0x0000005B)
#define CSL_CIC0_MPU_1_INT (0x0000005C)
#define CSL_CIC0_QMSS_QUE_PEND_654 (0x0000005D)
#define CSL_CIC0_MPU_2_INT (0x0000005E)
#define CSL_CIC0_QMSS_QUE_PEND_655 (0x0000005F)
#define CSL_CIC0_MPU_3_INT (0x00000060)
#define CSL_CIC0_QMSS_QUE_PEND_656 (0x00000061)
#define CSL_CIC0_MSMC_DEDC_CERROR (0x00000062)
#define CSL_CIC0_MSMC_DEDC_NC_ERROR (0x00000063)
#define CSL_CIC0_MSMC_SCRUB_NC_ERROR (0x00000064)
#define CSL_CIC0_RESERVED_101 (0x00000065)
#define CSL_CIC0_MSMC_MPF_ERROR8 (0x00000066)
#define CSL_CIC0_MSMC_MPF_ERROR9 (0x00000067)
#define CSL_CIC0_MSMC_MPF_ERROR10 (0x00000068)
#define CSL_CIC0_MSMC_MPF_ERROR11 (0x00000069)
#define CSL_CIC0_MSMC_MPF_ERROR12 (0x0000006A)
#define CSL_CIC0_MSMC_MPF_ERROR13 (0x0000006B)
#define CSL_CIC0_MSMC_MPF_ERROR14 (0x0000006C)
#define CSL_CIC0_MSMC_MPF_ERROR15 (0x0000006D)
#define CSL_CIC0_DDR3_0_ERR (0x0000006E)
#define CSL_CIC0_HYPERLINK_0_INT (0x0000006F)
#define CSL_CIC0_SRIO_INTDST0 (0x00000070)
#define CSL_CIC0_SRIO_INTDST1 (0x00000071)
#define CSL_CIC0_SRIO_INTDST2 (0x00000072)
#define CSL_CIC0_SRIO_INTDST3 (0x00000073)
#define CSL_CIC0_SRIO_INTDST4 (0x00000074)
#define CSL_CIC0_SRIO_INTDST5 (0x00000075)
#define CSL_CIC0_SRIO_INTDST6 (0x00000076)
#define CSL_CIC0_SRIO_INTDST7 (0x00000077)
#define CSL_CIC0_SRIO_INTDST8 (0x00000078)
#define CSL_CIC0_SRIO_INTDST9 (0x00000079)
#define CSL_CIC0_SRIO_INTDST10 (0x0000007A)
#define CSL_CIC0_SRIO_INTDST11 (0x0000007B)
#define CSL_CIC0_SRIO_INTDST12 (0x0000007C)
#define CSL_CIC0_SRIO_INTDST13 (0x0000007D)
#define CSL_CIC0_SRIO_INTDST14 (0x0000007E)
#define CSL_CIC0_SRIO_INTDST15 (0x0000007F)
#define CSL_CIC0_AEMIF_EASYNCERR (0x00000080)
#define CSL_CIC0_TRACER_CORE_4_INT (0x00000081)
#define CSL_CIC0_TRACER_CORE_5_INT (0x00000082)
#define CSL_CIC0_TRACER_CORE_6_INT (0x00000083)
#define CSL_CIC0_TRACER_CORE_7_INT (0x00000084)
#define CSL_CIC0_QMSS_INTD_1_PKTDMA_0 (0x00000085)
#define CSL_CIC0_QMSS_INTD_1_PKTDMA_1 (0x00000086)
#define CSL_CIC0_SRIO_INT_PKTDMA_0 (0x00000087)
#define CSL_CIC0_NETCP_PKTDMA_INT0 (0x00000088)
#define CSL_CIC0_SR_0_SMARTREFLEX_INTREQ0 (0x00000089)
#define CSL_CIC0_SR_0_SMARTREFLEX_INTREQ1 (0x0000008A)
#define CSL_CIC0_SR_0_SMARTREFLEX_INTREQ2 (0x0000008B)
#define CSL_CIC0_SR_0_SMARTREFLEX_INTREQ3 (0x0000008C)
#define CSL_CIC0_SR_0_VPNOSMPSACK (0x0000008D)
#define CSL_CIC0_SR_0_VPEQVALUE (0x0000008E)
#define CSL_CIC0_SR_0_VPMAXVDD (0x0000008F)
#define CSL_CIC0_SR_0_VPMINVDD (0x00000090)
#define CSL_CIC0_SR_0_VPINIDLE (0x00000091)
#define CSL_CIC0_SR_0_VPOPPCHANGEDONE (0x00000092)
#define CSL_CIC0_DFT_PBIST_CPU_INT (0x00000093)
#define CSL_CIC0_UART_0_UARTINT (0x00000094)
#define CSL_CIC0_UART_0_URXEVT (0x00000095)
#define CSL_CIC0_UART_0_UTXEVT (0x00000096)
#define CSL_CIC0_QMSS_QUE_PEND_657 (0x00000097)
#define CSL_CIC0_QMSS_QUE_PEND_658 (0x00000098)
#define CSL_CIC0_QMSS_QUE_PEND_659 (0x00000099)
#define CSL_CIC0_QMSS_QUE_PEND_660 (0x0000009A)
#define CSL_CIC0_QMSS_QUE_PEND_661 (0x0000009B)
#define CSL_CIC0_QMSS_QUE_PEND_662 (0x0000009C)
#define CSL_CIC0_QMSS_QUE_PEND_663 (0x0000009D)
#define CSL_CIC0_QMSS_QUE_PEND_664 (0x0000009E)
#define CSL_CIC0_QMSS_QUE_PEND_665 (0x0000009F)
#define CSL_CIC0_SR_0_VPSMPSACK (0x000000A0)
#define CSL_CIC0_ARM_TBR_DMA (0x000000A1)
#define CSL_CIC0_ARM_TBR_ACQ (0x000000A2)
#define CSL_CIC0_ARM_NINTERRIRQ (0x000000A3)
#define CSL_CIC0_ARM_NAXIERRIRQ (0x000000A4)
#define CSL_CIC0_SR_0_SR_TEMPSENSOR (0x000000A5)
#define CSL_CIC0_SR_0_SR_TIMERINT (0x000000A6)
#define CSL_CIC0_AIF_ATEVT8 (0x000000A7)
#define CSL_CIC0_AIF_ATEVT9 (0x000000A8)
#define CSL_CIC0_AIF_ATEVT10 (0x000000A9)
#define CSL_CIC0_AIF_ATEVT11 (0x000000AA)
#define CSL_CIC0_AIF_ATEVT12 (0x000000AB)
#define CSL_CIC0_AIF_ATEVT13 (0x000000AC)
#define CSL_CIC0_AIF_ATEVT14 (0x000000AD)
#define CSL_CIC0_AIF_ATEVT15 (0x000000AE)
#define CSL_CIC0_TIMER_7_INTL (0x000000AF)
#define CSL_CIC0_TIMER_7_INTH (0x000000B0)
#define CSL_CIC0_TIMER_6_INTL (0x000000B1)
#define CSL_CIC0_TIMER_6_INTH (0x000000B2)
#define CSL_CIC0_TIMER_5_INTL (0x000000B3)
#define CSL_CIC0_TIMER_5_INTH (0x000000B4)
#define CSL_CIC0_TIMER_4_INTL (0x000000B5)
#define CSL_CIC0_TIMER_4_INTH (0x000000B6)
#define CSL_CIC0_TIMER_3_INTL (0x000000B7)
#define CSL_CIC0_TIMER_3_INTH (0x000000B8)
#define CSL_CIC0_TIMER_2_INTL (0x000000B9)
#define CSL_CIC0_TIMER_2_INTH (0x000000BA)
#define CSL_CIC0_TIMER_1_INTL (0x000000BB)
#define CSL_CIC0_TIMER_1_INTH (0x000000BC)
#define CSL_CIC0_TIMER_0_INTL (0x000000BD)
#define CSL_CIC0_TIMER_0_INTH (0x000000BE)
#define CSL_CIC0_TCP3D_0_INT (0x000000BF)
#define CSL_CIC0_TCP3D_1_INT (0x000000C0)
#define CSL_CIC0_TCP3D_2_INT (0x000000C1)
#define CSL_CIC0_TCP3D_3_INT (0x000000C2)
#define CSL_CIC0_TCP3D_0_REVT0 (0x000000C3)
#define CSL_CIC0_TCP3D_0_REVT1 (0x000000C4)
#define CSL_CIC0_TCP3D_1_REVT0 (0x000000C5)
#define CSL_CIC0_TCP3D_1_REVT1 (0x000000C6)
#define CSL_CIC0_TCP3D_2_REVT0 (0x000000C7)
#define CSL_CIC0_TCP3D_2_REVT1 (0x000000C8)
#define CSL_CIC0_TCP3D_3_REVT0 (0x000000C9)
#define CSL_CIC0_TCP3D_3_REVT1 (0x000000CA)
#define CSL_CIC0_TAC_INT (0x000000CB)
#define CSL_CIC0_TAC_DEVT0 (0x000000CC)
#define CSL_CIC0_TAC_DEVT1 (0x000000CD)
#define CSL_CIC0_AIF_INT (0x000000CE)
#define CSL_CIC0_EDMACC_4_ERRINT (0x000000CF)
#define CSL_CIC0_EDMACC_4_MPINT (0x000000D0)
#define CSL_CIC0_EDMACC_4_TC_0_ERRINT (0x000000D1)
#define CSL_CIC0_EDMACC_4_TC_1_ERRINT (0x000000D2)
#define CSL_CIC0_EDMACC_4_GINT (0x000000D3)
#define CSL_CIC0_EDMACC_4_TC_0_INT (0x000000D4)
#define CSL_CIC0_EDMACC_4_TC_1_INT (0x000000D5)
#define CSL_CIC0_EDMACC_4_TC_2_INT (0x000000D6)
#define CSL_CIC0_EDMACC_4_TC_3_INT (0x000000D7)
#define CSL_CIC0_EDMACC_4_TC_4_INT (0x000000D8)
#define CSL_CIC0_EDMACC_4_TC_5_INT (0x000000D9)
#define CSL_CIC0_EDMACC_4_TC_6_INT (0x000000DA)
#define CSL_CIC0_EDMACC_4_TC_7_INT (0x000000DB)
#define CSL_CIC0_EDMACC_3_ERRINT (0x000000DC)
#define CSL_CIC0_EDMACC_3_MPINT (0x000000DD)
#define CSL_CIC0_EDMACC_3_TC_0_ERRINT (0x000000DE)
#define CSL_CIC0_EDMACC_3_TC_1_ERRINT (0x000000DF)
#define CSL_CIC0_EDMACC_3_GINT (0x000000E0)
#define CSL_CIC0_EDMACC_3_TC_0_INT (0x000000E1)
#define CSL_CIC0_EDMACC_3_TC_1_INT (0x000000E2)
#define CSL_CIC0_EDMACC_3_TC_2_INT (0x000000E3)
#define CSL_CIC0_EDMACC_3_TC_3_INT (0x000000E4)
#define CSL_CIC0_EDMACC_3_TC_4_INT (0x000000E5)
#define CSL_CIC0_EDMACC_3_TC_5_INT (0x000000E6)
#define CSL_CIC0_EDMACC_3_TC_6_INT (0x000000E7)
#define CSL_CIC0_EDMACC_3_TC_7_INT (0x000000E8)
#define CSL_CIC0_UART_1_UARTINT (0x000000E9)
#define CSL_CIC0_UART_1_URXEVT (0x000000EA)
#define CSL_CIC0_UART_1_UTXEVT (0x000000EB)
#define CSL_CIC0_I2C_1_INT (0x000000EC)
#define CSL_CIC0_I2C_1_REVT (0x000000ED)
#define CSL_CIC0_I2C_1_XEVT (0x000000EE)
#define CSL_CIC0_SPI_1_INT0 (0x000000EF)
#define CSL_CIC0_SPI_1_INT1 (0x000000F0)
#define CSL_CIC0_SPI_1_XEVT (0x000000F1)
#define CSL_CIC0_SPI_1_REVT (0x000000F2)
#define CSL_CIC0_MPU_5_INT (0x000000F3)
#define CSL_CIC0_MPU_8_INT (0x000000F4)
#define CSL_CIC0_MPU_9_INT (0x000000F5)
#define CSL_CIC0_MPU_11_INT (0x000000F6)
#define CSL_CIC0_MPU_4_INT (0x000000F7)
#define CSL_CIC0_MPU_6_INT (0x000000F8)
#define CSL_CIC0_MPU_7_INT (0x000000F9)
#define CSL_CIC0_MPU_10_INT (0x000000FA)
#define CSL_CIC0_SPI_2_INT0 (0x000000FB)
#define CSL_CIC0_SPI_2_INT1 (0x000000FC)
#define CSL_CIC0_SPI_2_XEVT (0x000000FD)
#define CSL_CIC0_SPI_2_REVT (0x000000FE)
#define CSL_CIC0_I2C_2_INT (0x000000FF)
#define CSL_CIC0_I2C_2_REVT (0x00000100)
#define CSL_CIC0_I2C_2_XEVT (0x00000101)
#define CSL_CIC0_XGE_LINK_INT0 (0x00000102)
#define CSL_CIC0_XGE_LINK_INT1 (0x00000103)
#define CSL_CIC0_XGE_USER_INT0 (0x00000104)
#define CSL_CIC0_XGE_USER_INT1 (0x00000105)
#define CSL_CIC0_XGE_MISC_INT (0x00000106)
#define CSL_CIC0_XGE_INT_PKTDMA_0 (0x00000107)
#define CSL_CIC0_USIM_PONIRQ (0x00000108)
#define CSL_CIC0_USIM_RREQ (0x00000109)
#define CSL_CIC0_USIM_WREQ (0x0000010A)
#define CSL_CIC0_BCP_INT0 (0x0000010B)
#define CSL_CIC0_BCP_INT1 (0x0000010C)
#define CSL_CIC0_BCP_INT2 (0x0000010D)
#define CSL_CIC0_BCP_INT3 (0x0000010E)
#define CSL_CIC0_RAC_0_TRACE_GCCP0 (0x0000010F)
#define CSL_CIC0_RAC_0_TRACE_GCCP1 (0x00000110)
#define CSL_CIC0_RAC_1_TRACE_GCCP0 (0x00000111)
#define CSL_CIC0_RAC_1_TRACE_GCCP1 (0x00000112)
#define CSL_CIC0_RAC_2_TRACE_GCCP0 (0x00000113)
#define CSL_CIC0_RAC_2_TRACE_GCCP1 (0x00000114)
#define CSL_CIC0_RAC_3_TRACE_GCCP0 (0x00000115)
#define CSL_CIC0_RAC_3_TRACE_GCCP1 (0x00000116)
#define CSL_CIC0_TAC_DEVT2 (0x00000117)
#define CSL_CIC0_TAC_DEVT3 (0x00000118)
#define CSL_CIC0_TAC_DEVT4 (0x00000119)
#define CSL_CIC0_TAC_DEVT5 (0x0000011A)
#define CSL_CIC0_RESERVED_283 (0x0000011B)
#define CSL_CIC0_RESERVED_284 (0x0000011C)
#define CSL_CIC0_RESERVED_285 (0x0000011D)
#define CSL_CIC0_RESERVED_286 (0x0000011E)
#define CSL_CIC0_RESERVED_287 (0x0000011F)
#define CSL_CIC0_RESERVED_288 (0x00000120)
#define CSL_CIC0_RESERVED_289 (0x00000121)
#define CSL_CIC0_TRACER_RAC_1_INT (0x00000122)
#define CSL_CIC0_TRACER_RAC_FE_INT (0x00000123)
#define CSL_CIC0_QMSS_QUE_PEND_666 (0x00000124)
#define CSL_CIC0_QMSS_QUE_PEND_667 (0x00000125)
#define CSL_CIC0_QMSS_QUE_PEND_668 (0x00000126)
#define CSL_CIC0_QMSS_QUE_PEND_669 (0x00000127)
#define CSL_CIC0_QMSS_QUE_PEND_670 (0x00000128)
#define CSL_CIC0_QMSS_QUE_PEND_671 (0x00000129)
#define CSL_CIC0_QMSS_QUE_PEND_8844 (0x0000012A)
#define CSL_CIC0_QMSS_QUE_PEND_8845 (0x0000012B)
#define CSL_CIC0_QMSS_QUE_PEND_8846 (0x0000012C)
#define CSL_CIC0_QMSS_QUE_PEND_8847 (0x0000012D)
#define CSL_CIC0_QMSS_QUE_PEND_8848 (0x0000012E)
#define CSL_CIC0_QMSS_QUE_PEND_8849 (0x0000012F)
#define CSL_CIC0_QMSS_QUE_PEND_8850 (0x00000130)
#define CSL_CIC0_QMSS_QUE_PEND_8851 (0x00000131)
#define CSL_CIC0_QMSS_QUE_PEND_8852 (0x00000132)
#define CSL_CIC0_QMSS_QUE_PEND_8853 (0x00000133)
#define CSL_CIC0_QMSS_QUE_PEND_8854 (0x00000134)
#define CSL_CIC0_QMSS_QUE_PEND_8855 (0x00000135)
#define CSL_CIC0_QMSS_QUE_PEND_8856 (0x00000136)
#define CSL_CIC0_QMSS_QUE_PEND_8857 (0x00000137)
#define CSL_CIC0_QMSS_QUE_PEND_8858 (0x00000138)
#define CSL_CIC0_QMSS_QUE_PEND_8859 (0x00000139)
#define CSL_CIC0_QMSS_QUE_PEND_8860 (0x0000013A)
#define CSL_CIC0_QMSS_QUE_PEND_8861 (0x0000013B)
#define CSL_CIC0_QMSS_QUE_PEND_8862 (0x0000013C)
#define CSL_CIC0_QMSS_QUE_PEND_8863 (0x0000013D)
#define CSL_CIC0_QMSS_INTD_2_PKTDMA_0 (0x0000013E)
#define CSL_CIC0_QMSS_INTD_2_PKTDMA_1 (0x0000013F)
#define CSL_CIC0_QMSS_INTD_1_LOW_0 (0x00000140)
#define CSL_CIC0_QMSS_INTD_1_LOW_1 (0x00000141)
#define CSL_CIC0_QMSS_INTD_1_LOW_2 (0x00000142)
#define CSL_CIC0_QMSS_INTD_1_LOW_3 (0x00000143)
#define CSL_CIC0_QMSS_INTD_1_LOW_4 (0x00000144)
#define CSL_CIC0_QMSS_INTD_1_LOW_5 (0x00000145)
#define CSL_CIC0_QMSS_INTD_1_LOW_6 (0x00000146)
#define CSL_CIC0_QMSS_INTD_1_LOW_7 (0x00000147)
#define CSL_CIC0_QMSS_INTD_1_LOW_8 (0x00000148)
#define CSL_CIC0_QMSS_INTD_1_LOW_9 (0x00000149)
#define CSL_CIC0_QMSS_INTD_1_LOW_10 (0x0000014A)
#define CSL_CIC0_QMSS_INTD_1_LOW_11 (0x0000014B)
#define CSL_CIC0_QMSS_INTD_1_LOW_12 (0x0000014C)
#define CSL_CIC0_QMSS_INTD_1_LOW_13 (0x0000014D)
#define CSL_CIC0_QMSS_INTD_1_LOW_14 (0x0000014E)
#define CSL_CIC0_QMSS_INTD_1_LOW_15 (0x0000014F)
#define CSL_CIC0_QMSS_INTD_2_LOW_0 (0x00000150)
#define CSL_CIC0_QMSS_INTD_2_LOW_1 (0x00000151)
#define CSL_CIC0_QMSS_INTD_2_LOW_2 (0x00000152)
#define CSL_CIC0_QMSS_INTD_2_LOW_3 (0x00000153)
#define CSL_CIC0_QMSS_INTD_2_LOW_4 (0x00000154)
#define CSL_CIC0_QMSS_INTD_2_LOW_5 (0x00000155)
#define CSL_CIC0_QMSS_INTD_2_LOW_6 (0x00000156)
#define CSL_CIC0_QMSS_INTD_2_LOW_7 (0x00000157)
#define CSL_CIC0_QMSS_INTD_2_LOW_8 (0x00000158)
#define CSL_CIC0_QMSS_INTD_2_LOW_9 (0x00000159)
#define CSL_CIC0_QMSS_INTD_2_LOW_10 (0x0000015A)
#define CSL_CIC0_QMSS_INTD_2_LOW_11 (0x0000015B)
#define CSL_CIC0_QMSS_INTD_2_LOW_12 (0x0000015C)
#define CSL_CIC0_QMSS_INTD_2_LOW_13 (0x0000015D)
#define CSL_CIC0_QMSS_INTD_2_LOW_14 (0x0000015E)
#define CSL_CIC0_QMSS_INTD_2_LOW_15 (0x0000015F)
#define CSL_CIC0_TRACER_EDMACC_0 (0x00000160)
#define CSL_CIC0_TRACER_EDMACC_123_INT (0x00000161)
#define CSL_CIC0_TRACER_CIC_INT (0x00000162)
#define CSL_CIC0_TRACER_MSMC_4_INT (0x00000163)
#define CSL_CIC0_TRACER_MSMC_5_INT (0x00000164)
#define CSL_CIC0_TRACER_MSMC_6_INT (0x00000165)
#define CSL_CIC0_TRACER_MSMC_7_INT (0x00000166)
#define CSL_CIC0_TRACER_SPI_ROM_EMIF_INT (0x00000167)
#define CSL_CIC0_TRACER_QMSS_QM_CFG2_INT (0x00000168)
#define CSL_CIC0_TRACER_TAC_BE_INT (0x00000169)
#define CSL_CIC0_TRACER_RAC_2_INT (0x0000016A)
#define CSL_CIC0_TRACER_DDR_1_INT (0x0000016B)
#define CSL_CIC0_TRACER_BCR_INT (0x0000016C)
#define CSL_CIC0_HYPERLINK_1_INT (0x0000016D)
#define CSL_CIC0_VCP_0_INT0 (0x0000016E)
#define CSL_CIC0_VCP_0_INT1 (0x0000016F)
#define CSL_CIC0_VCP_0_INT2 (0x00000170)
#define CSL_CIC0_VCP_0_INT3 (0x00000171)
#define CSL_CIC0_VCP_1_INT0 (0x00000172)
#define CSL_CIC0_VCP_1_INT1 (0x00000173)
#define CSL_CIC0_VCP_1_INT2 (0x00000174)
#define CSL_CIC0_VCP_1_INT3 (0x00000175)
#define CSL_CIC0_VCP_0_REVT0 (0x00000176)
#define CSL_CIC0_VCP_0_XEVT0 (0x00000177)
#define CSL_CIC0_VCP_0_REVT1 (0x00000178)
#define CSL_CIC0_VCP_0_XEVT1 (0x00000179)
#define CSL_CIC0_VCP_0_REVT2 (0x0000017A)
#define CSL_CIC0_VCP_0_XEVT2 (0x0000017B)
#define CSL_CIC0_VCP_0_REVT3 (0x0000017C)
#define CSL_CIC0_VCP_0_XEVT3 (0x0000017D)
#define CSL_CIC0_VCP_1_REVT0 (0x0000017E)
#define CSL_CIC0_VCP_1_XEVT0 (0x0000017F)
#define CSL_CIC0_VCP_1_REVT1 (0x00000180)
#define CSL_CIC0_VCP_1_XEVT1 (0x00000181)
#define CSL_CIC0_VCP_1_REVT2 (0x00000182)
#define CSL_CIC0_VCP_1_XEVT2 (0x00000183)
#define CSL_CIC0_VCP_1_REVT3 (0x00000184)
#define CSL_CIC0_VCP_1_XEVT3 (0x00000185)
#define CSL_CIC0_FFTC_0_INT0 (0x00000186)
#define CSL_CIC0_FFTC_0_INT1 (0x00000187)
#define CSL_CIC0_FFTC_0_INT2 (0x00000188)
#define CSL_CIC0_FFTC_0_INT3 (0x00000189)
#define CSL_CIC0_FFTC_1_INT0 (0x0000018A)
#define CSL_CIC0_FFTC_1_INT1 (0x0000018B)
#define CSL_CIC0_FFTC_1_INT2 (0x0000018C)
#define CSL_CIC0_FFTC_1_INT3 (0x0000018D)
#define CSL_CIC0_FFTC_2_INT0 (0x0000018E)
#define CSL_CIC0_FFTC_2_INT1 (0x0000018F)
#define CSL_CIC0_FFTC_2_INT2 (0x00000190)
#define CSL_CIC0_FFTC_2_INT3 (0x00000191)
#define CSL_CIC0_FFTC_3_INT0 (0x00000192)
#define CSL_CIC0_FFTC_3_INT1 (0x00000193)
#define CSL_CIC0_FFTC_3_INT2 (0x00000194)
#define CSL_CIC0_FFTC_3_INT3 (0x00000195)
#define CSL_CIC0_FFTC_4_INT0 (0x00000196)
#define CSL_CIC0_FFTC_4_INT1 (0x00000197)
#define CSL_CIC0_FFTC_4_INT2 (0x00000198)
#define CSL_CIC0_FFTC_4_INT3 (0x00000199)
#define CSL_CIC0_FFTC_5_INT0 (0x0000019A)
#define CSL_CIC0_FFTC_5_INT1 (0x0000019B)
#define CSL_CIC0_FFTC_5_INT2 (0x0000019C)
#define CSL_CIC0_FFTC_5_INT3 (0x0000019D)
#define CSL_CIC0_AIF_ATEVT16 (0x0000019E)
#define CSL_CIC0_AIF_ATEVT17 (0x0000019F)
#define CSL_CIC0_AIF_ATEVT18 (0x000001A0)
#define CSL_CIC0_AIF_ATEVT19 (0x000001A1)
#define CSL_CIC0_AIF_ATEVT20 (0x000001A2)
#define CSL_CIC0_AIF_ATEVT21 (0x000001A3)
#define CSL_CIC0_AIF_ATEVT22 (0x000001A4)
#define CSL_CIC0_AIF_ATEVT23 (0x000001A5)
#define CSL_CIC0_USB_INT00 (0x000001A6)
#define CSL_CIC0_USB_INT04 (0x000001A7)
#define CSL_CIC0_USB_INT05 (0x000001A8)
#define CSL_CIC0_USB_INT06 (0x000001A9)
#define CSL_CIC0_USB_INT07 (0x000001AA)
#define CSL_CIC0_USB_INT08 (0x000001AB)
#define CSL_CIC0_USB_INT09 (0x000001AC)
#define CSL_CIC0_USB_INT10 (0x000001AD)
#define CSL_CIC0_USB_INT11 (0x000001AE)
#define CSL_CIC0_USB_MISCINT (0x000001AF)
#define CSL_CIC0_USB_OABSINT (0x000001B0)
#define CSL_CIC0_TIMER_12_INTL (0x000001B1)
#define CSL_CIC0_TIMER_12_INTH (0x000001B2)
#define CSL_CIC0_TIMER_13_INTL (0x000001B3)
#define CSL_CIC0_TIMER_13_INTH (0x000001B4)
#define CSL_CIC0_TIMER_14_INTL (0x000001B5)
#define CSL_CIC0_TIMER_14_INTH (0x000001B6)
#define CSL_CIC0_TIMER_15_INTL (0x000001B7)
#define CSL_CIC0_TIMER_15_INTH (0x000001B8)
#define CSL_CIC0_TIMER_16_INTL (0x000001B9)
#define CSL_CIC0_TIMER_17_INTL (0x000001BA)
#define CSL_CIC0_TIMER_18_INTL (0x000001BB)
#define CSL_CIC0_TIMER_19_INTL (0x000001BC)
#define CSL_CIC0_DDR3_1_ERR (0x000001BD)
#define CSL_CIC0_GPIO_INT16 (0x000001BE)
#define CSL_CIC0_GPIO_INT17 (0x000001BF)
#define CSL_CIC0_GPIO_INT18 (0x000001C0)
#define CSL_CIC0_GPIO_INT19 (0x000001C1)
#define CSL_CIC0_GPIO_INT20 (0x000001C2)
#define CSL_CIC0_GPIO_INT21 (0x000001C3)
#define CSL_CIC0_GPIO_INT22 (0x000001C4)
#define CSL_CIC0_GPIO_INT23 (0x000001C5)
#define CSL_CIC0_GPIO_INT24 (0x000001C6)
#define CSL_CIC0_GPIO_INT25 (0x000001C7)
#define CSL_CIC0_GPIO_INT26 (0x000001C8)
#define CSL_CIC0_GPIO_INT27 (0x000001C9)
#define CSL_CIC0_GPIO_INT28 (0x000001CA)
#define CSL_CIC0_GPIO_INT29 (0x000001CB)
#define CSL_CIC0_GPIO_INT30 (0x000001CC)
#define CSL_CIC0_GPIO_INT31 (0x000001CD)
#define CSL_CIC0_SRIO_INTDST16 (0x000001CE)
#define CSL_CIC0_SRIO_INTDST17 (0x000001CF)
#define CSL_CIC0_SRIO_INTDST18 (0x000001D0)
#define CSL_CIC0_SRIO_INTDST19 (0x000001D1)
#define CSL_CIC0_PCIE_INT4 (0x000001D2)
#define CSL_CIC0_PCIE_INT5 (0x000001D3)
#define CSL_CIC0_PCIE_INT6 (0x000001D4)
#define CSL_CIC0_PCIE_INT7 (0x000001D5)
#define CSL_CIC0_SEM_INT12 (0x000001D6)
#define CSL_CIC0_SEM_INT13 (0x000001D7)
#define CSL_CIC0_SEM_ERR12 (0x000001D8)
#define CSL_CIC0_SEM_ERR13 (0x000001D9)

/*
 * Auto-generated CSL section
 */
#define CIC1_EVENT_CNT 474
#define CSL_CIC1_EDMACC_1_ERRINT (0x00000000)
#define CSL_CIC1_EDMACC_1_MPINT (0x00000001)
#define CSL_CIC1_EDMACC_1_TC_0_ERRINT (0x00000002)
#define CSL_CIC1_EDMACC_1_TC_1_ERRINT (0x00000003)
#define CSL_CIC1_EDMACC_1_TC_2_ERRINT (0x00000004)
#define CSL_CIC1_EDMACC_1_TC_3_ERRINT (0x00000005)
#define CSL_CIC1_EDMACC_1_GINT (0x00000006)
#define CSL_CIC1_RESERVED_7 (0x00000007)
#define CSL_CIC1_EDMACC_1_TC_0_INT (0x00000008)
#define CSL_CIC1_EDMACC_1_TC_1_INT (0x00000009)
#define CSL_CIC1_EDMACC_1_TC_2_INT (0x0000000A)
#define CSL_CIC1_EDMACC_1_TC_3_INT (0x0000000B)
#define CSL_CIC1_EDMACC_1_TC_4_INT (0x0000000C)
#define CSL_CIC1_EDMACC_1_TC_5_INT (0x0000000D)
#define CSL_CIC1_EDMACC_1_TC_6_INT (0x0000000E)
#define CSL_CIC1_EDMACC_1_TC_7_INT (0x0000000F)
#define CSL_CIC1_EDMACC_2_ERRINT (0x00000010)
#define CSL_CIC1_EDMACC_2_MPINT (0x00000011)
#define CSL_CIC1_EDMACC_2_TC_0_ERRINT (0x00000012)
#define CSL_CIC1_EDMACC_2_TC_1_ERRINT (0x00000013)
#define CSL_CIC1_EDMACC_2_TC_2_ERRINT (0x00000014)
#define CSL_CIC1_EDMACC_2_TC_3_ERRINT (0x00000015)
#define CSL_CIC1_EDMACC_2_GINT (0x00000016)
#define CSL_CIC1_RESERVED_23 (0x00000017)
#define CSL_CIC1_EDMACC_2_TC_0_INT (0x00000018)
#define CSL_CIC1_EDMACC_2_TC_1_INT (0x00000019)
#define CSL_CIC1_EDMACC_2_TC_2_INT (0x0000001A)
#define CSL_CIC1_EDMACC_2_TC_3_INT (0x0000001B)
#define CSL_CIC1_EDMACC_2_TC_4_INT (0x0000001C)
#define CSL_CIC1_EDMACC_2_TC_5_INT (0x0000001D)
#define CSL_CIC1_EDMACC_2_TC_6_INT (0x0000001E)
#define CSL_CIC1_EDMACC_2_TC_7_INT (0x0000001F)
#define CSL_CIC1_EDMACC_0_ERRINT (0x00000020)
#define CSL_CIC1_EDMACC_0_MPINT (0x00000021)
#define CSL_CIC1_EDMACC_0_TC_0_ERRINT (0x00000022)
#define CSL_CIC1_EDMACC_0_TC_1_ERRINT (0x00000023)
#define CSL_CIC1_EDMACC_0_GINT (0x00000024)
#define CSL_CIC1_RESERVED_37 (0x00000025)
#define CSL_CIC1_EDMACC_0_TC_0_INT (0x00000026)
#define CSL_CIC1_EDMACC_0_TC_1_INT (0x00000027)
#define CSL_CIC1_EDMACC_0_TC_2_INT (0x00000028)
#define CSL_CIC1_EDMACC_0_TC_3_INT (0x00000029)
#define CSL_CIC1_EDMACC_0_TC_4_INT (0x0000002A)
#define CSL_CIC1_EDMACC_0_TC_5_INT (0x0000002B)
#define CSL_CIC1_EDMACC_0_TC_6_INT (0x0000002C)
#define CSL_CIC1_EDMACC_0_TC_7_INT (0x0000002D)
#define CSL_CIC1_RESERVED_46 (0x0000002E)
#define CSL_CIC1_QMSS_QUE_PEND_658 (0x0000002F)
#define CSL_CIC1_PCIE_INT12 (0x00000030)
#define CSL_CIC1_PCIE_INT13 (0x00000031)
#define CSL_CIC1_PCIE_INT0 (0x00000032)
#define CSL_CIC1_PCIE_INT1 (0x00000033)
#define CSL_CIC1_PCIE_INT2 (0x00000034)
#define CSL_CIC1_PCIE_INT3 (0x00000035)
#define CSL_CIC1_SPI_0_INT0 (0x00000036)
#define CSL_CIC1_SPI_0_INT1 (0x00000037)
#define CSL_CIC1_SPI_0_XEVT (0x00000038)
#define CSL_CIC1_SPI_0_REVT (0x00000039)
#define CSL_CIC1_I2C_0_INT (0x0000003A)
#define CSL_CIC1_I2C_0_REVT (0x0000003B)
#define CSL_CIC1_I2C_0_XEVT (0x0000003C)
#define CSL_CIC1_SECMGRINT (0x0000003D)
#define CSL_CIC1_RESERVED_62 (0x0000003E)
#define CSL_CIC1_DBGTBR_DMAINT (0x0000003F)
#define CSL_CIC1_MPU_12_INT (0x00000040)
#define CSL_CIC1_DBGTBR_ACQCOMP (0x00000041)
#define CSL_CIC1_MPU_13_INT (0x00000042)
#define CSL_CIC1_MPU_14_INT (0x00000043)
#define CSL_CIC1_NETCP_MDIO_LINK_INT0 (0x00000044)
#define CSL_CIC1_NETCP_MDIO_LINK_INT1 (0x00000045)
#define CSL_CIC1_NETCP_MDIO_USER_INT0 (0x00000046)
#define CSL_CIC1_NETCP_MDIO_USER_INT1 (0x00000047)
#define CSL_CIC1_NETCP_MISC_INT (0x00000048)
#define CSL_CIC1_TRACER_CORE_0_INT (0x00000049)
#define CSL_CIC1_TRACER_CORE_1_INT (0x0000004A)
#define CSL_CIC1_TRACER_CORE_2_INT (0x0000004B)
#define CSL_CIC1_TRACER_CORE_3_INT (0x0000004C)
#define CSL_CIC1_TRACER_DDR_INT (0x0000004D)
#define CSL_CIC1_TRACER_MSMC_0_INT (0x0000004E)
#define CSL_CIC1_TRACER_MSMC_1_INT (0x0000004F)
#define CSL_CIC1_TRACER_MSMC_2_INT (0x00000050)
#define CSL_CIC1_TRACER_MSMC_3_INT (0x00000051)
#define CSL_CIC1_TRACER_CFG_INT (0x00000052)
#define CSL_CIC1_TRACER_QMSS_QM_CFG1_INT (0x00000053)
#define CSL_CIC1_TRACER_QMSS_DMA_INT (0x00000054)
#define CSL_CIC1_TRACER_SEM_INT (0x00000055)
#define CSL_CIC1_PSC_ALLINT (0x00000056)
#define CSL_CIC1_MSMC_SCRUB_CERROR (0x00000057)
#define CSL_CIC1_BOOTCFG_INT (0x00000058)
#define CSL_CIC1_SR_0_PO_VCON_SMPSERR_INT (0x00000059)
#define CSL_CIC1_MPU_0_INT (0x0000005A)
#define CSL_CIC1_QMSS_QUE_PEND_659 (0x0000005B)
#define CSL_CIC1_MPU_1_INT (0x0000005C)
#define CSL_CIC1_QMSS_QUE_PEND_660 (0x0000005D)
#define CSL_CIC1_MPU_2_INT (0x0000005E)
#define CSL_CIC1_QMSS_QUE_PEND_661 (0x0000005F)
#define CSL_CIC1_MPU_3_INT (0x00000060)
#define CSL_CIC1_QMSS_QUE_PEND_662 (0x00000061)
#define CSL_CIC1_MSMC_DEDC_CERROR (0x00000062)
#define CSL_CIC1_MSMC_DEDC_NC_ERROR (0x00000063)
#define CSL_CIC1_MSMC_SCRUB_NC_ERROR (0x00000064)
#define CSL_CIC1_RESERVED_101 (0x00000065)
#define CSL_CIC1_MSMC_MPF_ERROR8 (0x00000066)
#define CSL_CIC1_MSMC_MPF_ERROR9 (0x00000067)
#define CSL_CIC1_MSMC_MPF_ERROR10 (0x00000068)
#define CSL_CIC1_MSMC_MPF_ERROR11 (0x00000069)
#define CSL_CIC1_MSMC_MPF_ERROR12 (0x0000006A)
#define CSL_CIC1_MSMC_MPF_ERROR13 (0x0000006B)
#define CSL_CIC1_MSMC_MPF_ERROR14 (0x0000006C)
#define CSL_CIC1_MSMC_MPF_ERROR15 (0x0000006D)
#define CSL_CIC1_DDR3_0_ERR (0x0000006E)
#define CSL_CIC1_HYPERLINK_0_INT (0x0000006F)
#define CSL_CIC1_SRIO_INTDST0 (0x00000070)
#define CSL_CIC1_SRIO_INTDST1 (0x00000071)
#define CSL_CIC1_SRIO_INTDST2 (0x00000072)
#define CSL_CIC1_SRIO_INTDST3 (0x00000073)
#define CSL_CIC1_SRIO_INTDST4 (0x00000074)
#define CSL_CIC1_SRIO_INTDST5 (0x00000075)
#define CSL_CIC1_SRIO_INTDST6 (0x00000076)
#define CSL_CIC1_SRIO_INTDST7 (0x00000077)
#define CSL_CIC1_SRIO_INTDST8 (0x00000078)
#define CSL_CIC1_SRIO_INTDST9 (0x00000079)
#define CSL_CIC1_SRIO_INTDST10 (0x0000007A)
#define CSL_CIC1_SRIO_INTDST11 (0x0000007B)
#define CSL_CIC1_SRIO_INTDST12 (0x0000007C)
#define CSL_CIC1_SRIO_INTDST13 (0x0000007D)
#define CSL_CIC1_SRIO_INTDST14 (0x0000007E)
#define CSL_CIC1_SRIO_INTDST15 (0x0000007F)
#define CSL_CIC1_AEMIF_EASYNCERR (0x00000080)
#define CSL_CIC1_TRACER_CORE_4_INT (0x00000081)
#define CSL_CIC1_TRACER_CORE_5_INT (0x00000082)
#define CSL_CIC1_TRACER_CORE_6_INT (0x00000083)
#define CSL_CIC1_TRACER_CORE_7_INT (0x00000084)
#define CSL_CIC1_QMSS_INTD_1_PKTDMA_0 (0x00000085)
#define CSL_CIC1_QMSS_INTD_1_PKTDMA_1 (0x00000086)
#define CSL_CIC1_SRIO_INT_PKTDMA_0 (0x00000087)
#define CSL_CIC1_NETCP_PKTDMA_INT0 (0x00000088)
#define CSL_CIC1_SR_0_SMARTREFLEX_INTREQ0 (0x00000089)
#define CSL_CIC1_SR_0_SMARTREFLEX_INTREQ1 (0x0000008A)
#define CSL_CIC1_SR_0_SMARTREFLEX_INTREQ2 (0x0000008B)
#define CSL_CIC1_SR_0_SMARTREFLEX_INTREQ3 (0x0000008C)
#define CSL_CIC1_SR_0_VPNOSMPSACK (0x0000008D)
#define CSL_CIC1_SR_0_VPEQVALUE (0x0000008E)
#define CSL_CIC1_SR_0_VPMAXVDD (0x0000008F)
#define CSL_CIC1_SR_0_VPMINVDD (0x00000090)
#define CSL_CIC1_SR_0_VPINIDLE (0x00000091)
#define CSL_CIC1_SR_0_VPOPPCHANGEDONE (0x00000092)
#define CSL_CIC1_DFT_PBIST_CPU_INT (0x00000093)
#define CSL_CIC1_UART_0_UARTINT (0x00000094)
#define CSL_CIC1_UART_0_URXEVT (0x00000095)
#define CSL_CIC1_UART_0_UTXEVT (0x00000096)
#define CSL_CIC1_QMSS_QUE_PEND_663 (0x00000097)
#define CSL_CIC1_QMSS_QUE_PEND_664 (0x00000098)
#define CSL_CIC1_QMSS_QUE_PEND_665 (0x00000099)
#define CSL_CIC1_QMSS_QUE_PEND_666 (0x0000009A)
#define CSL_CIC1_QMSS_QUE_PEND_667 (0x0000009B)
#define CSL_CIC1_QMSS_QUE_PEND_668 (0x0000009C)
#define CSL_CIC1_QMSS_QUE_PEND_669 (0x0000009D)
#define CSL_CIC1_QMSS_QUE_PEND_670 (0x0000009E)
#define CSL_CIC1_QMSS_QUE_PEND_671 (0x0000009F)
#define CSL_CIC1_SR_0_VPSMPSACK (0x000000A0)
#define CSL_CIC1_ARM_TBR_DMA (0x000000A1)
#define CSL_CIC1_ARM_TBR_ACQ (0x000000A2)
#define CSL_CIC1_ARM_NINTERRIRQ (0x000000A3)
#define CSL_CIC1_ARM_NAXIERRIRQ (0x000000A4)
#define CSL_CIC1_SR_0_SR_TEMPSENSOR (0x000000A5)
#define CSL_CIC1_SR_0_SR_TIMERINT (0x000000A6)
#define CSL_CIC1_AIF_ATEVT8 (0x000000A7)
#define CSL_CIC1_AIF_ATEVT9 (0x000000A8)
#define CSL_CIC1_AIF_ATEVT10 (0x000000A9)
#define CSL_CIC1_AIF_ATEVT11 (0x000000AA)
#define CSL_CIC1_AIF_ATEVT12 (0x000000AB)
#define CSL_CIC1_AIF_ATEVT13 (0x000000AC)
#define CSL_CIC1_AIF_ATEVT14 (0x000000AD)
#define CSL_CIC1_AIF_ATEVT15 (0x000000AE)
#define CSL_CIC1_TIMER_7_INTL (0x000000AF)
#define CSL_CIC1_TIMER_7_INTH (0x000000B0)
#define CSL_CIC1_TIMER_6_INTL (0x000000B1)
#define CSL_CIC1_TIMER_6_INTH (0x000000B2)
#define CSL_CIC1_TIMER_5_INTL (0x000000B3)
#define CSL_CIC1_TIMER_5_INTH (0x000000B4)
#define CSL_CIC1_TIMER_4_INTL (0x000000B5)
#define CSL_CIC1_TIMER_4_INTH (0x000000B6)
#define CSL_CIC1_TIMER_3_INTL (0x000000B7)
#define CSL_CIC1_TIMER_3_INTH (0x000000B8)
#define CSL_CIC1_TIMER_2_INTL (0x000000B9)
#define CSL_CIC1_TIMER_2_INTH (0x000000BA)
#define CSL_CIC1_TIMER_1_INTL (0x000000BB)
#define CSL_CIC1_TIMER_1_INTH (0x000000BC)
#define CSL_CIC1_TIMER_0_INTL (0x000000BD)
#define CSL_CIC1_TIMER_0_INTH (0x000000BE)
#define CSL_CIC1_TCP3D_0_INT (0x000000BF)
#define CSL_CIC1_TCP3D_1_INT (0x000000C0)
#define CSL_CIC1_TCP3D_2_INT (0x000000C1)
#define CSL_CIC1_TCP3D_3_INT (0x000000C2)
#define CSL_CIC1_TCP3D_0_REVT0 (0x000000C3)
#define CSL_CIC1_TCP3D_0_REVT1 (0x000000C4)
#define CSL_CIC1_TCP3D_1_REVT0 (0x000000C5)
#define CSL_CIC1_TCP3D_1_REVT1 (0x000000C6)
#define CSL_CIC1_TCP3D_2_REVT0 (0x000000C7)
#define CSL_CIC1_TCP3D_2_REVT1 (0x000000C8)
#define CSL_CIC1_TCP3D_3_REVT0 (0x000000C9)
#define CSL_CIC1_TCP3D_3_REVT1 (0x000000CA)
#define CSL_CIC1_TAC_INT (0x000000CB)
#define CSL_CIC1_TAC_DEVT0 (0x000000CC)
#define CSL_CIC1_TAC_DEVT1 (0x000000CD)
#define CSL_CIC1_AIF_INT (0x000000CE)
#define CSL_CIC1_EDMACC_4_ERRINT (0x000000CF)
#define CSL_CIC1_EDMACC_4_MPINT (0x000000D0)
#define CSL_CIC1_EDMACC_4_TC_0_ERRINT (0x000000D1)
#define CSL_CIC1_EDMACC_4_TC_1_ERRINT (0x000000D2)
#define CSL_CIC1_EDMACC_4_GINT (0x000000D3)
#define CSL_CIC1_EDMACC_4_TC_0_INT (0x000000D4)
#define CSL_CIC1_EDMACC_4_TC_1_INT (0x000000D5)
#define CSL_CIC1_EDMACC_4_TC_2_INT (0x000000D6)
#define CSL_CIC1_EDMACC_4_TC_3_INT (0x000000D7)
#define CSL_CIC1_EDMACC_4_TC_4_INT (0x000000D8)
#define CSL_CIC1_EDMACC_4_TC_5_INT (0x000000D9)
#define CSL_CIC1_EDMACC_4_TC_6_INT (0x000000DA)
#define CSL_CIC1_EDMACC_4_TC_7_INT (0x000000DB)
#define CSL_CIC1_EDMACC_3_ERRINT (0x000000DC)
#define CSL_CIC1_EDMACC_3_MPINT (0x000000DD)
#define CSL_CIC1_EDMACC_3_TC_0_ERRINT (0x000000DE)
#define CSL_CIC1_EDMACC_3_TC_1_ERRINT (0x000000DF)
#define CSL_CIC1_EDMACC_3_GINT (0x000000E0)
#define CSL_CIC1_EDMACC_3_TC_0_INT (0x000000E1)
#define CSL_CIC1_EDMACC_3_TC_1_INT (0x000000E2)
#define CSL_CIC1_EDMACC_3_TC_2_INT (0x000000E3)
#define CSL_CIC1_EDMACC_3_TC_3_INT (0x000000E4)
#define CSL_CIC1_EDMACC_3_TC_4_INT (0x000000E5)
#define CSL_CIC1_EDMACC_3_TC_5_INT (0x000000E6)
#define CSL_CIC1_EDMACC_3_TC_6_INT (0x000000E7)
#define CSL_CIC1_EDMACC_3_TC_7_INT (0x000000E8)
#define CSL_CIC1_UART_1_UARTINT (0x000000E9)
#define CSL_CIC1_UART_1_URXEVT (0x000000EA)
#define CSL_CIC1_UART_1_UTXEVT (0x000000EB)
#define CSL_CIC1_I2C_1_INT (0x000000EC)
#define CSL_CIC1_I2C_1_REVT (0x000000ED)
#define CSL_CIC1_I2C_1_XEVT (0x000000EE)
#define CSL_CIC1_SPI_1_INT0 (0x000000EF)
#define CSL_CIC1_SPI_1_INT1 (0x000000F0)
#define CSL_CIC1_SPI_1_XEVT (0x000000F1)
#define CSL_CIC1_SPI_1_REVT (0x000000F2)
#define CSL_CIC1_MPU_5_INT (0x000000F3)
#define CSL_CIC1_MPU_8_INT (0x000000F4)
#define CSL_CIC1_MPU_9_INT (0x000000F5)
#define CSL_CIC1_MPU_11_INT (0x000000F6)
#define CSL_CIC1_MPU_4_INT (0x000000F7)
#define CSL_CIC1_MPU_6_INT (0x000000F8)
#define CSL_CIC1_MPU_7_INT (0x000000F9)
#define CSL_CIC1_MPU_10_INT (0x000000FA)
#define CSL_CIC1_SPI_2_INT0 (0x000000FB)
#define CSL_CIC1_SPI_2_INT1 (0x000000FC)
#define CSL_CIC1_SPI_2_XEVT (0x000000FD)
#define CSL_CIC1_SPI_2_REVT (0x000000FE)
#define CSL_CIC1_I2C_2_INT (0x000000FF)
#define CSL_CIC1_I2C_2_REVT (0x00000100)
#define CSL_CIC1_I2C_2_XEVT (0x00000101)
#define CSL_CIC1_XGE_LINK_INT0 (0x00000102)
#define CSL_CIC1_XGE_LINK_INT1 (0x00000103)
#define CSL_CIC1_XGE_USER_INT0 (0x00000104)
#define CSL_CIC1_XGE_USER_INT1 (0x00000105)
#define CSL_CIC1_XGE_MISC_INT (0x00000106)
#define CSL_CIC1_XGE_INT_PKTDMA_0 (0x00000107)
#define CSL_CIC1_USIM_PONIRQ (0x00000108)
#define CSL_CIC1_USIM_RREQ (0x00000109)
#define CSL_CIC1_USIM_WREQ (0x0000010A)
#define CSL_CIC1_BCP_INT0 (0x0000010B)
#define CSL_CIC1_BCP_INT1 (0x0000010C)
#define CSL_CIC1_BCP_INT2 (0x0000010D)
#define CSL_CIC1_BCP_INT3 (0x0000010E)
#define CSL_CIC1_RAC_0_TRACE_GCCP0 (0x0000010F)
#define CSL_CIC1_RAC_0_TRACE_GCCP1 (0x00000110)
#define CSL_CIC1_RAC_1_TRACE_GCCP0 (0x00000111)
#define CSL_CIC1_RAC_1_TRACE_GCCP1 (0x00000112)
#define CSL_CIC1_RAC_2_TRACE_GCCP0 (0x00000113)
#define CSL_CIC1_RAC_2_TRACE_GCCP1 (0x00000114)
#define CSL_CIC1_RAC_3_TRACE_GCCP0 (0x00000115)
#define CSL_CIC1_RAC_3_TRACE_GCCP1 (0x00000116)
#define CSL_CIC1_TAC_DEVT2 (0x00000117)
#define CSL_CIC1_TAC_DEVT3 (0x00000118)
#define CSL_CIC1_TAC_DEVT4 (0x00000119)
#define CSL_CIC1_TAC_DEVT5 (0x0000011A)
#define CSL_CIC1_RESERVED_283 (0x0000011B)
#define CSL_CIC1_RESERVED_284 (0x0000011C)
#define CSL_CIC1_RESERVED_285 (0x0000011D)
#define CSL_CIC1_RESERVED_286 (0x0000011E)
#define CSL_CIC1_RESERVED_287 (0x0000011F)
#define CSL_CIC1_RESERVED_288 (0x00000120)
#define CSL_CIC1_RESERVED_289 (0x00000121)
#define CSL_CIC1_TRACER_RAC_1_INT (0x00000122)
#define CSL_CIC1_TRACER_RAC_FE_INT (0x00000123)
#define CSL_CIC1_QMSS_QUE_PEND_652 (0x00000124)
#define CSL_CIC1_QMSS_QUE_PEND_653 (0x00000125)
#define CSL_CIC1_QMSS_QUE_PEND_654 (0x00000126)
#define CSL_CIC1_QMSS_QUE_PEND_655 (0x00000127)
#define CSL_CIC1_QMSS_QUE_PEND_656 (0x00000128)
#define CSL_CIC1_QMSS_QUE_PEND_657 (0x00000129)
#define CSL_CIC1_QMSS_QUE_PEND_8844 (0x0000012A)
#define CSL_CIC1_QMSS_QUE_PEND_8845 (0x0000012B)
#define CSL_CIC1_QMSS_QUE_PEND_8846 (0x0000012C)
#define CSL_CIC1_QMSS_QUE_PEND_8847 (0x0000012D)
#define CSL_CIC1_QMSS_QUE_PEND_8848 (0x0000012E)
#define CSL_CIC1_QMSS_QUE_PEND_8849 (0x0000012F)
#define CSL_CIC1_QMSS_QUE_PEND_8850 (0x00000130)
#define CSL_CIC1_QMSS_QUE_PEND_8851 (0x00000131)
#define CSL_CIC1_QMSS_QUE_PEND_8852 (0x00000132)
#define CSL_CIC1_QMSS_QUE_PEND_8853 (0x00000133)
#define CSL_CIC1_QMSS_QUE_PEND_8854 (0x00000134)
#define CSL_CIC1_QMSS_QUE_PEND_8855 (0x00000135)
#define CSL_CIC1_QMSS_QUE_PEND_8856 (0x00000136)
#define CSL_CIC1_QMSS_QUE_PEND_8857 (0x00000137)
#define CSL_CIC1_QMSS_QUE_PEND_8858 (0x00000138)
#define CSL_CIC1_QMSS_QUE_PEND_8859 (0x00000139)
#define CSL_CIC1_QMSS_QUE_PEND_8860 (0x0000013A)
#define CSL_CIC1_QMSS_QUE_PEND_8861 (0x0000013B)
#define CSL_CIC1_QMSS_QUE_PEND_8862 (0x0000013C)
#define CSL_CIC1_QMSS_QUE_PEND_8863 (0x0000013D)
#define CSL_CIC1_QMSS_INTD_2_PKTDMA_0 (0x0000013E)
#define CSL_CIC1_QMSS_INTD_2_PKTDMA_1 (0x0000013F)
#define CSL_CIC1_QMSS_INTD_1_LOW_0 (0x00000140)
#define CSL_CIC1_QMSS_INTD_1_LOW_1 (0x00000141)
#define CSL_CIC1_QMSS_INTD_1_LOW_2 (0x00000142)
#define CSL_CIC1_QMSS_INTD_1_LOW_3 (0x00000143)
#define CSL_CIC1_QMSS_INTD_1_LOW_4 (0x00000144)
#define CSL_CIC1_QMSS_INTD_1_LOW_5 (0x00000145)
#define CSL_CIC1_QMSS_INTD_1_LOW_6 (0x00000146)
#define CSL_CIC1_QMSS_INTD_1_LOW_7 (0x00000147)
#define CSL_CIC1_QMSS_INTD_1_LOW_8 (0x00000148)
#define CSL_CIC1_QMSS_INTD_1_LOW_9 (0x00000149)
#define CSL_CIC1_QMSS_INTD_1_LOW_10 (0x0000014A)
#define CSL_CIC1_QMSS_INTD_1_LOW_11 (0x0000014B)
#define CSL_CIC1_QMSS_INTD_1_LOW_12 (0x0000014C)
#define CSL_CIC1_QMSS_INTD_1_LOW_13 (0x0000014D)
#define CSL_CIC1_QMSS_INTD_1_LOW_14 (0x0000014E)
#define CSL_CIC1_QMSS_INTD_1_LOW_15 (0x0000014F)
#define CSL_CIC1_QMSS_INTD_2_LOW_0 (0x00000150)
#define CSL_CIC1_QMSS_INTD_2_LOW_1 (0x00000151)
#define CSL_CIC1_QMSS_INTD_2_LOW_2 (0x00000152)
#define CSL_CIC1_QMSS_INTD_2_LOW_3 (0x00000153)
#define CSL_CIC1_QMSS_INTD_2_LOW_4 (0x00000154)
#define CSL_CIC1_QMSS_INTD_2_LOW_5 (0x00000155)
#define CSL_CIC1_QMSS_INTD_2_LOW_6 (0x00000156)
#define CSL_CIC1_QMSS_INTD_2_LOW_7 (0x00000157)
#define CSL_CIC1_QMSS_INTD_2_LOW_8 (0x00000158)
#define CSL_CIC1_QMSS_INTD_2_LOW_9 (0x00000159)
#define CSL_CIC1_QMSS_INTD_2_LOW_10 (0x0000015A)
#define CSL_CIC1_QMSS_INTD_2_LOW_11 (0x0000015B)
#define CSL_CIC1_QMSS_INTD_2_LOW_12 (0x0000015C)
#define CSL_CIC1_QMSS_INTD_2_LOW_13 (0x0000015D)
#define CSL_CIC1_QMSS_INTD_2_LOW_14 (0x0000015E)
#define CSL_CIC1_QMSS_INTD_2_LOW_15 (0x0000015F)
#define CSL_CIC1_TRACER_EDMACC_0 (0x00000160)
#define CSL_CIC1_TRACER_EDMACC_123_INT (0x00000161)
#define CSL_CIC1_TRACER_CIC_INT (0x00000162)
#define CSL_CIC1_TRACER_MSMC_4_INT (0x00000163)
#define CSL_CIC1_TRACER_MSMC_5_INT (0x00000164)
#define CSL_CIC1_TRACER_MSMC_6_INT (0x00000165)
#define CSL_CIC1_TRACER_MSMC_7_INT (0x00000166)
#define CSL_CIC1_TRACER_SPI_ROM_EMIF_INT (0x00000167)
#define CSL_CIC1_TRACER_QMSS_QM_CFG2_INT (0x00000168)
#define CSL_CIC1_TRACER_TAC_BE_INT (0x00000169)
#define CSL_CIC1_TRACER_RAC_2_INT (0x0000016A)
#define CSL_CIC1_TRACER_DDR_1_INT (0x0000016B)
#define CSL_CIC1_TRACER_BCR_INT (0x0000016C)
#define CSL_CIC1_HYPERLINK_1_INT (0x0000016D)
#define CSL_CIC1_VCP_0_INT0 (0x0000016E)
#define CSL_CIC1_VCP_0_INT1 (0x0000016F)
#define CSL_CIC1_VCP_0_INT2 (0x00000170)
#define CSL_CIC1_VCP_0_INT3 (0x00000171)
#define CSL_CIC1_VCP_1_INT0 (0x00000172)
#define CSL_CIC1_VCP_1_INT1 (0x00000173)
#define CSL_CIC1_VCP_1_INT2 (0x00000174)
#define CSL_CIC1_VCP_1_INT3 (0x00000175)
#define CSL_CIC1_VCP_0_REVT0 (0x00000176)
#define CSL_CIC1_VCP_0_XEVT0 (0x00000177)
#define CSL_CIC1_VCP_0_REVT1 (0x00000178)
#define CSL_CIC1_VCP_0_XEVT1 (0x00000179)
#define CSL_CIC1_VCP_0_REVT2 (0x0000017A)
#define CSL_CIC1_VCP_0_XEVT2 (0x0000017B)
#define CSL_CIC1_VCP_0_REVT3 (0x0000017C)
#define CSL_CIC1_VCP_0_XEVT3 (0x0000017D)
#define CSL_CIC1_VCP_1_REVT0 (0x0000017E)
#define CSL_CIC1_VCP_1_XEVT0 (0x0000017F)
#define CSL_CIC1_VCP_1_REVT1 (0x00000180)
#define CSL_CIC1_VCP_1_XEVT1 (0x00000181)
#define CSL_CIC1_VCP_1_REVT2 (0x00000182)
#define CSL_CIC1_VCP_1_XEVT2 (0x00000183)
#define CSL_CIC1_VCP_1_REVT3 (0x00000184)
#define CSL_CIC1_VCP_1_XEVT3 (0x00000185)
#define CSL_CIC1_FFTC_0_INT0 (0x00000186)
#define CSL_CIC1_FFTC_0_INT1 (0x00000187)
#define CSL_CIC1_FFTC_0_INT2 (0x00000188)
#define CSL_CIC1_FFTC_0_INT3 (0x00000189)
#define CSL_CIC1_FFTC_1_INT0 (0x0000018A)
#define CSL_CIC1_FFTC_1_INT1 (0x0000018B)
#define CSL_CIC1_FFTC_1_INT2 (0x0000018C)
#define CSL_CIC1_FFTC_1_INT3 (0x0000018D)
#define CSL_CIC1_FFTC_2_INT0 (0x0000018E)
#define CSL_CIC1_FFTC_2_INT1 (0x0000018F)
#define CSL_CIC1_FFTC_2_INT2 (0x00000190)
#define CSL_CIC1_FFTC_2_INT3 (0x00000191)
#define CSL_CIC1_FFTC_3_INT0 (0x00000192)
#define CSL_CIC1_FFTC_3_INT1 (0x00000193)
#define CSL_CIC1_FFTC_3_INT2 (0x00000194)
#define CSL_CIC1_FFTC_3_INT3 (0x00000195)
#define CSL_CIC1_FFTC_4_INT0 (0x00000196)
#define CSL_CIC1_FFTC_4_INT1 (0x00000197)
#define CSL_CIC1_FFTC_4_INT2 (0x00000198)
#define CSL_CIC1_FFTC_4_INT3 (0x00000199)
#define CSL_CIC1_FFTC_5_INT0 (0x0000019A)
#define CSL_CIC1_FFTC_5_INT1 (0x0000019B)
#define CSL_CIC1_FFTC_5_INT2 (0x0000019C)
#define CSL_CIC1_FFTC_5_INT3 (0x0000019D)
#define CSL_CIC1_AIF_ATEVT16 (0x0000019E)
#define CSL_CIC1_AIF_ATEVT17 (0x0000019F)
#define CSL_CIC1_AIF_ATEVT18 (0x000001A0)
#define CSL_CIC1_AIF_ATEVT19 (0x000001A1)
#define CSL_CIC1_AIF_ATEVT20 (0x000001A2)
#define CSL_CIC1_AIF_ATEVT21 (0x000001A3)
#define CSL_CIC1_AIF_ATEVT22 (0x000001A4)
#define CSL_CIC1_AIF_ATEVT23 (0x000001A5)
#define CSL_CIC1_USB_INT00 (0x000001A6)
#define CSL_CIC1_USB_INT04 (0x000001A7)
#define CSL_CIC1_USB_INT05 (0x000001A8)
#define CSL_CIC1_USB_INT06 (0x000001A9)
#define CSL_CIC1_USB_INT07 (0x000001AA)
#define CSL_CIC1_USB_INT08 (0x000001AB)
#define CSL_CIC1_USB_INT09 (0x000001AC)
#define CSL_CIC1_USB_INT10 (0x000001AD)
#define CSL_CIC1_USB_INT11 (0x000001AE)
#define CSL_CIC1_USB_MISCINT (0x000001AF)
#define CSL_CIC1_USB_OABSINT (0x000001B0)
#define CSL_CIC1_TIMER_12_INTL (0x000001B1)
#define CSL_CIC1_TIMER_12_INTH (0x000001B2)
#define CSL_CIC1_TIMER_13_INTL (0x000001B3)
#define CSL_CIC1_TIMER_13_INTH (0x000001B4)
#define CSL_CIC1_TIMER_14_INTL (0x000001B5)
#define CSL_CIC1_TIMER_14_INTH (0x000001B6)
#define CSL_CIC1_TIMER_15_INTL (0x000001B7)
#define CSL_CIC1_TIMER_15_INTH (0x000001B8)
#define CSL_CIC1_TIMER_16_INTL (0x000001B9)
#define CSL_CIC1_TIMER_17_INTL (0x000001BA)
#define CSL_CIC1_TIMER_18_INTL (0x000001BB)
#define CSL_CIC1_TIMER_19_INTL (0x000001BC)
#define CSL_CIC1_DDR3_1_ERR (0x000001BD)
#define CSL_CIC1_GPIO_INT16 (0x000001BE)
#define CSL_CIC1_GPIO_INT17 (0x000001BF)
#define CSL_CIC1_GPIO_INT18 (0x000001C0)
#define CSL_CIC1_GPIO_INT19 (0x000001C1)
#define CSL_CIC1_GPIO_INT20 (0x000001C2)
#define CSL_CIC1_GPIO_INT21 (0x000001C3)
#define CSL_CIC1_GPIO_INT22 (0x000001C4)
#define CSL_CIC1_GPIO_INT23 (0x000001C5)
#define CSL_CIC1_GPIO_INT24 (0x000001C6)
#define CSL_CIC1_GPIO_INT25 (0x000001C7)
#define CSL_CIC1_GPIO_INT26 (0x000001C8)
#define CSL_CIC1_GPIO_INT27 (0x000001C9)
#define CSL_CIC1_GPIO_INT28 (0x000001CA)
#define CSL_CIC1_GPIO_INT29 (0x000001CB)
#define CSL_CIC1_GPIO_INT30 (0x000001CC)
#define CSL_CIC1_GPIO_INT31 (0x000001CD)
#define CSL_CIC1_SRIO_INTDST20 (0x000001CE)
#define CSL_CIC1_SRIO_INTDST21 (0x000001CF)
#define CSL_CIC1_SRIO_INTDST22 (0x000001D0)
#define CSL_CIC1_SRIO_INTDST23 (0x000001D1)
#define CSL_CIC1_PCIE_INT8 (0x000001D2)
#define CSL_CIC1_PCIE_INT9 (0x000001D3)
#define CSL_CIC1_PCIE_INT10 (0x000001D4)
#define CSL_CIC1_PCIE_INT11 (0x000001D5)
#define CSL_CIC1_SEM_INT12 (0x000001D6)
#define CSL_CIC1_SEM_INT13 (0x000001D7)
#define CSL_CIC1_SEM_ERR12 (0x000001D8)
#define CSL_CIC1_SEM_ERR13 (0x000001D9)
#define CSL_CIC1_RESERVED_474 (0x000001DA)

/*
 * Auto-generated CSL section
 */
#define CIC2_EVENT_CNT 478
#define CSL_CIC2_GPIO_INT8 (0x00000000)
#define CSL_CIC2_GPIO_INT9 (0x00000001)
#define CSL_CIC2_GPIO_INT10 (0x00000002)
#define CSL_CIC2_GPIO_INT11 (0x00000003)
#define CSL_CIC2_GPIO_INT12 (0x00000004)
#define CSL_CIC2_GPIO_INT13 (0x00000005)
#define CSL_CIC2_GPIO_INT14 (0x00000006)
#define CSL_CIC2_GPIO_INT15 (0x00000007)
#define CSL_CIC2_DBGTBR_DMAINT (0x00000008)
#define CSL_CIC2_RESERVED_9 (0x00000009)
#define CSL_CIC2_RESERVED_10 (0x0000000A)
#define CSL_CIC2_TETB_FULLINT0 (0x0000000B)
#define CSL_CIC2_TETB_HFULLINT0 (0x0000000C)
#define CSL_CIC2_TETB_ACQINT0 (0x0000000D)
#define CSL_CIC2_TETB_FULLINT1 (0x0000000E)
#define CSL_CIC2_TETB_HFULLINT1 (0x0000000F)
#define CSL_CIC2_TETB_ACQINT1 (0x00000010)
#define CSL_CIC2_TETB_FULLINT2 (0x00000011)
#define CSL_CIC2_TETB_HFULLINT2 (0x00000012)
#define CSL_CIC2_TETB_ACQINT2 (0x00000013)
#define CSL_CIC2_TETB_FULLINT3 (0x00000014)
#define CSL_CIC2_TETB_HFULLINT3 (0x00000015)
#define CSL_CIC2_TETB_ACQINT3 (0x00000016)
#define CSL_CIC2_DFT_PBIST_CPU_INT (0x00000017)
#define CSL_CIC2_QMSS_INTD_1_HIGH_16 (0x00000018)
#define CSL_CIC2_QMSS_INTD_1_HIGH_17 (0x00000019)
#define CSL_CIC2_QMSS_INTD_1_HIGH_18 (0x0000001A)
#define CSL_CIC2_QMSS_INTD_1_HIGH_19 (0x0000001B)
#define CSL_CIC2_QMSS_INTD_1_HIGH_20 (0x0000001C)
#define CSL_CIC2_QMSS_INTD_1_HIGH_21 (0x0000001D)
#define CSL_CIC2_QMSS_INTD_1_HIGH_22 (0x0000001E)
#define CSL_CIC2_QMSS_INTD_1_HIGH_23 (0x0000001F)
#define CSL_CIC2_QMSS_INTD_1_HIGH_24 (0x00000020)
#define CSL_CIC2_QMSS_INTD_1_HIGH_25 (0x00000021)
#define CSL_CIC2_QMSS_INTD_1_HIGH_26 (0x00000022)
#define CSL_CIC2_QMSS_INTD_1_HIGH_27 (0x00000023)
#define CSL_CIC2_QMSS_INTD_1_HIGH_28 (0x00000024)
#define CSL_CIC2_QMSS_INTD_1_HIGH_29 (0x00000025)
#define CSL_CIC2_QMSS_INTD_1_HIGH_30 (0x00000026)
#define CSL_CIC2_QMSS_INTD_1_HIGH_31 (0x00000027)
#define CSL_CIC2_NETCP_MDIO_LINK_INT0 (0x00000028)
#define CSL_CIC2_NETCP_MDIO_LINK_INT1 (0x00000029)
#define CSL_CIC2_NETCP_MDIO_USER_INT0 (0x0000002A)
#define CSL_CIC2_NETCP_MDIO_USER_INT1 (0x0000002B)
#define CSL_CIC2_NETCP_MISC_INT (0x0000002C)
#define CSL_CIC2_TRACER_CORE_0_INT (0x0000002D)
#define CSL_CIC2_TRACER_CORE_1_INT (0x0000002E)
#define CSL_CIC2_TRACER_CORE_2_INT (0x0000002F)
#define CSL_CIC2_TRACER_CORE_3_INT (0x00000030)
#define CSL_CIC2_TRACER_DDR_INT (0x00000031)
#define CSL_CIC2_TRACER_MSMC_0_INT (0x00000032)
#define CSL_CIC2_TRACER_MSMC_1_INT (0x00000033)
#define CSL_CIC2_TRACER_MSMC_2_INT (0x00000034)
#define CSL_CIC2_TRACER_MSMC_3_INT (0x00000035)
#define CSL_CIC2_TRACER_CFG_INT (0x00000036)
#define CSL_CIC2_TRACER_QMSS_QM_CFG1_INT (0x00000037)
#define CSL_CIC2_TRACER_QMSS_DMA_INT (0x00000038)
#define CSL_CIC2_TRACER_SEM_INT (0x00000039)
#define CSL_CIC2_SEM_ERR0 (0x0000003A)
#define CSL_CIC2_SEM_ERR1 (0x0000003B)
#define CSL_CIC2_SEM_ERR2 (0x0000003C)
#define CSL_CIC2_SEM_ERR3 (0x0000003D)
#define CSL_CIC2_BOOTCFG_INT (0x0000003E)
#define CSL_CIC2_NETCP_PKTDMA_INT0 (0x0000003F)
#define CSL_CIC2_MPU_0_INT (0x00000040)
#define CSL_CIC2_MSMC_SCRUB_CERROR (0x00000041)
#define CSL_CIC2_MPU_1_INT (0x00000042)
#define CSL_CIC2_SRIO_INT_PKTDMA_0 (0x00000043)
#define CSL_CIC2_MPU_2_INT (0x00000044)
#define CSL_CIC2_QMSS_INTD_1_PKTDMA_0 (0x00000045)
#define CSL_CIC2_MPU_3_INT (0x00000046)
#define CSL_CIC2_QMSS_INTD_1_PKTDMA_1 (0x00000047)
#define CSL_CIC2_MSMC_DEDC_CERROR (0x00000048)
#define CSL_CIC2_MSMC_DEDC_NC_ERROR (0x00000049)
#define CSL_CIC2_MSMC_SCRUB_NC_ERROR (0x0000004A)
#define CSL_CIC2_RESERVED_75 (0x0000004B)
#define CSL_CIC2_MSMC_MPF_ERROR0 (0x0000004C)
#define CSL_CIC2_MSMC_MPF_ERROR1 (0x0000004D)
#define CSL_CIC2_MSMC_MPF_ERROR2 (0x0000004E)
#define CSL_CIC2_MSMC_MPF_ERROR3 (0x0000004F)
#define CSL_CIC2_MSMC_MPF_ERROR4 (0x00000050)
#define CSL_CIC2_MSMC_MPF_ERROR5 (0x00000051)
#define CSL_CIC2_MSMC_MPF_ERROR6 (0x00000052)
#define CSL_CIC2_MSMC_MPF_ERROR7 (0x00000053)
#define CSL_CIC2_MSMC_MPF_ERROR8 (0x00000054)
#define CSL_CIC2_MSMC_MPF_ERROR9 (0x00000055)
#define CSL_CIC2_MSMC_MPF_ERROR10 (0x00000056)
#define CSL_CIC2_MSMC_MPF_ERROR11 (0x00000057)
#define CSL_CIC2_MSMC_MPF_ERROR12 (0x00000058)
#define CSL_CIC2_MSMC_MPF_ERROR13 (0x00000059)
#define CSL_CIC2_MSMC_MPF_ERROR14 (0x0000005A)
#define CSL_CIC2_MSMC_MPF_ERROR15 (0x0000005B)
#define CSL_CIC2_RESERVED_92 (0x0000005C)
#define CSL_CIC2_SRIO_INTDST0 (0x0000005D)
#define CSL_CIC2_SRIO_INTDST1 (0x0000005E)
#define CSL_CIC2_SRIO_INTDST2 (0x0000005F)
#define CSL_CIC2_SRIO_INTDST3 (0x00000060)
#define CSL_CIC2_SRIO_INTDST4 (0x00000061)
#define CSL_CIC2_SRIO_INTDST5 (0x00000062)
#define CSL_CIC2_SRIO_INTDST6 (0x00000063)
#define CSL_CIC2_SRIO_INTDST7 (0x00000064)
#define CSL_CIC2_SRIO_INTDST8 (0x00000065)
#define CSL_CIC2_SRIO_INTDST9 (0x00000066)
#define CSL_CIC2_SRIO_INTDST10 (0x00000067)
#define CSL_CIC2_SRIO_INTDST11 (0x00000068)
#define CSL_CIC2_SRIO_INTDST12 (0x00000069)
#define CSL_CIC2_SRIO_INTDST13 (0x0000006A)
#define CSL_CIC2_SRIO_INTDST14 (0x0000006B)
#define CSL_CIC2_SRIO_INTDST15 (0x0000006C)
#define CSL_CIC2_SRIO_INTDST16 (0x0000006D)
#define CSL_CIC2_SRIO_INTDST17 (0x0000006E)
#define CSL_CIC2_SRIO_INTDST18 (0x0000006F)
#define CSL_CIC2_SRIO_INTDST19 (0x00000070)
#define CSL_CIC2_SRIO_INTDST20 (0x00000071)
#define CSL_CIC2_SRIO_INTDST21 (0x00000072)
#define CSL_CIC2_SRIO_INTDST22 (0x00000073)
#define CSL_CIC2_SRIO_INTDST23 (0x00000074)
#define CSL_CIC2_AEMIF_EASYNCERR (0x00000075)
#define CSL_CIC2_TETB_FULLINT4 (0x00000076)
#define CSL_CIC2_TETB_HFULLINT4 (0x00000077)
#define CSL_CIC2_TETB_ACQINT4 (0x00000078)
#define CSL_CIC2_TETB_FULLINT5 (0x00000079)
#define CSL_CIC2_TETB_HFULLINT5 (0x0000007A)
#define CSL_CIC2_TETB_ACQINT5 (0x0000007B)
#define CSL_CIC2_TETB_FULLINT6 (0x0000007C)
#define CSL_CIC2_TETB_HFULLINT6 (0x0000007D)
#define CSL_CIC2_TETB_ACQINT6 (0x0000007E)
#define CSL_CIC2_TETB_FULLINT7 (0x0000007F)
#define CSL_CIC2_TETB_HFULLINT7 (0x00000080)
#define CSL_CIC2_TETB_ACQINT7 (0x00000081)
#define CSL_CIC2_TRACER_CORE_4_INT (0x00000082)
#define CSL_CIC2_TRACER_CORE_5_INT (0x00000083)
#define CSL_CIC2_TRACER_CORE_6_INT (0x00000084)
#define CSL_CIC2_TRACER_CORE_7_INT (0x00000085)
#define CSL_CIC2_SEM_ERR4 (0x00000086)
#define CSL_CIC2_SEM_ERR5 (0x00000087)
#define CSL_CIC2_SEM_ERR6 (0x00000088)
#define CSL_CIC2_SEM_ERR7 (0x00000089)
#define CSL_CIC2_QMSS_INTD_1_HIGH_0 (0x0000008A)
#define CSL_CIC2_QMSS_INTD_1_HIGH_1 (0x0000008B)
#define CSL_CIC2_QMSS_INTD_1_HIGH_2 (0x0000008C)
#define CSL_CIC2_QMSS_INTD_1_HIGH_3 (0x0000008D)
#define CSL_CIC2_QMSS_INTD_1_HIGH_4 (0x0000008E)
#define CSL_CIC2_QMSS_INTD_1_HIGH_5 (0x0000008F)
#define CSL_CIC2_QMSS_INTD_1_HIGH_6 (0x00000090)
#define CSL_CIC2_QMSS_INTD_1_HIGH_7 (0x00000091)
#define CSL_CIC2_QMSS_INTD_1_HIGH_8 (0x00000092)
#define CSL_CIC2_QMSS_INTD_1_HIGH_9 (0x00000093)
#define CSL_CIC2_QMSS_INTD_1_HIGH_10 (0x00000094)
#define CSL_CIC2_QMSS_INTD_1_HIGH_11 (0x00000095)
#define CSL_CIC2_QMSS_INTD_1_HIGH_12 (0x00000096)
#define CSL_CIC2_QMSS_INTD_1_HIGH_13 (0x00000097)
#define CSL_CIC2_QMSS_INTD_1_HIGH_14 (0x00000098)
#define CSL_CIC2_QMSS_INTD_1_HIGH_15 (0x00000099)
#define CSL_CIC2_QMSS_INTD_2_HIGH_0 (0x0000009A)
#define CSL_CIC2_QMSS_INTD_2_HIGH_1 (0x0000009B)
#define CSL_CIC2_QMSS_INTD_2_HIGH_2 (0x0000009C)
#define CSL_CIC2_QMSS_INTD_2_HIGH_3 (0x0000009D)
#define CSL_CIC2_QMSS_INTD_2_HIGH_4 (0x0000009E)
#define CSL_CIC2_QMSS_INTD_2_HIGH_5 (0x0000009F)
#define CSL_CIC2_QMSS_INTD_2_HIGH_6 (0x000000A0)
#define CSL_CIC2_QMSS_INTD_2_HIGH_7 (0x000000A1)
#define CSL_CIC2_QMSS_INTD_2_HIGH_8 (0x000000A2)
#define CSL_CIC2_QMSS_INTD_2_HIGH_9 (0x000000A3)
#define CSL_CIC2_QMSS_INTD_2_HIGH_10 (0x000000A4)
#define CSL_CIC2_QMSS_INTD_2_HIGH_11 (0x000000A5)
#define CSL_CIC2_QMSS_INTD_2_HIGH_12 (0x000000A6)
#define CSL_CIC2_QMSS_INTD_2_HIGH_13 (0x000000A7)
#define CSL_CIC2_QMSS_INTD_2_HIGH_14 (0x000000A8)
#define CSL_CIC2_QMSS_INTD_2_HIGH_15 (0x000000A9)
#define CSL_CIC2_QMSS_INTD_2_HIGH_16 (0x000000AA)
#define CSL_CIC2_QMSS_INTD_2_HIGH_17 (0x000000AB)
#define CSL_CIC2_QMSS_INTD_2_HIGH_18 (0x000000AC)
#define CSL_CIC2_QMSS_INTD_2_HIGH_19 (0x000000AD)
#define CSL_CIC2_QMSS_INTD_2_HIGH_20 (0x000000AE)
#define CSL_CIC2_QMSS_INTD_2_HIGH_21 (0x000000AF)
#define CSL_CIC2_QMSS_INTD_2_HIGH_22 (0x000000B0)
#define CSL_CIC2_QMSS_INTD_2_HIGH_23 (0x000000B1)
#define CSL_CIC2_QMSS_INTD_2_HIGH_24 (0x000000B2)
#define CSL_CIC2_QMSS_INTD_2_HIGH_25 (0x000000B3)
#define CSL_CIC2_QMSS_INTD_2_HIGH_26 (0x000000B4)
#define CSL_CIC2_QMSS_INTD_2_HIGH_27 (0x000000B5)
#define CSL_CIC2_QMSS_INTD_2_HIGH_28 (0x000000B6)
#define CSL_CIC2_QMSS_INTD_2_HIGH_29 (0x000000B7)
#define CSL_CIC2_QMSS_INTD_2_HIGH_30 (0x000000B8)
#define CSL_CIC2_QMSS_INTD_2_HIGH_31 (0x000000B9)
#define CSL_CIC2_MPU_12_INT (0x000000BA)
#define CSL_CIC2_MPU_13_INT (0x000000BB)
#define CSL_CIC2_MPU_14_INT (0x000000BC)
#define CSL_CIC2_RESERVED_189 (0x000000BD)
#define CSL_CIC2_RESERVED_190 (0x000000BE)
#define CSL_CIC2_RESERVED_191 (0x000000BF)
#define CSL_CIC2_RESERVED_192 (0x000000C0)
#define CSL_CIC2_RESERVED_193 (0x000000C1)
#define CSL_CIC2_RESERVED_194 (0x000000C2)
#define CSL_CIC2_RESERVED_195 (0x000000C3)
#define CSL_CIC2_RESERVED_196 (0x000000C4)
#define CSL_CIC2_RESERVED_197 (0x000000C5)
#define CSL_CIC2_RESERVED_198 (0x000000C6)
#define CSL_CIC2_TRACER_QMSS_QM_CFG2_INT (0x000000C7)
#define CSL_CIC2_TRACER_EDMACC_0 (0x000000C8)
#define CSL_CIC2_TRACER_EDMACC_123_INT (0x000000C9)
#define CSL_CIC2_TRACER_CIC_INT (0x000000CA)
#define CSL_CIC2_MPU_4_INT (0x000000CB)
#define CSL_CIC2_MPU_5_INT (0x000000CC)
#define CSL_CIC2_MPU_6_INT (0x000000CD)
#define CSL_CIC2_MPU_7_INT (0x000000CE)
#define CSL_CIC2_MPU_8_INT (0x000000CF)
#define CSL_CIC2_QMSS_INTD_2_PKTDMA_0 (0x000000D0)
#define CSL_CIC2_QMSS_INTD_2_PKTDMA_1 (0x000000D1)
#define CSL_CIC2_SR_0_VPSMPSACK (0x000000D2)
#define CSL_CIC2_DDR3_0_ERR (0x000000D3)
#define CSL_CIC2_HYPERLINK_0_INT (0x000000D4)
#define CSL_CIC2_EDMACC_0_ERRINT (0x000000D5)
#define CSL_CIC2_EDMACC_0_MPINT (0x000000D6)
#define CSL_CIC2_EDMACC_0_TC_0_ERRINT (0x000000D7)
#define CSL_CIC2_EDMACC_0_TC_1_ERRINT (0x000000D8)
#define CSL_CIC2_EDMACC_1_ERRINT (0x000000D9)
#define CSL_CIC2_EDMACC_1_MPINT (0x000000DA)
#define CSL_CIC2_EDMACC_1_TC_0_ERRINT (0x000000DB)
#define CSL_CIC2_EDMACC_1_TC_1_ERRINT (0x000000DC)
#define CSL_CIC2_EDMACC_1_TC_2_ERRINT (0x000000DD)
#define CSL_CIC2_EDMACC_1_TC_3_ERRINT (0x000000DE)
#define CSL_CIC2_EDMACC_2_ERRINT (0x000000DF)
#define CSL_CIC2_EDMACC_2_MPINT (0x000000E0)
#define CSL_CIC2_EDMACC_2_TC_0_ERRINT (0x000000E1)
#define CSL_CIC2_EDMACC_2_TC_1_ERRINT (0x000000E2)
#define CSL_CIC2_EDMACC_2_TC_2_ERRINT (0x000000E3)
#define CSL_CIC2_EDMACC_2_TC_3_ERRINT (0x000000E4)
#define CSL_CIC2_EDMACC_3_ERRINT (0x000000E5)
#define CSL_CIC2_EDMACC_3_MPINT (0x000000E6)
#define CSL_CIC2_EDMACC_3_TC_0_ERRINT (0x000000E7)
#define CSL_CIC2_EDMACC_3_TC_1_ERRINT (0x000000E8)
#define CSL_CIC2_EDMACC_4_ERRINT (0x000000E9)
#define CSL_CIC2_EDMACC_4_MPINT (0x000000EA)
#define CSL_CIC2_EDMACC_4_TC_0_ERRINT (0x000000EB)
#define CSL_CIC2_EDMACC_4_TC_1_ERRINT (0x000000EC)
#define CSL_CIC2_QMSS_QUE_PEND_652 (0x000000ED)
#define CSL_CIC2_QMSS_QUE_PEND_653 (0x000000EE)
#define CSL_CIC2_QMSS_QUE_PEND_654 (0x000000EF)
#define CSL_CIC2_QMSS_QUE_PEND_655 (0x000000F0)
#define CSL_CIC2_QMSS_QUE_PEND_656 (0x000000F1)
#define CSL_CIC2_QMSS_QUE_PEND_657 (0x000000F2)
#define CSL_CIC2_QMSS_QUE_PEND_658 (0x000000F3)
#define CSL_CIC2_QMSS_QUE_PEND_659 (0x000000F4)
#define CSL_CIC2_QMSS_QUE_PEND_660 (0x000000F5)
#define CSL_CIC2_QMSS_QUE_PEND_661 (0x000000F6)
#define CSL_CIC2_QMSS_QUE_PEND_662 (0x000000F7)
#define CSL_CIC2_QMSS_QUE_PEND_663 (0x000000F8)
#define CSL_CIC2_QMSS_QUE_PEND_664 (0x000000F9)
#define CSL_CIC2_QMSS_QUE_PEND_665 (0x000000FA)
#define CSL_CIC2_QMSS_QUE_PEND_666 (0x000000FB)
#define CSL_CIC2_QMSS_QUE_PEND_667 (0x000000FC)
#define CSL_CIC2_QMSS_QUE_PEND_668 (0x000000FD)
#define CSL_CIC2_QMSS_QUE_PEND_669 (0x000000FE)
#define CSL_CIC2_QMSS_QUE_PEND_670 (0x000000FF)
#define CSL_CIC2_QMSS_QUE_PEND_671 (0x00000100)
#define CSL_CIC2_QMSS_QUE_PEND_8844 (0x00000101)
#define CSL_CIC2_QMSS_QUE_PEND_8845 (0x00000102)
#define CSL_CIC2_QMSS_QUE_PEND_8846 (0x00000103)
#define CSL_CIC2_QMSS_QUE_PEND_8847 (0x00000104)
#define CSL_CIC2_QMSS_QUE_PEND_8848 (0x00000105)
#define CSL_CIC2_QMSS_QUE_PEND_8849 (0x00000106)
#define CSL_CIC2_QMSS_QUE_PEND_8850 (0x00000107)
#define CSL_CIC2_QMSS_QUE_PEND_8851 (0x00000108)
#define CSL_CIC2_QMSS_QUE_PEND_8852 (0x00000109)
#define CSL_CIC2_QMSS_QUE_PEND_8853 (0x0000010A)
#define CSL_CIC2_QMSS_QUE_PEND_8854 (0x0000010B)
#define CSL_CIC2_QMSS_QUE_PEND_8855 (0x0000010C)
#define CSL_CIC2_QMSS_QUE_PEND_8856 (0x0000010D)
#define CSL_CIC2_QMSS_QUE_PEND_8857 (0x0000010E)
#define CSL_CIC2_QMSS_QUE_PEND_8858 (0x0000010F)
#define CSL_CIC2_QMSS_QUE_PEND_8859 (0x00000110)
#define CSL_CIC2_QMSS_QUE_PEND_8860 (0x00000111)
#define CSL_CIC2_QMSS_QUE_PEND_8861 (0x00000112)
#define CSL_CIC2_QMSS_QUE_PEND_8862 (0x00000113)
#define CSL_CIC2_QMSS_QUE_PEND_8863 (0x00000114)
#define CSL_CIC2_XGE_LINK_INT0 (0x00000115)
#define CSL_CIC2_XGE_LINK_INT1 (0x00000116)
#define CSL_CIC2_XGE_USER_INT0 (0x00000117)
#define CSL_CIC2_XGE_USER_INT1 (0x00000118)
#define CSL_CIC2_XGE_MISC_INT (0x00000119)
#define CSL_CIC2_XGE_INT_PKTDMA_0 (0x0000011A)
#define CSL_CIC2_SEM_INT0 (0x0000011B)
#define CSL_CIC2_SEM_INT1 (0x0000011C)
#define CSL_CIC2_SEM_INT2 (0x0000011D)
#define CSL_CIC2_SEM_INT3 (0x0000011E)
#define CSL_CIC2_SEM_INT4 (0x0000011F)
#define CSL_CIC2_SEM_INT5 (0x00000120)
#define CSL_CIC2_SEM_INT6 (0x00000121)
#define CSL_CIC2_SEM_INT7 (0x00000122)
#define CSL_CIC2_SEM_INT8 (0x00000123)
#define CSL_CIC2_SEM_INT9 (0x00000124)
#define CSL_CIC2_SEM_INT10 (0x00000125)
#define CSL_CIC2_SEM_INT11 (0x00000126)
#define CSL_CIC2_SEM_INT12 (0x00000127)
#define CSL_CIC2_SEM_INT13 (0x00000128)
#define CSL_CIC2_SEM_INT14 (0x00000129)
#define CSL_CIC2_SEM_INT15 (0x0000012A)
#define CSL_CIC2_SEM_ERR8 (0x0000012B)
#define CSL_CIC2_SEM_ERR9 (0x0000012C)
#define CSL_CIC2_SEM_ERR10 (0x0000012D)
#define CSL_CIC2_SEM_ERR11 (0x0000012E)
#define CSL_CIC2_SEM_ERR12 (0x0000012F)
#define CSL_CIC2_SEM_ERR13 (0x00000130)
#define CSL_CIC2_SEM_ERR14 (0x00000131)
#define CSL_CIC2_SEM_ERR15 (0x00000132)
#define CSL_CIC2_DDR3_1_ERR (0x00000133)
#define CSL_CIC2_HYPERLINK_1_INT (0x00000134)
#define CSL_CIC2_FFTC_0_INT0 (0x00000135)
#define CSL_CIC2_FFTC_0_INT1 (0x00000136)
#define CSL_CIC2_FFTC_0_INT2 (0x00000137)
#define CSL_CIC2_FFTC_0_INT3 (0x00000138)
#define CSL_CIC2_FFTC_1_INT0 (0x00000139)
#define CSL_CIC2_FFTC_1_INT1 (0x0000013A)
#define CSL_CIC2_FFTC_1_INT2 (0x0000013B)
#define CSL_CIC2_FFTC_1_INT3 (0x0000013C)
#define CSL_CIC2_FFTC_2_INT0 (0x0000013D)
#define CSL_CIC2_FFTC_2_INT1 (0x0000013E)
#define CSL_CIC2_FFTC_2_INT2 (0x0000013F)
#define CSL_CIC2_FFTC_2_INT3 (0x00000140)
#define CSL_CIC2_FFTC_3_INT0 (0x00000141)
#define CSL_CIC2_FFTC_3_INT1 (0x00000142)
#define CSL_CIC2_FFTC_3_INT2 (0x00000143)
#define CSL_CIC2_FFTC_3_INT3 (0x00000144)
#define CSL_CIC2_FFTC_4_INT0 (0x00000145)
#define CSL_CIC2_FFTC_4_INT1 (0x00000146)
#define CSL_CIC2_FFTC_4_INT2 (0x00000147)
#define CSL_CIC2_FFTC_4_INT3 (0x00000148)
#define CSL_CIC2_FFTC_5_INT0 (0x00000149)
#define CSL_CIC2_FFTC_5_INT1 (0x0000014A)
#define CSL_CIC2_FFTC_5_INT2 (0x0000014B)
#define CSL_CIC2_FFTC_5_INT3 (0x0000014C)
#define CSL_CIC2_AIF_INT (0x0000014D)
#define CSL_CIC2_AIF_ATEVT0 (0x0000014E)
#define CSL_CIC2_AIF_ATEVT1 (0x0000014F)
#define CSL_CIC2_AIF_ATEVT2 (0x00000150)
#define CSL_CIC2_AIF_ATEVT3 (0x00000151)
#define CSL_CIC2_AIF_ATEVT4 (0x00000152)
#define CSL_CIC2_AIF_ATEVT5 (0x00000153)
#define CSL_CIC2_AIF_ATEVT6 (0x00000154)
#define CSL_CIC2_AIF_ATEVT7 (0x00000155)
#define CSL_CIC2_AIF_ATEVT8 (0x00000156)
#define CSL_CIC2_AIF_ATEVT9 (0x00000157)
#define CSL_CIC2_AIF_ATEVT10 (0x00000158)
#define CSL_CIC2_AIF_ATEVT11 (0x00000159)
#define CSL_CIC2_AIF_ATEVT12 (0x0000015A)
#define CSL_CIC2_AIF_ATEVT13 (0x0000015B)
#define CSL_CIC2_AIF_ATEVT14 (0x0000015C)
#define CSL_CIC2_AIF_ATEVT15 (0x0000015D)
#define CSL_CIC2_RESERVED_350 (0x0000015E)
#define CSL_CIC2_RESERVED_351 (0x0000015F)
#define CSL_CIC2_RESERVED_352 (0x00000160)
#define CSL_CIC2_RESERVED_353 (0x00000161)
#define CSL_CIC2_TCP3D_0_INT (0x00000162)
#define CSL_CIC2_TCP3D_1_INT (0x00000163)
#define CSL_CIC2_TCP3D_2_INT (0x00000164)
#define CSL_CIC2_TCP3D_3_INT (0x00000165)
#define CSL_CIC2_BCP_INT0 (0x00000166)
#define CSL_CIC2_BCP_INT1 (0x00000167)
#define CSL_CIC2_BCP_INT2 (0x00000168)
#define CSL_CIC2_BCP_INT3 (0x00000169)
#define CSL_CIC2_PSC_ALLINT (0x0000016A)
#define CSL_CIC2_SECMGRINT (0x0000016B)
#define CSL_CIC2_RAC_0_TRACE_GCCP0 (0x0000016C)
#define CSL_CIC2_RAC_0_TRACE_GCCP1 (0x0000016D)
#define CSL_CIC2_RAC_1_TRACE_GCCP0 (0x0000016E)
#define CSL_CIC2_RAC_1_TRACE_GCCP1 (0x0000016F)
#define CSL_CIC2_RAC_2_TRACE_GCCP0 (0x00000170)
#define CSL_CIC2_RAC_2_TRACE_GCCP1 (0x00000171)
#define CSL_CIC2_RAC_3_TRACE_GCCP0 (0x00000172)
#define CSL_CIC2_RAC_3_TRACE_GCCP1 (0x00000173)
#define CSL_CIC2_MPU_9_INT (0x00000174)
#define CSL_CIC2_MPU_10_INT (0x00000175)
#define CSL_CIC2_MPU_11_INT (0x00000176)
#define CSL_CIC2_TRACER_MSMC_4_INT (0x00000177)
#define CSL_CIC2_TRACER_MSMC_5_INT (0x00000178)
#define CSL_CIC2_TRACER_MSMC_6_INT (0x00000179)
#define CSL_CIC2_TRACER_MSMC_7_INT (0x0000017A)
#define CSL_CIC2_TRACER_DDR_1_INT (0x0000017B)
#define CSL_CIC2_TRACER_BCR_INT (0x0000017C)
#define CSL_CIC2_TRACER_RAC_1_INT (0x0000017D)
#define CSL_CIC2_TRACER_RAC_2_INT (0x0000017E)
#define CSL_CIC2_TRACER_RAC_FE_INT (0x0000017F)
#define CSL_CIC2_TRACER_SPI_ROM_EMIF_INT (0x00000180)
#define CSL_CIC2_TRACER_TAC_BE_INT (0x00000181)
#define CSL_CIC2_RESERVED_386 (0x00000182)
#define CSL_CIC2_TIMER_8_INTL (0x00000183)
#define CSL_CIC2_TIMER_8_INTH (0x00000184)
#define CSL_CIC2_TIMER_9_INTL (0x00000185)
#define CSL_CIC2_TIMER_9_INTH (0x00000186)
#define CSL_CIC2_TIMER_10_INTL (0x00000187)
#define CSL_CIC2_TIMER_10_INTH (0x00000188)
#define CSL_CIC2_TIMER_11_INTL (0x00000189)
#define CSL_CIC2_TIMER_11_INTH (0x0000018A)
#define CSL_CIC2_TIMER_14_INTL (0x0000018B)
#define CSL_CIC2_TIMER_14_INTH (0x0000018C)
#define CSL_CIC2_TIMER_15_INTL (0x0000018D)
#define CSL_CIC2_TIMER_15_INTH (0x0000018E)
#define CSL_CIC2_USB_INT00 (0x0000018F)
#define CSL_CIC2_USB_INT04 (0x00000190)
#define CSL_CIC2_USB_INT05 (0x00000191)
#define CSL_CIC2_USB_INT06 (0x00000192)
#define CSL_CIC2_USB_INT07 (0x00000193)
#define CSL_CIC2_USB_INT08 (0x00000194)
#define CSL_CIC2_USB_INT09 (0x00000195)
#define CSL_CIC2_USB_INT10 (0x00000196)
#define CSL_CIC2_USB_INT11 (0x00000197)
#define CSL_CIC2_USB_MISCINT (0x00000198)
#define CSL_CIC2_USB_OABSINT (0x00000199)
#define CSL_CIC2_TCP3D_0_REVT0 (0x0000019A)
#define CSL_CIC2_TCP3D_0_REVT1 (0x0000019B)
#define CSL_CIC2_TCP3D_1_REVT0 (0x0000019C)
#define CSL_CIC2_TCP3D_1_REVT1 (0x0000019D)
#define CSL_CIC2_TCP3D_2_REVT0 (0x0000019E)
#define CSL_CIC2_TCP3D_2_REVT1 (0x0000019F)
#define CSL_CIC2_TCP3D_3_REVT0 (0x000001A0)
#define CSL_CIC2_TCP3D_3_REVT1 (0x000001A1)
#define CSL_CIC2_VCP_0_INT0 (0x000001A2)
#define CSL_CIC2_VCP_0_INT1 (0x000001A3)
#define CSL_CIC2_VCP_0_INT2 (0x000001A4)
#define CSL_CIC2_VCP_0_INT3 (0x000001A5)
#define CSL_CIC2_VCP_1_INT0 (0x000001A6)
#define CSL_CIC2_VCP_1_INT1 (0x000001A7)
#define CSL_CIC2_VCP_1_INT2 (0x000001A8)
#define CSL_CIC2_VCP_1_INT3 (0x000001A9)
#define CSL_CIC2_VCP_0_REVT0 (0x000001AA)
#define CSL_CIC2_VCP_0_XEVT0 (0x000001AB)
#define CSL_CIC2_VCP_0_REVT1 (0x000001AC)
#define CSL_CIC2_VCP_0_XEVT1 (0x000001AD)
#define CSL_CIC2_VCP_0_REVT2 (0x000001AE)
#define CSL_CIC2_VCP_0_XEVT2 (0x000001AF)
#define CSL_CIC2_VCP_0_REVT3 (0x000001B0)
#define CSL_CIC2_VCP_0_XEVT3 (0x000001B1)
#define CSL_CIC2_VCP_1_REVT0 (0x000001B2)
#define CSL_CIC2_VCP_1_XEVT0 (0x000001B3)
#define CSL_CIC2_VCP_1_REVT1 (0x000001B4)
#define CSL_CIC2_VCP_1_XEVT1 (0x000001B5)
#define CSL_CIC2_VCP_1_REVT2 (0x000001B6)
#define CSL_CIC2_VCP_1_XEVT2 (0x000001B7)
#define CSL_CIC2_VCP_1_REVT3 (0x000001B8)
#define CSL_CIC2_VCP_1_XEVT3 (0x000001B9)
#define CSL_CIC2_TETB_OVFLINT0 (0x000001BA)
#define CSL_CIC2_TETB_UNFLINT0 (0x000001BB)
#define CSL_CIC2_TETB_OVFLINT1 (0x000001BC)
#define CSL_CIC2_TETB_UNFLINT1 (0x000001BD)
#define CSL_CIC2_TETB_OVFLINT2 (0x000001BE)
#define CSL_CIC2_TETB_UNFLINT2 (0x000001BF)
#define CSL_CIC2_TETB_OVFLINT3 (0x000001C0)
#define CSL_CIC2_TETB_UNFLINT3 (0x000001C1)
#define CSL_CIC2_TETB_OVFLINT4 (0x000001C2)
#define CSL_CIC2_TETB_UNFLINT4 (0x000001C3)
#define CSL_CIC2_TETB_OVFLINT5 (0x000001C4)
#define CSL_CIC2_TETB_UNFLINT5 (0x000001C5)
#define CSL_CIC2_TETB_OVFLINT6 (0x000001C6)
#define CSL_CIC2_TETB_UNFLINT6 (0x000001C7)
#define CSL_CIC2_TETB_OVFLINT7 (0x000001C8)
#define CSL_CIC2_TETB_UNFLINT7 (0x000001C9)
#define CSL_CIC2_ARM_TBR_DMA (0x000001CA)
#define CSL_CIC2_RAC_0_INT (0x000001CB)
#define CSL_CIC2_RAC_1_INT (0x000001CC)
#define CSL_CIC2_RAC_2_INT (0x000001CD)
#define CSL_CIC2_RAC_3_INT (0x000001CE)
#define CSL_CIC2_GPIO_INT0 (0x000001CF)
#define CSL_CIC2_GPIO_INT1 (0x000001D0)
#define CSL_CIC2_GPIO_INT2 (0x000001D1)
#define CSL_CIC2_GPIO_INT3 (0x000001D2)
#define CSL_CIC2_GPIO_INT4 (0x000001D3)
#define CSL_CIC2_GPIO_INT5 (0x000001D4)
#define CSL_CIC2_GPIO_INT6 (0x000001D5)
#define CSL_CIC2_GPIO_INT7 (0x000001D6)
#define CSL_CIC2_IPC_GR0 (0x000001D7)
#define CSL_CIC2_IPC_GR1 (0x000001D8)
#define CSL_CIC2_IPC_GR2 (0x000001D9)
#define CSL_CIC2_IPC_GR3 (0x000001DA)
#define CSL_CIC2_IPC_GR4 (0x000001DB)
#define CSL_CIC2_IPC_GR5 (0x000001DC)
#define CSL_CIC2_IPC_GR6 (0x000001DD)
#define CSL_CIC2_IPC_GR7 (0x000001DE)

/*
 * Auto-generated CSL section
 */
#define HYPERLINK_EVENT_CNT 63
#define CSL_HYPERLINK_GPIO_INT0 (0x00000000)
#define CSL_HYPERLINK_GPIO_INT1 (0x00000001)
#define CSL_HYPERLINK_GPIO_INT2 (0x00000002)
#define CSL_HYPERLINK_GPIO_INT3 (0x00000003)
#define CSL_HYPERLINK_GPIO_INT4 (0x00000004)
#define CSL_HYPERLINK_GPIO_INT5 (0x00000005)
#define CSL_HYPERLINK_GPIO_INT6 (0x00000006)
#define CSL_HYPERLINK_GPIO_INT7 (0x00000007)
#define CSL_HYPERLINK_TIMER_8_INTL (0x00000008)
#define CSL_HYPERLINK_TIMER_8_INTH (0x00000009)
#define CSL_HYPERLINK_TIMER_9_INTL (0x0000000A)
#define CSL_HYPERLINK_TIMER_9_INTH (0x0000000B)
#define CSL_HYPERLINK_TIMER_10_INTL (0x0000000C)
#define CSL_HYPERLINK_TIMER_10_INTH (0x0000000D)
#define CSL_HYPERLINK_TIMER_11_INTL (0x0000000E)
#define CSL_HYPERLINK_TIMER_11_INTH (0x0000000F)
#define CSL_HYPERLINK_TIMER_12_INTL (0x00000010)
#define CSL_HYPERLINK_TIMER_12_INTH (0x00000011)
#define CSL_HYPERLINK_TIMER_13_INTL (0x00000012)
#define CSL_HYPERLINK_TIMER_13_INTH (0x00000013)
#define CSL_HYPERLINK_TIMER_14_INTL (0x00000014)
#define CSL_HYPERLINK_TIMER_14_INTH (0x00000015)
#define CSL_HYPERLINK_TIMER_15_INTL (0x00000016)
#define CSL_HYPERLINK_TIMER_15_INTH (0x00000017)
#define CSL_HYPERLINK_CIC_2_OUT58 (0x00000018)
#define CSL_HYPERLINK_CIC_2_OUT59 (0x00000019)
#define CSL_HYPERLINK_CIC_2_OUT60 (0x0000001A)
#define CSL_HYPERLINK_CIC_2_OUT61 (0x0000001B)
#define CSL_HYPERLINK_CIC_2_OUT62 (0x0000001C)
#define CSL_HYPERLINK_CIC_2_OUT63 (0x0000001D)
#define CSL_HYPERLINK_CIC_2_OUT64 (0x0000001E)
#define CSL_HYPERLINK_CIC_2_OUT65 (0x0000001F)
#define CSL_HYPERLINK_QMSS_QUE_PEND_658 (0x00000020)
#define CSL_HYPERLINK_QMSS_QUE_PEND_659 (0x00000021)
#define CSL_HYPERLINK_QMSS_QUE_PEND_660 (0x00000022)
#define CSL_HYPERLINK_QMSS_QUE_PEND_661 (0x00000023)
#define CSL_HYPERLINK_QMSS_QUE_PEND_662 (0x00000024)
#define CSL_HYPERLINK_QMSS_QUE_PEND_663 (0x00000025)
#define CSL_HYPERLINK_QMSS_QUE_PEND_664 (0x00000026)
#define CSL_HYPERLINK_QMSS_QUE_PEND_665 (0x00000027)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8744 (0x00000028)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8745 (0x00000029)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8746 (0x0000002A)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8747 (0x0000002B)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8748 (0x0000002C)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8749 (0x0000002D)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8750 (0x0000002E)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8751 (0x0000002F)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8796 (0x00000030)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8797 (0x00000031)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8798 (0x00000032)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8799 (0x00000033)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8800 (0x00000034)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8801 (0x00000035)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8802 (0x00000036)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8803 (0x00000037)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8804 (0x00000038)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8805 (0x00000039)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8806 (0x0000003A)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8807 (0x0000003B)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8808 (0x0000003C)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8809 (0x0000003D)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8810 (0x0000003E)
#define CSL_HYPERLINK_QMSS_QUE_PEND_8811 (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define C66X_COREPAC_EVENT_CNT 127
#define CSL_C66X_COREPAC_EVT0 (0x00000000)
#define CSL_C66X_COREPAC_EVT1 (0x00000001)
#define CSL_C66X_COREPAC_EVT2 (0x00000002)
#define CSL_C66X_COREPAC_EVT3 (0x00000003)
#define CSL_C66X_COREPAC_TETB_HFULLINTN (0x00000004)
#define CSL_C66X_COREPAC_TETB_FULLINTN (0x00000005)
#define CSL_C66X_COREPAC_TETB_ACQINTN (0x00000006)
#define CSL_C66X_COREPAC_TETB_OVFLINTN (0x00000007)
#define CSL_C66X_COREPAC_TETB_UNFLINTN (0x00000008)
#define CSL_C66X_COREPAC_EMU_DTDMA (0x00000009)
#define CSL_C66X_COREPAC_MSMC_MPF_ERRORN (0x0000000A)
#define CSL_C66X_COREPAC_EMU_RTDXRX (0x0000000B)
#define CSL_C66X_COREPAC_EMU_RTDXTX (0x0000000C)
#define CSL_C66X_COREPAC_IDMA0 (0x0000000D)
#define CSL_C66X_COREPAC_IDMA1 (0x0000000E)
#define CSL_C66X_COREPAC_SEM_ERRN (0x0000000F)
#define CSL_C66X_COREPAC_SEM_INTN (0x00000010)
#define CSL_C66X_COREPAC_PCIE_INT4_PLUS_N (0x00000011)
#define CSL_C66X_COREPAC_RAC_2_INT (0x00000012)
#define CSL_C66X_COREPAC_RAC_0_INT (0x00000013)
#define CSL_C66X_COREPAC_SRIO_INTDST16_PLUS_N (0x00000014)
#define CSL_C66X_COREPAC_RAC_3_INT (0x00000015)
#define CSL_C66X_COREPAC_RAC_1_INT (0x00000016)
#define CSL_C66X_COREPAC_CIC_OUT35 (0x00000017)
#define CSL_C66X_COREPAC_CIC_2_OUT102 (0x00000018)
#define CSL_C66X_COREPAC_CIC_2_OUT94_PLUS_N (0x00000019)
#define CSL_C66X_COREPAC_CIC_OUT68_PLUS_10_MUL_N (0x0000001A)
#define CSL_C66X_COREPAC_CIC_OUT69_PLUS_10_MUL_N (0x0000001B)
#define CSL_C66X_COREPAC_CIC_OUT70_PLUS_10_MUL_N (0x0000001C)
#define CSL_C66X_COREPAC_CIC_OUT71_PLUS_10_MUL_N (0x0000001D)
#define CSL_C66X_COREPAC_CIC_OUT72_PLUS_10_MUL_N (0x0000001E)
#define CSL_C66X_COREPAC_CIC_OUT73_PLUS_10_MUL_N (0x0000001F)
#define CSL_C66X_COREPAC_CIC_OUT16 (0x00000020)
#define CSL_C66X_COREPAC_CIC_OUT17 (0x00000021)
#define CSL_C66X_COREPAC_CIC_OUT18 (0x00000022)
#define CSL_C66X_COREPAC_CIC_OUT19 (0x00000023)
#define CSL_C66X_COREPAC_CIC_OUT20 (0x00000024)
#define CSL_C66X_COREPAC_CIC_OUT21 (0x00000025)
#define CSL_C66X_COREPAC_CIC_OUT22 (0x00000026)
#define CSL_C66X_COREPAC_CIC_OUT23 (0x00000027)
#define CSL_C66X_COREPAC_CIC_OUT32 (0x00000028)
#define CSL_C66X_COREPAC_CIC_OUT33 (0x00000029)
#define CSL_C66X_COREPAC_CIC_OUT13_PLUS_16_MUL_N (0x0000002A)
#define CSL_C66X_COREPAC_CIC_OUT14_PLUS_16_MUL_N (0x0000002B)
#define CSL_C66X_COREPAC_CIC_OUT15_PLUS_16_MUL_N (0x0000002C)
#define CSL_C66X_COREPAC_CIC_OUT64_PLUS_10_MUL_N (0x0000002D)
#define CSL_C66X_COREPAC_CIC_OUT65_PLUS_10_MUL_N (0x0000002E)
#define CSL_C66X_COREPAC_CIC_OUT66_PLUS_10_MUL_N (0x0000002F)
#define CSL_C66X_COREPAC_QMSS_INTD_1_HIGH_N (0x00000030)
#define CSL_C66X_COREPAC_QMSS_INTD_1_HIGH_8_PLUS_N (0x00000031)
#define CSL_C66X_COREPAC_QMSS_INTD_1_HIGH_16_PLUS_N (0x00000032)
#define CSL_C66X_COREPAC_QMSS_INTD_1_HIGH_24_PLUS_N (0x00000033)
#define CSL_C66X_COREPAC_QMSS_INTD_2_HIGH_N (0x00000034)
#define CSL_C66X_COREPAC_QMSS_INTD_2_HIGH_8_PLUS_N (0x00000035)
#define CSL_C66X_COREPAC_QMSS_INTD_2_HIGH_16_PLUS_N (0x00000036)
#define CSL_C66X_COREPAC_QMSS_INTD_2_HIGH_24_PLUS_N (0x00000037)
#define CSL_C66X_COREPAC_CIC_OUT0 (0x00000038)
#define CSL_C66X_COREPAC_CIC_OUT1 (0x00000039)
#define CSL_C66X_COREPAC_CIC_OUT2 (0x0000003A)
#define CSL_C66X_COREPAC_CIC_OUT3 (0x0000003B)
#define CSL_C66X_COREPAC_CIC_OUT4 (0x0000003C)
#define CSL_C66X_COREPAC_CIC_OUT5 (0x0000003D)
#define CSL_C66X_COREPAC_CIC_OUT6 (0x0000003E)
#define CSL_C66X_COREPAC_CIC_OUT7 (0x0000003F)
#define CSL_C66X_COREPAC_TIMER_N_INTL (0x00000040)
#define CSL_C66X_COREPAC_TIMER_N_INTH (0x00000041)
#define CSL_C66X_COREPAC_TIMER_8_INTL (0x00000042)
#define CSL_C66X_COREPAC_TIMER_8_INTH (0x00000043)
#define CSL_C66X_COREPAC_TIMER_9_INTL (0x00000044)
#define CSL_C66X_COREPAC_TIMER_9_INTH (0x00000045)
#define CSL_C66X_COREPAC_TIMER_10_INTL (0x00000046)
#define CSL_C66X_COREPAC_TIMER_10_INTH (0x00000047)
#define CSL_C66X_COREPAC_TIMER_11_INTL (0x00000048)
#define CSL_C66X_COREPAC_TIMER_11_INTH (0x00000049)
#define CSL_C66X_COREPAC_CIC_OUT8_PLUS_16_MUL_N (0x0000004A)
#define CSL_C66X_COREPAC_CIC_OUT9_PLUS_16_MUL_N (0x0000004B)
#define CSL_C66X_COREPAC_CIC_OUT10_PLUS_16_MUL_N (0x0000004C)
#define CSL_C66X_COREPAC_CIC_OUT11_PLUS_16_MUL_N (0x0000004D)
#define CSL_C66X_COREPAC_TIMER_14_INTL (0x0000004E)
#define CSL_C66X_COREPAC_TIMER_14_INTH (0x0000004F)
#define CSL_C66X_COREPAC_TIMER_15_INTL (0x00000050)
#define CSL_C66X_COREPAC_TIMER_15_INTH (0x00000051)
#define CSL_C66X_COREPAC_GPIO_INT8 (0x00000052)
#define CSL_C66X_COREPAC_GPIO_INT9 (0x00000053)
#define CSL_C66X_COREPAC_GPIO_INT10 (0x00000054)
#define CSL_C66X_COREPAC_GPIO_INT11 (0x00000055)
#define CSL_C66X_COREPAC_GPIO_INT12 (0x00000056)
#define CSL_C66X_COREPAC_AIF_ATEVT0 (0x00000057)
#define CSL_C66X_COREPAC_AIF_ATEVT1 (0x00000058)
#define CSL_C66X_COREPAC_AIF_ATEVT2 (0x00000059)
#define CSL_C66X_COREPAC_AIF_ATEVT3 (0x0000005A)
#define CSL_C66X_COREPAC_AIF_ATEVT4 (0x0000005B)
#define CSL_C66X_COREPAC_AIF_ATEVT5 (0x0000005C)
#define CSL_C66X_COREPAC_AIF_ATEVT6 (0x0000005D)
#define CSL_C66X_COREPAC_AIF_ATEVT7 (0x0000005E)
#define CSL_C66X_COREPAC_CIC_OUT67_PLUS_10_MUL_N (0x0000005F)
#define CSL_C66X_COREPAC_INTERR (0x00000060)
#define CSL_C66X_COREPAC_EMC_IDMAERR (0x00000061)
#define CSL_C66X_COREPAC_PBISTINT (0x00000062)
#define CSL_C66X_COREPAC_CIC_2_SPECIAL_BROADCAST (0x00000063)
#define CSL_C66X_COREPAC_EFIINT0 (0x00000064)
#define CSL_C66X_COREPAC_EFIINT1 (0x00000065)
#define CSL_C66X_COREPAC_GPIO_INT13 (0x00000066)
#define CSL_C66X_COREPAC_GPIO_INT14 (0x00000067)
#define CSL_C66X_COREPAC_GPIO_INT15 (0x00000068)
#define CSL_C66X_COREPAC_IPC_GRN (0x00000069)
#define CSL_C66X_COREPAC_GPIO_INTN (0x0000006A)
#define CSL_C66X_COREPAC_CIC_OUT12_PLUS_16_MUL_N (0x0000006B)
#define CSL_C66X_COREPAC_CIC_OUT34 (0x0000006C)
#define CSL_C66X_COREPAC_CIC_2_OUT13 (0x0000006D)
#define CSL_C66X_COREPAC_MDMAERREVT (0x0000006E)
#define CSL_C66X_COREPAC_RESERVED_111 (0x0000006F)
#define CSL_C66X_COREPAC_EDMACC_0_4_TC_AET_INT (0x00000070)
#define CSL_C66X_COREPAC_PMC_ED (0x00000071)
#define CSL_C66X_COREPAC_EDMACC_1_TC_AET_INT (0x00000072)
#define CSL_C66X_COREPAC_EDMACC_1_3_TC_AET_INT (0x00000073)
#define CSL_C66X_COREPAC_UMC_ED1 (0x00000074)
#define CSL_C66X_COREPAC_UMC_ED2 (0x00000075)
#define CSL_C66X_COREPAC_PDC_INT (0x00000076)
#define CSL_C66X_COREPAC_SYS_CMPA (0x00000077)
#define CSL_C66X_COREPAC_PMC_CMPA (0x00000078)
#define CSL_C66X_COREPAC_PMC_DMPA (0x00000079)
#define CSL_C66X_COREPAC_DMC_CMPA (0x0000007A)
#define CSL_C66X_COREPAC_DMC_DMPA (0x0000007B)
#define CSL_C66X_COREPAC_UMC_CMPA (0x0000007C)
#define CSL_C66X_COREPAC_UMC_DMPA (0x0000007D)
#define CSL_C66X_COREPAC_EMC_CMPA (0x0000007E)
#define CSL_C66X_COREPAC_EMC_BUSERR (0x0000007F)

/*
 * Auto-generated CSL section
 */
#define EDMACC_0_EVENT_CNT 63
#define CSL_EDMACC_0_TIMER_8_INTL (0x00000000)
#define CSL_EDMACC_0_TIMER_8_INTH (0x00000001)
#define CSL_EDMACC_0_TIMER_9_INTL (0x00000002)
#define CSL_EDMACC_0_TIMER_9_INTH (0x00000003)
#define CSL_EDMACC_0_TIMER_10_INTL (0x00000004)
#define CSL_EDMACC_0_TIMER_10_INTH (0x00000005)
#define CSL_EDMACC_0_TIMER_11_INTL (0x00000006)
#define CSL_EDMACC_0_TIMER_11_INTH (0x00000007)
#define CSL_EDMACC_0_CIC_2_OUT66 (0x00000008)
#define CSL_EDMACC_0_CIC_2_OUT67 (0x00000009)
#define CSL_EDMACC_0_CIC_2_OUT68 (0x0000000A)
#define CSL_EDMACC_0_CIC_2_OUT69 (0x0000000B)
#define CSL_EDMACC_0_CIC_2_OUT70 (0x0000000C)
#define CSL_EDMACC_0_CIC_2_OUT71 (0x0000000D)
#define CSL_EDMACC_0_CIC_2_OUT72 (0x0000000E)
#define CSL_EDMACC_0_CIC_2_OUT73 (0x0000000F)
#define CSL_EDMACC_0_GPIO_INT8 (0x00000010)
#define CSL_EDMACC_0_GPIO_INT9 (0x00000011)
#define CSL_EDMACC_0_GPIO_INT10 (0x00000012)
#define CSL_EDMACC_0_GPIO_INT11 (0x00000013)
#define CSL_EDMACC_0_GPIO_INT12 (0x00000014)
#define CSL_EDMACC_0_GPIO_INT13 (0x00000015)
#define CSL_EDMACC_0_GPIO_INT14 (0x00000016)
#define CSL_EDMACC_0_GPIO_INT15 (0x00000017)
#define CSL_EDMACC_0_TIMER_4_INTL (0x00000018)
#define CSL_EDMACC_0_TIMER_4_INTH (0x00000019)
#define CSL_EDMACC_0_TIMER_5_INTL (0x0000001A)
#define CSL_EDMACC_0_TIMER_5_INTH (0x0000001B)
#define CSL_EDMACC_0_TIMER_6_INTL (0x0000001C)
#define CSL_EDMACC_0_TIMER_6_INTH (0x0000001D)
#define CSL_EDMACC_0_TIMER_7_INTL (0x0000001E)
#define CSL_EDMACC_0_TIMER_7_INTH (0x0000001F)
#define CSL_EDMACC_0_GPIO_INT0 (0x00000020)
#define CSL_EDMACC_0_GPIO_INT1 (0x00000021)
#define CSL_EDMACC_0_GPIO_INT2 (0x00000022)
#define CSL_EDMACC_0_GPIO_INT3 (0x00000023)
#define CSL_EDMACC_0_GPIO_INT4 (0x00000024)
#define CSL_EDMACC_0_GPIO_INT5 (0x00000025)
#define CSL_EDMACC_0_GPIO_INT6 (0x00000026)
#define CSL_EDMACC_0_GPIO_INT7 (0x00000027)
#define CSL_EDMACC_0_TIMER_0_INTL (0x00000028)
#define CSL_EDMACC_0_TIMER_0_INTH (0x00000029)
#define CSL_EDMACC_0_TIMER_1_INTL (0x0000002A)
#define CSL_EDMACC_0_TIMER_1_INTH (0x0000002B)
#define CSL_EDMACC_0_TIMER_2_INTL (0x0000002C)
#define CSL_EDMACC_0_TIMER_2_INTH (0x0000002D)
#define CSL_EDMACC_0_TIMER_3_INTL (0x0000002E)
#define CSL_EDMACC_0_TIMER_3_INTH (0x0000002F)
#define CSL_EDMACC_0_SRIO_INTDST0 (0x00000030)
#define CSL_EDMACC_0_SRIO_INTDST1 (0x00000031)
#define CSL_EDMACC_0_SRIO_INTDST2 (0x00000032)
#define CSL_EDMACC_0_SRIO_INTDST3 (0x00000033)
#define CSL_EDMACC_0_SRIO_INTDST4 (0x00000034)
#define CSL_EDMACC_0_SRIO_INTDST5 (0x00000035)
#define CSL_EDMACC_0_SRIO_INTDST6 (0x00000036)
#define CSL_EDMACC_0_SRIO_INTDST7 (0x00000037)
#define CSL_EDMACC_0_AIF_ATEVT0 (0x00000038)
#define CSL_EDMACC_0_AIF_ATEVT1 (0x00000039)
#define CSL_EDMACC_0_AIF_ATEVT2 (0x0000003A)
#define CSL_EDMACC_0_AIF_ATEVT3 (0x0000003B)
#define CSL_EDMACC_0_AIF_ATEVT4 (0x0000003C)
#define CSL_EDMACC_0_AIF_ATEVT5 (0x0000003D)
#define CSL_EDMACC_0_AIF_ATEVT6 (0x0000003E)
#define CSL_EDMACC_0_AIF_ATEVT7 (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define EDMACC_1_EVENT_CNT 63
#define CSL_EDMACC_1_SPI_0_INT0 (0x00000000)
#define CSL_EDMACC_1_SPI_0_INT1 (0x00000001)
#define CSL_EDMACC_1_SPI_0_XEVT (0x00000002)
#define CSL_EDMACC_1_SPI_0_REVT (0x00000003)
#define CSL_EDMACC_1_SEM_INT8 (0x00000004)
#define CSL_EDMACC_1_SEM_INT9 (0x00000005)
#define CSL_EDMACC_1_GPIO_INT0 (0x00000006)
#define CSL_EDMACC_1_GPIO_INT1 (0x00000007)
#define CSL_EDMACC_1_GPIO_INT2 (0x00000008)
#define CSL_EDMACC_1_GPIO_INT3 (0x00000009)
#define CSL_EDMACC_1_AIF_ATEVT0 (0x0000000A)
#define CSL_EDMACC_1_AIF_ATEVT1 (0x0000000B)
#define CSL_EDMACC_1_AIF_ATEVT2 (0x0000000C)
#define CSL_EDMACC_1_AIF_ATEVT3 (0x0000000D)
#define CSL_EDMACC_1_SEM_INT0 (0x0000000E)
#define CSL_EDMACC_1_SEM_INT1 (0x0000000F)
#define CSL_EDMACC_1_SEM_INT2 (0x00000010)
#define CSL_EDMACC_1_SEM_INT3 (0x00000011)
#define CSL_EDMACC_1_SEM_INT4 (0x00000012)
#define CSL_EDMACC_1_SEM_INT5 (0x00000013)
#define CSL_EDMACC_1_SEM_INT6 (0x00000014)
#define CSL_EDMACC_1_SEM_INT7 (0x00000015)
#define CSL_EDMACC_1_TIMER_8_INTL (0x00000016)
#define CSL_EDMACC_1_TIMER_8_INTH (0x00000017)
#define CSL_EDMACC_1_TIMER_9_INTL (0x00000018)
#define CSL_EDMACC_1_TIMER_9_INTH (0x00000019)
#define CSL_EDMACC_1_TIMER_10_INTL (0x0000001A)
#define CSL_EDMACC_1_TIMER_10_INTH (0x0000001B)
#define CSL_EDMACC_1_TIMER_11_INTL (0x0000001C)
#define CSL_EDMACC_1_TIMER_11_INTH (0x0000001D)
#define CSL_EDMACC_1_TIMER_12_INTL (0x0000001E)
#define CSL_EDMACC_1_TIMER_12_INTH (0x0000001F)
#define CSL_EDMACC_1_TIMER_13_INTL (0x00000020)
#define CSL_EDMACC_1_TIMER_13_INTH (0x00000021)
#define CSL_EDMACC_1_TIMER_14_INTL (0x00000022)
#define CSL_EDMACC_1_TIMER_14_INTH (0x00000023)
#define CSL_EDMACC_1_TIMER_15_INTL (0x00000024)
#define CSL_EDMACC_1_TIMER_15_INTH (0x00000025)
#define CSL_EDMACC_1_SEM_INT10 (0x00000026)
#define CSL_EDMACC_1_SEM_INT11 (0x00000027)
#define CSL_EDMACC_1_SEM_INT12 (0x00000028)
#define CSL_EDMACC_1_SEM_INT13 (0x00000029)
#define CSL_EDMACC_1_CIC_2_OUT0 (0x0000002A)
#define CSL_EDMACC_1_CIC_2_OUT1 (0x0000002B)
#define CSL_EDMACC_1_CIC_2_OUT2 (0x0000002C)
#define CSL_EDMACC_1_CIC_2_OUT3 (0x0000002D)
#define CSL_EDMACC_1_CIC_2_OUT4 (0x0000002E)
#define CSL_EDMACC_1_CIC_2_OUT5 (0x0000002F)
#define CSL_EDMACC_1_CIC_2_OUT6 (0x00000030)
#define CSL_EDMACC_1_CIC_2_OUT7 (0x00000031)
#define CSL_EDMACC_1_CIC_2_OUT8 (0x00000032)
#define CSL_EDMACC_1_AIF_ATEVT4 (0x00000033)
#define CSL_EDMACC_1_AIF_ATEVT5 (0x00000034)
#define CSL_EDMACC_1_I2C_0_REVT (0x00000035)
#define CSL_EDMACC_1_I2C_0_XEVT (0x00000036)
#define CSL_EDMACC_1_CIC_2_OUT13 (0x00000037)
#define CSL_EDMACC_1_CIC_2_OUT14 (0x00000038)
#define CSL_EDMACC_1_CIC_2_OUT15 (0x00000039)
#define CSL_EDMACC_1_CIC_2_OUT16 (0x0000003A)
#define CSL_EDMACC_1_CIC_2_OUT17 (0x0000003B)
#define CSL_EDMACC_1_CIC_2_OUT18 (0x0000003C)
#define CSL_EDMACC_1_CIC_2_OUT19 (0x0000003D)
#define CSL_EDMACC_1_USIM_RREQ (0x0000003E)
#define CSL_EDMACC_1_USIM_WREQ (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define EDMACC_2_EVENT_CNT 63
#define CSL_EDMACC_2_TAC_DEVT2 (0x00000000)
#define CSL_EDMACC_2_TAC_DEVT3 (0x00000001)
#define CSL_EDMACC_2_TAC_DEVT4 (0x00000002)
#define CSL_EDMACC_2_TAC_DEVT5 (0x00000003)
#define CSL_EDMACC_2_AIF_ATEVT4 (0x00000004)
#define CSL_EDMACC_2_AIF_ATEVT5 (0x00000005)
#define CSL_EDMACC_2_TETB_FULLINT4 (0x00000006)
#define CSL_EDMACC_2_TETB_HFULLINT4 (0x00000007)
#define CSL_EDMACC_2_TETB_FULLINT5 (0x00000008)
#define CSL_EDMACC_2_TETB_HFULLINT5 (0x00000009)
#define CSL_EDMACC_2_TETB_FULLINT6 (0x0000000A)
#define CSL_EDMACC_2_TETB_HFULLINT6 (0x0000000B)
#define CSL_EDMACC_2_TETB_FULLINT7 (0x0000000C)
#define CSL_EDMACC_2_TETB_HFULLINT7 (0x0000000D)
#define CSL_EDMACC_2_SRIO_INTDST0 (0x0000000E)
#define CSL_EDMACC_2_SRIO_INTDST1 (0x0000000F)
#define CSL_EDMACC_2_SRIO_INTDST2 (0x00000010)
#define CSL_EDMACC_2_SRIO_INTDST3 (0x00000011)
#define CSL_EDMACC_2_SRIO_INTDST4 (0x00000012)
#define CSL_EDMACC_2_SRIO_INTDST5 (0x00000013)
#define CSL_EDMACC_2_SRIO_INTDST6 (0x00000014)
#define CSL_EDMACC_2_SRIO_INTDST7 (0x00000015)
#define CSL_EDMACC_2_AIF_ATEVT6 (0x00000016)
#define CSL_EDMACC_2_AIF_ATEVT7 (0x00000017)
#define CSL_EDMACC_2_TAC_DEVT0 (0x00000018)
#define CSL_EDMACC_2_TAC_DEVT1 (0x00000019)
#define CSL_EDMACC_2_GPIO_INT0 (0x0000001A)
#define CSL_EDMACC_2_GPIO_INT1 (0x0000001B)
#define CSL_EDMACC_2_GPIO_INT2 (0x0000001C)
#define CSL_EDMACC_2_GPIO_INT3 (0x0000001D)
#define CSL_EDMACC_2_GPIO_INT4 (0x0000001E)
#define CSL_EDMACC_2_GPIO_INT5 (0x0000001F)
#define CSL_EDMACC_2_GPIO_INT6 (0x00000020)
#define CSL_EDMACC_2_GPIO_INT7 (0x00000021)
#define CSL_EDMACC_2_TCP3D_0_REVT0 (0x00000022)
#define CSL_EDMACC_2_TCP3D_0_REVT1 (0x00000023)
#define CSL_EDMACC_2_TCP3D_1_REVT0 (0x00000024)
#define CSL_EDMACC_2_TCP3D_1_REVT1 (0x00000025)
#define CSL_EDMACC_2_CIC_2_OUT48 (0x00000026)
#define CSL_EDMACC_2_TAC_INT (0x00000027)
#define CSL_EDMACC_2_UART_0_URXEVT (0x00000028)
#define CSL_EDMACC_2_UART_0_UTXEVT (0x00000029)
#define CSL_EDMACC_2_CIC_2_OUT22 (0x0000002A)
#define CSL_EDMACC_2_CIC_2_OUT23 (0x0000002B)
#define CSL_EDMACC_2_CIC_2_OUT24 (0x0000002C)
#define CSL_EDMACC_2_CIC_2_OUT25 (0x0000002D)
#define CSL_EDMACC_2_CIC_2_OUT26 (0x0000002E)
#define CSL_EDMACC_2_CIC_2_OUT27 (0x0000002F)
#define CSL_EDMACC_2_CIC_2_OUT28 (0x00000030)
#define CSL_EDMACC_2_SPI_0_XEVT (0x00000031)
#define CSL_EDMACC_2_SPI_0_REVT (0x00000032)
#define CSL_EDMACC_2_VCP_0_REVT0 (0x00000033)
#define CSL_EDMACC_2_VCP_0_XEVT0 (0x00000034)
#define CSL_EDMACC_2_VCP_0_REVT1 (0x00000035)
#define CSL_EDMACC_2_VCP_0_XEVT1 (0x00000036)
#define CSL_EDMACC_2_VCP_0_REVT2 (0x00000037)
#define CSL_EDMACC_2_VCP_0_XEVT2 (0x00000038)
#define CSL_EDMACC_2_VCP_0_REVT3 (0x00000039)
#define CSL_EDMACC_2_VCP_0_XEVT3 (0x0000003A)
#define CSL_EDMACC_2_RAC_0_INT (0x0000003B)
#define CSL_EDMACC_2_RAC_1_INT (0x0000003C)
#define CSL_EDMACC_2_RAC_2_INT (0x0000003D)
#define CSL_EDMACC_2_RAC_3_INT (0x0000003E)
#define CSL_EDMACC_2_BCP_INT0 (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define EDMACC_3_EVENT_CNT 63
#define CSL_EDMACC_3_SPI_2_INT0 (0x00000000)
#define CSL_EDMACC_3_SPI_2_INT1 (0x00000001)
#define CSL_EDMACC_3_SPI_2_XEVT (0x00000002)
#define CSL_EDMACC_3_SPI_2_REVT (0x00000003)
#define CSL_EDMACC_3_I2C_2_REVT (0x00000004)
#define CSL_EDMACC_3_I2C_2_XEVT (0x00000005)
#define CSL_EDMACC_3_UART_1_URXEVT (0x00000006)
#define CSL_EDMACC_3_UART_1_UTXEVT (0x00000007)
#define CSL_EDMACC_3_SPI_1_INT0 (0x00000008)
#define CSL_EDMACC_3_SPI_1_INT1 (0x00000009)
#define CSL_EDMACC_3_SPI_1_XEVT (0x0000000A)
#define CSL_EDMACC_3_SPI_1_REVT (0x0000000B)
#define CSL_EDMACC_3_I2C_0_REVT (0x0000000C)
#define CSL_EDMACC_3_I2C_0_XEVT (0x0000000D)
#define CSL_EDMACC_3_I2C_1_REVT (0x0000000E)
#define CSL_EDMACC_3_I2C_1_XEVT (0x0000000F)
#define CSL_EDMACC_3_SRIO_INTDST0 (0x00000010)
#define CSL_EDMACC_3_SRIO_INTDST1 (0x00000011)
#define CSL_EDMACC_3_SRIO_INTDST2 (0x00000012)
#define CSL_EDMACC_3_SRIO_INTDST3 (0x00000013)
#define CSL_EDMACC_3_SRIO_INTDST4 (0x00000014)
#define CSL_EDMACC_3_SRIO_INTDST5 (0x00000015)
#define CSL_EDMACC_3_SRIO_INTDST6 (0x00000016)
#define CSL_EDMACC_3_SRIO_INTDST7 (0x00000017)
#define CSL_EDMACC_3_TCP3D_0_REVT0 (0x00000018)
#define CSL_EDMACC_3_TCP3D_0_REVT1 (0x00000019)
#define CSL_EDMACC_3_TCP3D_1_REVT0 (0x0000001A)
#define CSL_EDMACC_3_TCP3D_1_REVT1 (0x0000001B)
#define CSL_EDMACC_3_TCP3D_2_REVT0 (0x0000001C)
#define CSL_EDMACC_3_TCP3D_2_REVT1 (0x0000001D)
#define CSL_EDMACC_3_TCP3D_3_REVT0 (0x0000001E)
#define CSL_EDMACC_3_TCP3D_3_REVT1 (0x0000001F)
#define CSL_EDMACC_3_TETB_FULLINT0 (0x00000020)
#define CSL_EDMACC_3_TETB_HFULLINT0 (0x00000021)
#define CSL_EDMACC_3_TETB_FULLINT1 (0x00000022)
#define CSL_EDMACC_3_TETB_HFULLINT1 (0x00000023)
#define CSL_EDMACC_3_TETB_FULLINT2 (0x00000024)
#define CSL_EDMACC_3_TETB_HFULLINT2 (0x00000025)
#define CSL_EDMACC_3_TETB_FULLINT3 (0x00000026)
#define CSL_EDMACC_3_TETB_HFULLINT3 (0x00000027)
#define CSL_EDMACC_3_VCP_0_REVT0 (0x00000028)
#define CSL_EDMACC_3_VCP_0_XEVT0 (0x00000029)
#define CSL_EDMACC_3_VCP_0_REVT1 (0x0000002A)
#define CSL_EDMACC_3_VCP_0_XEVT1 (0x0000002B)
#define CSL_EDMACC_3_VCP_0_REVT2 (0x0000002C)
#define CSL_EDMACC_3_VCP_0_XEVT2 (0x0000002D)
#define CSL_EDMACC_3_VCP_0_REVT3 (0x0000002E)
#define CSL_EDMACC_3_VCP_0_XEVT3 (0x0000002F)
#define CSL_EDMACC_3_VCP_1_REVT0 (0x00000030)
#define CSL_EDMACC_3_VCP_1_XEVT0 (0x00000031)
#define CSL_EDMACC_3_VCP_1_REVT1 (0x00000032)
#define CSL_EDMACC_3_VCP_1_XEVT1 (0x00000033)
#define CSL_EDMACC_3_VCP_1_REVT2 (0x00000034)
#define CSL_EDMACC_3_VCP_1_XEVT2 (0x00000035)
#define CSL_EDMACC_3_VCP_1_REVT3 (0x00000036)
#define CSL_EDMACC_3_VCP_1_XEVT3 (0x00000037)
#define CSL_EDMACC_3_CIC_2_OUT57 (0x00000038)
#define CSL_EDMACC_3_CIC_2_OUT50 (0x00000039)
#define CSL_EDMACC_3_CIC_2_OUT51 (0x0000003A)
#define CSL_EDMACC_3_CIC_2_OUT52 (0x0000003B)
#define CSL_EDMACC_3_CIC_2_OUT53 (0x0000003C)
#define CSL_EDMACC_3_CIC_2_OUT54 (0x0000003D)
#define CSL_EDMACC_3_CIC_2_OUT55 (0x0000003E)
#define CSL_EDMACC_3_CIC_2_OUT56 (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define EDMACC_4_EVENT_CNT 63
#define CSL_EDMACC_4_GPIO_INT16 (0x00000000)
#define CSL_EDMACC_4_GPIO_INT17 (0x00000001)
#define CSL_EDMACC_4_GPIO_INT18 (0x00000002)
#define CSL_EDMACC_4_GPIO_INT19 (0x00000003)
#define CSL_EDMACC_4_GPIO_INT20 (0x00000004)
#define CSL_EDMACC_4_GPIO_INT21 (0x00000005)
#define CSL_EDMACC_4_GPIO_INT22 (0x00000006)
#define CSL_EDMACC_4_GPIO_INT23 (0x00000007)
#define CSL_EDMACC_4_AIF_ATEVT0 (0x00000008)
#define CSL_EDMACC_4_AIF_ATEVT1 (0x00000009)
#define CSL_EDMACC_4_AIF_ATEVT2 (0x0000000A)
#define CSL_EDMACC_4_AIF_ATEVT3 (0x0000000B)
#define CSL_EDMACC_4_AIF_ATEVT4 (0x0000000C)
#define CSL_EDMACC_4_AIF_ATEVT5 (0x0000000D)
#define CSL_EDMACC_4_AIF_ATEVT6 (0x0000000E)
#define CSL_EDMACC_4_AIF_ATEVT7 (0x0000000F)
#define CSL_EDMACC_4_AIF_ATEVT16 (0x00000010)
#define CSL_EDMACC_4_AIF_ATEVT17 (0x00000011)
#define CSL_EDMACC_4_AIF_ATEVT18 (0x00000012)
#define CSL_EDMACC_4_AIF_ATEVT19 (0x00000013)
#define CSL_EDMACC_4_AIF_ATEVT20 (0x00000014)
#define CSL_EDMACC_4_AIF_ATEVT21 (0x00000015)
#define CSL_EDMACC_4_AIF_ATEVT22 (0x00000016)
#define CSL_EDMACC_4_AIF_ATEVT23 (0x00000017)
#define CSL_EDMACC_4_TIMER_8_INTL (0x00000018)
#define CSL_EDMACC_4_TIMER_8_INTH (0x00000019)
#define CSL_EDMACC_4_TIMER_14_INTL (0x0000001A)
#define CSL_EDMACC_4_TIMER_14_INTH (0x0000001B)
#define CSL_EDMACC_4_TIMER_15_INTL (0x0000001C)
#define CSL_EDMACC_4_TIMER_15_INTH (0x0000001D)
#define CSL_EDMACC_4_DBGTBR_DMAINT (0x0000001E)
#define CSL_EDMACC_4_ARM_TBR_DMA (0x0000001F)
#define CSL_EDMACC_4_QMSS_QUE_PEND_658 (0x00000020)
#define CSL_EDMACC_4_QMSS_QUE_PEND_659 (0x00000021)
#define CSL_EDMACC_4_QMSS_QUE_PEND_660 (0x00000022)
#define CSL_EDMACC_4_QMSS_QUE_PEND_661 (0x00000023)
#define CSL_EDMACC_4_QMSS_QUE_PEND_662 (0x00000024)
#define CSL_EDMACC_4_QMSS_QUE_PEND_663 (0x00000025)
#define CSL_EDMACC_4_QMSS_QUE_PEND_664 (0x00000026)
#define CSL_EDMACC_4_QMSS_QUE_PEND_665 (0x00000027)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8736 (0x00000028)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8737 (0x00000029)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8738 (0x0000002A)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8739 (0x0000002B)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8740 (0x0000002C)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8741 (0x0000002D)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8742 (0x0000002E)
#define CSL_EDMACC_4_QMSS_QUE_PEND_8743 (0x0000002F)
#define CSL_EDMACC_4_ARM_NCNTVIRQ3 (0x00000030)
#define CSL_EDMACC_4_ARM_NCNTVIRQ2 (0x00000031)
#define CSL_EDMACC_4_ARM_NCNTVIRQ1 (0x00000032)
#define CSL_EDMACC_4_ARM_NCNTVIRQ0 (0x00000033)
#define CSL_EDMACC_4_ARM_NCNTPNSIRQ3 (0x00000034)
#define CSL_EDMACC_4_ARM_NCNTPNSIRQ2 (0x00000035)
#define CSL_EDMACC_4_ARM_NCNTPNSIRQ1 (0x00000036)
#define CSL_EDMACC_4_ARM_NCNTPNSIRQ0 (0x00000037)
#define CSL_EDMACC_4_CIC_2_OUT82 (0x00000038)
#define CSL_EDMACC_4_CIC_2_OUT83 (0x00000039)
#define CSL_EDMACC_4_CIC_2_OUT84 (0x0000003A)
#define CSL_EDMACC_4_CIC_2_OUT85 (0x0000003B)
#define CSL_EDMACC_4_CIC_2_OUT86 (0x0000003C)
#define CSL_EDMACC_4_CIC_2_OUT87 (0x0000003D)
#define CSL_EDMACC_4_CIC_2_OUT88 (0x0000003E)
#define CSL_EDMACC_4_CIC_2_OUT89 (0x0000003F)

/*
 * Auto-generated CSL section
 */
#define CSL_MPU_EOI_VALUE (0)
#define CSL_TRACER_EOI_VALUE (0)
#define CSL_BOOT_CFG_EOI_VALUE (0)
#define CSL_TCP3D_EOI_VALUE (0)
#define CSL_TAC_EOI_VALUE (0)
#define CSL_AIF_EOI_VALUE (0)
#define CSL_FFTC_INTD0_EOI_VALUE (0)
#define CSL_FFTC_INTD1_EOI_VALUE (1)
#define CSL_FFTC_INTD2_EOI_VALUE (2)
#define CSL_FFTC_INTD3_EOI_VALUE (3)
#define CSL_BCP_INTD0_EOI_VALUE (0)
#define CSL_BCP_INTD1_EOI_VALUE (1)
#define CSL_BCP_INTD2_EOI_VALUE (2)
#define CSL_BCP_INTD3_EOI_VALUE (3)

/*
 * Auto-generated CSL section
 */
#endif /* __CSL_K2K_DEVICE_INTERRUPT_H__ */
